#ifndef INCLUDED_OFFICECFG_OFFICE_COMMON_HXX
#define INCLUDED_OFFICECFG_OFFICE_COMMON_HXX

#include "sal/config.h"

#include <optional>
#include "com/sun/star/uno/Sequence.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Common {

struct VCL: public comphelper::ConfigurationGroup< VCL> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/VCL"); }

struct UseOpenGL: public comphelper::ConfigurationProperty<UseOpenGL, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/VCL/UseOpenGL"); }
private:
    UseOpenGL(); // not defined
    ~UseOpenGL(); // not defined
};

struct ForceOpenGL: public comphelper::ConfigurationProperty<ForceOpenGL, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/VCL/ForceOpenGL"); }
private:
    ForceOpenGL(); // not defined
    ~ForceOpenGL(); // not defined
};

struct UseSkia: public comphelper::ConfigurationProperty<UseSkia, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/VCL/UseSkia"); }
private:
    UseSkia(); // not defined
    ~UseSkia(); // not defined
};

struct ForceSkia: public comphelper::ConfigurationProperty<ForceSkia, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/VCL/ForceSkia"); }
private:
    ForceSkia(); // not defined
    ~ForceSkia(); // not defined
};

struct ForceSkiaRaster: public comphelper::ConfigurationProperty<ForceSkiaRaster, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/VCL/ForceSkiaRaster"); }
private:
    ForceSkiaRaster(); // not defined
    ~ForceSkiaRaster(); // not defined
};

struct AnimationsEnabled: public comphelper::ConfigurationProperty<AnimationsEnabled, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/VCL/AnimationsEnabled"); }
private:
    AnimationsEnabled(); // not defined
    ~AnimationsEnabled(); // not defined
};

struct ReduceTransparencyMinArea: public comphelper::ConfigurationProperty<ReduceTransparencyMinArea, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/VCL/ReduceTransparencyMinArea"); }
private:
    ReduceTransparencyMinArea(); // not defined
    ~ReduceTransparencyMinArea(); // not defined
};

struct PDFExportImageCacheSize: public comphelper::ConfigurationProperty<PDFExportImageCacheSize, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/VCL/PDFExportImageCacheSize"); }
private:
    PDFExportImageCacheSize(); // not defined
    ~PDFExportImageCacheSize(); // not defined
};

private:
    VCL(); // not defined
    ~VCL(); // not defined
};

struct InternalMSExport: public comphelper::ConfigurationGroup< InternalMSExport> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/InternalMSExport"); }

struct UseOldExport: public comphelper::ConfigurationProperty<UseOldExport, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/InternalMSExport/UseOldExport"); }
private:
    UseOldExport(); // not defined
    ~UseOldExport(); // not defined
};

private:
    InternalMSExport(); // not defined
    ~InternalMSExport(); // not defined
};

struct Passwords: public comphelper::ConfigurationGroup< Passwords> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Passwords"); }

struct UseStorage: public comphelper::ConfigurationProperty<UseStorage, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Passwords/UseStorage"); }
private:
    UseStorage(); // not defined
    ~UseStorage(); // not defined
};

struct StorageVersion: public comphelper::ConfigurationProperty<StorageVersion, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Passwords/StorageVersion"); }
private:
    StorageVersion(); // not defined
    ~StorageVersion(); // not defined
};

struct HasMaster: public comphelper::ConfigurationProperty<HasMaster, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Passwords/HasMaster"); }
private:
    HasMaster(); // not defined
    ~HasMaster(); // not defined
};

struct MasterInitializationVector: public comphelper::ConfigurationProperty<MasterInitializationVector, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Passwords/MasterInitializationVector"); }
private:
    MasterInitializationVector(); // not defined
    ~MasterInitializationVector(); // not defined
};

struct Master: public comphelper::ConfigurationProperty<Master, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Passwords/Master"); }
private:
    Master(); // not defined
    ~Master(); // not defined
};

struct Store: public comphelper::ConfigurationSet< Store> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Passwords/Store"); }
private:
    Store(); // not defined
    ~Store(); // not defined
};

struct AuthenticateUsingSystemCredentials: public comphelper::ConfigurationProperty<AuthenticateUsingSystemCredentials, std::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Passwords/AuthenticateUsingSystemCredentials"); }
private:
    AuthenticateUsingSystemCredentials(); // not defined
    ~AuthenticateUsingSystemCredentials(); // not defined
};

struct TrySystemCredentialsFirst: public comphelper::ConfigurationProperty<TrySystemCredentialsFirst, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Passwords/TrySystemCredentialsFirst"); }
private:
    TrySystemCredentialsFirst(); // not defined
    ~TrySystemCredentialsFirst(); // not defined
};

private:
    Passwords(); // not defined
    ~Passwords(); // not defined
};

struct Dictionaries: public comphelper::ConfigurationGroup< Dictionaries> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Dictionaries"); }

struct RepositoryURL: public comphelper::ConfigurationProperty<RepositoryURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Dictionaries/RepositoryURL"); }
private:
    RepositoryURL(); // not defined
    ~RepositoryURL(); // not defined
};

private:
    Dictionaries(); // not defined
    ~Dictionaries(); // not defined
};

struct Drawinglayer: public comphelper::ConfigurationGroup< Drawinglayer> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer"); }

struct OverlayBuffer: public comphelper::ConfigurationProperty<OverlayBuffer, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/OverlayBuffer"); }
private:
    OverlayBuffer(); // not defined
    ~OverlayBuffer(); // not defined
};

struct OverlayBuffer_Calc: public comphelper::ConfigurationProperty<OverlayBuffer_Calc, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/OverlayBuffer_Calc"); }
private:
    OverlayBuffer_Calc(); // not defined
    ~OverlayBuffer_Calc(); // not defined
};

struct OverlayBuffer_Writer: public comphelper::ConfigurationProperty<OverlayBuffer_Writer, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/OverlayBuffer_Writer"); }
private:
    OverlayBuffer_Writer(); // not defined
    ~OverlayBuffer_Writer(); // not defined
};

struct OverlayBuffer_DrawImpress: public comphelper::ConfigurationProperty<OverlayBuffer_DrawImpress, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/OverlayBuffer_DrawImpress"); }
private:
    OverlayBuffer_DrawImpress(); // not defined
    ~OverlayBuffer_DrawImpress(); // not defined
};

struct PaintBuffer: public comphelper::ConfigurationProperty<PaintBuffer, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/PaintBuffer"); }
private:
    PaintBuffer(); // not defined
    ~PaintBuffer(); // not defined
};

struct PaintBuffer_Calc: public comphelper::ConfigurationProperty<PaintBuffer_Calc, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/PaintBuffer_Calc"); }
private:
    PaintBuffer_Calc(); // not defined
    ~PaintBuffer_Calc(); // not defined
};

struct PaintBuffer_Writer: public comphelper::ConfigurationProperty<PaintBuffer_Writer, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/PaintBuffer_Writer"); }
private:
    PaintBuffer_Writer(); // not defined
    ~PaintBuffer_Writer(); // not defined
};

struct PaintBuffer_DrawImpress: public comphelper::ConfigurationProperty<PaintBuffer_DrawImpress, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/PaintBuffer_DrawImpress"); }
private:
    PaintBuffer_DrawImpress(); // not defined
    ~PaintBuffer_DrawImpress(); // not defined
};

struct StripeColorA: public comphelper::ConfigurationProperty<StripeColorA, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/StripeColorA"); }
private:
    StripeColorA(); // not defined
    ~StripeColorA(); // not defined
};

struct StripeColorB: public comphelper::ConfigurationProperty<StripeColorB, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/StripeColorB"); }
private:
    StripeColorB(); // not defined
    ~StripeColorB(); // not defined
};

struct StripeLength: public comphelper::ConfigurationProperty<StripeLength, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/StripeLength"); }
private:
    StripeLength(); // not defined
    ~StripeLength(); // not defined
};

struct MaximumPaperWidth: public comphelper::ConfigurationProperty<MaximumPaperWidth, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/MaximumPaperWidth"); }
private:
    MaximumPaperWidth(); // not defined
    ~MaximumPaperWidth(); // not defined
};

struct MaximumPaperHeight: public comphelper::ConfigurationProperty<MaximumPaperHeight, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/MaximumPaperHeight"); }
private:
    MaximumPaperHeight(); // not defined
    ~MaximumPaperHeight(); // not defined
};

struct MaximumPaperLeftMargin: public comphelper::ConfigurationProperty<MaximumPaperLeftMargin, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/MaximumPaperLeftMargin"); }
private:
    MaximumPaperLeftMargin(); // not defined
    ~MaximumPaperLeftMargin(); // not defined
};

struct MaximumPaperRightMargin: public comphelper::ConfigurationProperty<MaximumPaperRightMargin, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/MaximumPaperRightMargin"); }
private:
    MaximumPaperRightMargin(); // not defined
    ~MaximumPaperRightMargin(); // not defined
};

struct MaximumPaperTopMargin: public comphelper::ConfigurationProperty<MaximumPaperTopMargin, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/MaximumPaperTopMargin"); }
private:
    MaximumPaperTopMargin(); // not defined
    ~MaximumPaperTopMargin(); // not defined
};

struct MaximumPaperBottomMargin: public comphelper::ConfigurationProperty<MaximumPaperBottomMargin, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/MaximumPaperBottomMargin"); }
private:
    MaximumPaperBottomMargin(); // not defined
    ~MaximumPaperBottomMargin(); // not defined
};

struct AntiAliasing: public comphelper::ConfigurationProperty<AntiAliasing, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/AntiAliasing"); }
private:
    AntiAliasing(); // not defined
    ~AntiAliasing(); // not defined
};

struct SnapHorVerLinesToDiscrete: public comphelper::ConfigurationProperty<SnapHorVerLinesToDiscrete, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/SnapHorVerLinesToDiscrete"); }
private:
    SnapHorVerLinesToDiscrete(); // not defined
    ~SnapHorVerLinesToDiscrete(); // not defined
};

struct RenderDecoratedTextDirect: public comphelper::ConfigurationProperty<RenderDecoratedTextDirect, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/RenderDecoratedTextDirect"); }
private:
    RenderDecoratedTextDirect(); // not defined
    ~RenderDecoratedTextDirect(); // not defined
};

struct RenderSimpleTextDirect: public comphelper::ConfigurationProperty<RenderSimpleTextDirect, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/RenderSimpleTextDirect"); }
private:
    RenderSimpleTextDirect(); // not defined
    ~RenderSimpleTextDirect(); // not defined
};

struct SolidDragCreate: public comphelper::ConfigurationProperty<SolidDragCreate, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/SolidDragCreate"); }
private:
    SolidDragCreate(); // not defined
    ~SolidDragCreate(); // not defined
};

struct Quadratic3DRenderLimit: public comphelper::ConfigurationProperty<Quadratic3DRenderLimit, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/Quadratic3DRenderLimit"); }
private:
    Quadratic3DRenderLimit(); // not defined
    ~Quadratic3DRenderLimit(); // not defined
};

struct QuadraticFormControlRenderLimit: public comphelper::ConfigurationProperty<QuadraticFormControlRenderLimit, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/QuadraticFormControlRenderLimit"); }
private:
    QuadraticFormControlRenderLimit(); // not defined
    ~QuadraticFormControlRenderLimit(); // not defined
};

struct TransparentSelection: public comphelper::ConfigurationProperty<TransparentSelection, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/TransparentSelection"); }
private:
    TransparentSelection(); // not defined
    ~TransparentSelection(); // not defined
};

struct TransparentSelectionPercent: public comphelper::ConfigurationProperty<TransparentSelectionPercent, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/TransparentSelectionPercent"); }
private:
    TransparentSelectionPercent(); // not defined
    ~TransparentSelectionPercent(); // not defined
};

struct SelectionMaximumLuminancePercent: public comphelper::ConfigurationProperty<SelectionMaximumLuminancePercent, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Drawinglayer/SelectionMaximumLuminancePercent"); }
private:
    SelectionMaximumLuminancePercent(); // not defined
    ~SelectionMaximumLuminancePercent(); // not defined
};

private:
    Drawinglayer(); // not defined
    ~Drawinglayer(); // not defined
};

struct AutoCorrect: public comphelper::ConfigurationGroup< AutoCorrect> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect"); }

struct UseReplacementTable: public comphelper::ConfigurationProperty<UseReplacementTable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/UseReplacementTable"); }
private:
    UseReplacementTable(); // not defined
    ~UseReplacementTable(); // not defined
};

struct TwoCapitalsAtStart: public comphelper::ConfigurationProperty<TwoCapitalsAtStart, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/TwoCapitalsAtStart"); }
private:
    TwoCapitalsAtStart(); // not defined
    ~TwoCapitalsAtStart(); // not defined
};

struct CapitalAtStartSentence: public comphelper::ConfigurationProperty<CapitalAtStartSentence, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/CapitalAtStartSentence"); }
private:
    CapitalAtStartSentence(); // not defined
    ~CapitalAtStartSentence(); // not defined
};

struct ChangeUnderlineWeight: public comphelper::ConfigurationProperty<ChangeUnderlineWeight, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/ChangeUnderlineWeight"); }
private:
    ChangeUnderlineWeight(); // not defined
    ~ChangeUnderlineWeight(); // not defined
};

struct SetInetAttribute: public comphelper::ConfigurationProperty<SetInetAttribute, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/SetInetAttribute"); }
private:
    SetInetAttribute(); // not defined
    ~SetInetAttribute(); // not defined
};

struct ChangeOrdinalNumber: public comphelper::ConfigurationProperty<ChangeOrdinalNumber, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/ChangeOrdinalNumber"); }
private:
    ChangeOrdinalNumber(); // not defined
    ~ChangeOrdinalNumber(); // not defined
};

struct ChangeDash: public comphelper::ConfigurationProperty<ChangeDash, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/ChangeDash"); }
private:
    ChangeDash(); // not defined
    ~ChangeDash(); // not defined
};

struct AddNonBreakingSpace: public comphelper::ConfigurationProperty<AddNonBreakingSpace, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/AddNonBreakingSpace"); }
private:
    AddNonBreakingSpace(); // not defined
    ~AddNonBreakingSpace(); // not defined
};

struct TransliterateRTL: public comphelper::ConfigurationProperty<TransliterateRTL, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/TransliterateRTL"); }
private:
    TransliterateRTL(); // not defined
    ~TransliterateRTL(); // not defined
};

struct ChangeAngleQuotes: public comphelper::ConfigurationProperty<ChangeAngleQuotes, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/ChangeAngleQuotes"); }
private:
    ChangeAngleQuotes(); // not defined
    ~ChangeAngleQuotes(); // not defined
};

struct RemoveDoubleSpaces: public comphelper::ConfigurationProperty<RemoveDoubleSpaces, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/RemoveDoubleSpaces"); }
private:
    RemoveDoubleSpaces(); // not defined
    ~RemoveDoubleSpaces(); // not defined
};

struct CorrectAccidentalCapsLock: public comphelper::ConfigurationProperty<CorrectAccidentalCapsLock, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/CorrectAccidentalCapsLock"); }
private:
    CorrectAccidentalCapsLock(); // not defined
    ~CorrectAccidentalCapsLock(); // not defined
};

struct ReplaceSingleQuote: public comphelper::ConfigurationProperty<ReplaceSingleQuote, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/ReplaceSingleQuote"); }
private:
    ReplaceSingleQuote(); // not defined
    ~ReplaceSingleQuote(); // not defined
};

struct SingleQuoteAtStart: public comphelper::ConfigurationProperty<SingleQuoteAtStart, std::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/SingleQuoteAtStart"); }
private:
    SingleQuoteAtStart(); // not defined
    ~SingleQuoteAtStart(); // not defined
};

struct SingleQuoteAtEnd: public comphelper::ConfigurationProperty<SingleQuoteAtEnd, std::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/SingleQuoteAtEnd"); }
private:
    SingleQuoteAtEnd(); // not defined
    ~SingleQuoteAtEnd(); // not defined
};

struct ReplaceDoubleQuote: public comphelper::ConfigurationProperty<ReplaceDoubleQuote, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/ReplaceDoubleQuote"); }
private:
    ReplaceDoubleQuote(); // not defined
    ~ReplaceDoubleQuote(); // not defined
};

struct DoubleQuoteAtStart: public comphelper::ConfigurationProperty<DoubleQuoteAtStart, std::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/DoubleQuoteAtStart"); }
private:
    DoubleQuoteAtStart(); // not defined
    ~DoubleQuoteAtStart(); // not defined
};

struct DoubleQuoteAtEnd: public comphelper::ConfigurationProperty<DoubleQuoteAtEnd, std::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/DoubleQuoteAtEnd"); }
private:
    DoubleQuoteAtEnd(); // not defined
    ~DoubleQuoteAtEnd(); // not defined
};

struct Exceptions: public comphelper::ConfigurationGroup< Exceptions> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/Exceptions"); }

struct TwoCapitalsAtStart: public comphelper::ConfigurationProperty<TwoCapitalsAtStart, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/Exceptions/TwoCapitalsAtStart"); }
private:
    TwoCapitalsAtStart(); // not defined
    ~TwoCapitalsAtStart(); // not defined
};

struct CapitalAtStartSentence: public comphelper::ConfigurationProperty<CapitalAtStartSentence, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AutoCorrect/Exceptions/CapitalAtStartSentence"); }
private:
    CapitalAtStartSentence(); // not defined
    ~CapitalAtStartSentence(); // not defined
};

private:
    Exceptions(); // not defined
    ~Exceptions(); // not defined
};

private:
    AutoCorrect(); // not defined
    ~AutoCorrect(); // not defined
};

struct Cache: public comphelper::ConfigurationGroup< Cache> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache"); }

struct DrawingEngine: public comphelper::ConfigurationGroup< DrawingEngine> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/DrawingEngine"); }

struct OLE_Objects: public comphelper::ConfigurationProperty<OLE_Objects, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/DrawingEngine/OLE_Objects"); }
private:
    OLE_Objects(); // not defined
    ~OLE_Objects(); // not defined
};

private:
    DrawingEngine(); // not defined
    ~DrawingEngine(); // not defined
};

struct Writer: public comphelper::ConfigurationGroup< Writer> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/Writer"); }

struct OLE_Objects: public comphelper::ConfigurationProperty<OLE_Objects, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/Writer/OLE_Objects"); }
private:
    OLE_Objects(); // not defined
    ~OLE_Objects(); // not defined
};

private:
    Writer(); // not defined
    ~Writer(); // not defined
};

struct GraphicManager: public comphelper::ConfigurationGroup< GraphicManager> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/GraphicManager"); }

struct TotalCacheSize: public comphelper::ConfigurationProperty<TotalCacheSize, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/GraphicManager/TotalCacheSize"); }
private:
    TotalCacheSize(); // not defined
    ~TotalCacheSize(); // not defined
};

struct ObjectCacheSize: public comphelper::ConfigurationProperty<ObjectCacheSize, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/GraphicManager/ObjectCacheSize"); }
private:
    ObjectCacheSize(); // not defined
    ~ObjectCacheSize(); // not defined
};

struct ObjectReleaseTime: public comphelper::ConfigurationProperty<ObjectReleaseTime, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/GraphicManager/ObjectReleaseTime"); }
private:
    ObjectReleaseTime(); // not defined
    ~ObjectReleaseTime(); // not defined
};

struct GraphicSwappingEnabled: public comphelper::ConfigurationProperty<GraphicSwappingEnabled, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/GraphicManager/GraphicSwappingEnabled"); }
private:
    GraphicSwappingEnabled(); // not defined
    ~GraphicSwappingEnabled(); // not defined
};

struct GraphicMemoryLimit: public comphelper::ConfigurationProperty<GraphicMemoryLimit, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/GraphicManager/GraphicMemoryLimit"); }
private:
    GraphicMemoryLimit(); // not defined
    ~GraphicMemoryLimit(); // not defined
};

struct GraphicAllowedIdleTime: public comphelper::ConfigurationProperty<GraphicAllowedIdleTime, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/GraphicManager/GraphicAllowedIdleTime"); }
private:
    GraphicAllowedIdleTime(); // not defined
    ~GraphicAllowedIdleTime(); // not defined
};

private:
    GraphicManager(); // not defined
    ~GraphicManager(); // not defined
};

struct Skia: public comphelper::ConfigurationGroup< Skia> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/Skia"); }

struct ImageCacheSize: public comphelper::ConfigurationProperty<ImageCacheSize, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Cache/Skia/ImageCacheSize"); }
private:
    ImageCacheSize(); // not defined
    ~ImageCacheSize(); // not defined
};

private:
    Skia(); // not defined
    ~Skia(); // not defined
};

private:
    Cache(); // not defined
    ~Cache(); // not defined
};

struct Path: public comphelper::ConfigurationGroup< Path> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path"); }

struct Current: public comphelper::ConfigurationGroup< Current> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current"); }

struct Addin: public comphelper::ConfigurationProperty<Addin, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Addin"); }
private:
    Addin(); // not defined
    ~Addin(); // not defined
};

struct AutoCorrect: public comphelper::ConfigurationProperty<AutoCorrect, std::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/AutoCorrect"); }
private:
    AutoCorrect(); // not defined
    ~AutoCorrect(); // not defined
};

struct AutoText: public comphelper::ConfigurationProperty<AutoText, std::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/AutoText"); }
private:
    AutoText(); // not defined
    ~AutoText(); // not defined
};

struct Backup: public comphelper::ConfigurationProperty<Backup, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Backup"); }
private:
    Backup(); // not defined
    ~Backup(); // not defined
};

struct Basic: public comphelper::ConfigurationProperty<Basic, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Basic"); }
private:
    Basic(); // not defined
    ~Basic(); // not defined
};

struct Bitmap: public comphelper::ConfigurationProperty<Bitmap, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Bitmap"); }
private:
    Bitmap(); // not defined
    ~Bitmap(); // not defined
};

struct Config: public comphelper::ConfigurationProperty<Config, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Config"); }
private:
    Config(); // not defined
    ~Config(); // not defined
};

struct Dictionary: public comphelper::ConfigurationProperty<Dictionary, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Dictionary"); }
private:
    Dictionary(); // not defined
    ~Dictionary(); // not defined
};

struct Favorite: public comphelper::ConfigurationProperty<Favorite, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Favorite"); }
private:
    Favorite(); // not defined
    ~Favorite(); // not defined
};

struct Filter: public comphelper::ConfigurationProperty<Filter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Filter"); }
private:
    Filter(); // not defined
    ~Filter(); // not defined
};

struct Gallery: public comphelper::ConfigurationProperty<Gallery, std::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Gallery"); }
private:
    Gallery(); // not defined
    ~Gallery(); // not defined
};

struct Graphic: public comphelper::ConfigurationProperty<Graphic, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Graphic"); }
private:
    Graphic(); // not defined
    ~Graphic(); // not defined
};

struct Help: public comphelper::ConfigurationProperty<Help, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Help"); }
private:
    Help(); // not defined
    ~Help(); // not defined
};

struct Linguistic: public comphelper::ConfigurationProperty<Linguistic, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Linguistic"); }
private:
    Linguistic(); // not defined
    ~Linguistic(); // not defined
};

struct Module: public comphelper::ConfigurationProperty<Module, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Module"); }
private:
    Module(); // not defined
    ~Module(); // not defined
};

struct Palette: public comphelper::ConfigurationProperty<Palette, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Palette"); }
private:
    Palette(); // not defined
    ~Palette(); // not defined
};

struct Plugin: public comphelper::ConfigurationProperty<Plugin, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Plugin"); }
private:
    Plugin(); // not defined
    ~Plugin(); // not defined
};

struct Storage: public comphelper::ConfigurationProperty<Storage, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Storage"); }
private:
    Storage(); // not defined
    ~Storage(); // not defined
};

struct Temp: public comphelper::ConfigurationProperty<Temp, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Temp"); }
private:
    Temp(); // not defined
    ~Temp(); // not defined
};

struct Template: public comphelper::ConfigurationProperty<Template, std::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Template"); }
private:
    Template(); // not defined
    ~Template(); // not defined
};

struct UIConfig: public comphelper::ConfigurationProperty<UIConfig, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/UIConfig"); }
private:
    UIConfig(); // not defined
    ~UIConfig(); // not defined
};

struct UserConfig: public comphelper::ConfigurationProperty<UserConfig, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/UserConfig"); }
private:
    UserConfig(); // not defined
    ~UserConfig(); // not defined
};

struct UserDictionary: public comphelper::ConfigurationProperty<UserDictionary, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/UserDictionary"); }
private:
    UserDictionary(); // not defined
    ~UserDictionary(); // not defined
};

struct Work: public comphelper::ConfigurationProperty<Work, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Current/Work"); }
private:
    Work(); // not defined
    ~Work(); // not defined
};

private:
    Current(); // not defined
    ~Current(); // not defined
};

struct Default: public comphelper::ConfigurationGroup< Default> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default"); }

struct Addin: public comphelper::ConfigurationProperty<Addin, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Addin"); }
private:
    Addin(); // not defined
    ~Addin(); // not defined
};

struct AutoCorrect: public comphelper::ConfigurationProperty<AutoCorrect, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/AutoCorrect"); }
private:
    AutoCorrect(); // not defined
    ~AutoCorrect(); // not defined
};

struct AutoText: public comphelper::ConfigurationProperty<AutoText, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/AutoText"); }
private:
    AutoText(); // not defined
    ~AutoText(); // not defined
};

struct Backup: public comphelper::ConfigurationProperty<Backup, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Backup"); }
private:
    Backup(); // not defined
    ~Backup(); // not defined
};

struct Basic: public comphelper::ConfigurationProperty<Basic, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Basic"); }
private:
    Basic(); // not defined
    ~Basic(); // not defined
};

struct Bitmap: public comphelper::ConfigurationProperty<Bitmap, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Bitmap"); }
private:
    Bitmap(); // not defined
    ~Bitmap(); // not defined
};

struct Config: public comphelper::ConfigurationProperty<Config, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Config"); }
private:
    Config(); // not defined
    ~Config(); // not defined
};

struct Classification: public comphelper::ConfigurationProperty<Classification, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Classification"); }
private:
    Classification(); // not defined
    ~Classification(); // not defined
};

struct Dictionary: public comphelper::ConfigurationProperty<Dictionary, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Dictionary"); }
private:
    Dictionary(); // not defined
    ~Dictionary(); // not defined
};

struct Favorite: public comphelper::ConfigurationProperty<Favorite, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Favorite"); }
private:
    Favorite(); // not defined
    ~Favorite(); // not defined
};

struct Filter: public comphelper::ConfigurationProperty<Filter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Filter"); }
private:
    Filter(); // not defined
    ~Filter(); // not defined
};

struct Gallery: public comphelper::ConfigurationProperty<Gallery, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Gallery"); }
private:
    Gallery(); // not defined
    ~Gallery(); // not defined
};

struct Graphic: public comphelper::ConfigurationProperty<Graphic, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Graphic"); }
private:
    Graphic(); // not defined
    ~Graphic(); // not defined
};

struct Help: public comphelper::ConfigurationProperty<Help, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Help"); }
private:
    Help(); // not defined
    ~Help(); // not defined
};

struct Linguistic: public comphelper::ConfigurationProperty<Linguistic, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Linguistic"); }
private:
    Linguistic(); // not defined
    ~Linguistic(); // not defined
};

struct Module: public comphelper::ConfigurationProperty<Module, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Module"); }
private:
    Module(); // not defined
    ~Module(); // not defined
};

struct Palette: public comphelper::ConfigurationProperty<Palette, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Palette"); }
private:
    Palette(); // not defined
    ~Palette(); // not defined
};

struct Plugin: public comphelper::ConfigurationProperty<Plugin, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Plugin"); }
private:
    Plugin(); // not defined
    ~Plugin(); // not defined
};

struct Temp: public comphelper::ConfigurationProperty<Temp, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Temp"); }
private:
    Temp(); // not defined
    ~Temp(); // not defined
};

struct Template: public comphelper::ConfigurationProperty<Template, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Template"); }
private:
    Template(); // not defined
    ~Template(); // not defined
};

struct UIConfig: public comphelper::ConfigurationProperty<UIConfig, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/UIConfig"); }
private:
    UIConfig(); // not defined
    ~UIConfig(); // not defined
};

struct UserConfig: public comphelper::ConfigurationProperty<UserConfig, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/UserConfig"); }
private:
    UserConfig(); // not defined
    ~UserConfig(); // not defined
};

struct UserDictionary: public comphelper::ConfigurationProperty<UserDictionary, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/UserDictionary"); }
private:
    UserDictionary(); // not defined
    ~UserDictionary(); // not defined
};

struct Work: public comphelper::ConfigurationProperty<Work, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Path/Default/Work"); }
private:
    Work(); // not defined
    ~Work(); // not defined
};

private:
    Default(); // not defined
    ~Default(); // not defined
};

private:
    Path(); // not defined
    ~Path(); // not defined
};

struct Font: public comphelper::ConfigurationGroup< Font> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font"); }

struct Substitution: public comphelper::ConfigurationGroup< Substitution> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font/Substitution"); }

struct Replacement: public comphelper::ConfigurationProperty<Replacement, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font/Substitution/Replacement"); }
private:
    Replacement(); // not defined
    ~Replacement(); // not defined
};

struct FontPairs: public comphelper::ConfigurationSet< FontPairs> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font/Substitution/FontPairs"); }
private:
    FontPairs(); // not defined
    ~FontPairs(); // not defined
};

private:
    Substitution(); // not defined
    ~Substitution(); // not defined
};

struct View: public comphelper::ConfigurationGroup< View> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font/View"); }

struct History: public comphelper::ConfigurationProperty<History, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font/View/History"); }
private:
    History(); // not defined
    ~History(); // not defined
};

struct ShowFontBoxWYSIWYG: public comphelper::ConfigurationProperty<ShowFontBoxWYSIWYG, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font/View/ShowFontBoxWYSIWYG"); }
private:
    ShowFontBoxWYSIWYG(); // not defined
    ~ShowFontBoxWYSIWYG(); // not defined
};

private:
    View(); // not defined
    ~View(); // not defined
};

struct SourceViewFont: public comphelper::ConfigurationGroup< SourceViewFont> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font/SourceViewFont"); }

struct FontName: public comphelper::ConfigurationProperty<FontName, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font/SourceViewFont/FontName"); }
private:
    FontName(); // not defined
    ~FontName(); // not defined
};

struct FontHeight: public comphelper::ConfigurationProperty<FontHeight, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font/SourceViewFont/FontHeight"); }
private:
    FontHeight(); // not defined
    ~FontHeight(); // not defined
};

struct NonProportionalFontsOnly: public comphelper::ConfigurationProperty<NonProportionalFontsOnly, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Font/SourceViewFont/NonProportionalFontsOnly"); }
private:
    NonProportionalFontsOnly(); // not defined
    ~NonProportionalFontsOnly(); // not defined
};

private:
    SourceViewFont(); // not defined
    ~SourceViewFont(); // not defined
};

private:
    Font(); // not defined
    ~Font(); // not defined
};

struct Menus: public comphelper::ConfigurationGroup< Menus> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus"); }

struct New: public comphelper::ConfigurationSet< New> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/New"); }
private:
    New(); // not defined
    ~New(); // not defined
};

struct Wizard: public comphelper::ConfigurationSet< Wizard> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/Wizard"); }
private:
    Wizard(); // not defined
    ~Wizard(); // not defined
};

struct HelpBookmarks: public comphelper::ConfigurationSet< HelpBookmarks> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/HelpBookmarks"); }
private:
    HelpBookmarks(); // not defined
    ~HelpBookmarks(); // not defined
};

struct SendFeedbackURL: public comphelper::ConfigurationProperty<SendFeedbackURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/SendFeedbackURL"); }
private:
    SendFeedbackURL(); // not defined
    ~SendFeedbackURL(); // not defined
};

struct VolunteerURL: public comphelper::ConfigurationProperty<VolunteerURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/VolunteerURL"); }
private:
    VolunteerURL(); // not defined
    ~VolunteerURL(); // not defined
};

struct QA_URL: public comphelper::ConfigurationProperty<QA_URL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/QA_URL"); }
private:
    QA_URL(); // not defined
    ~QA_URL(); // not defined
};

struct DocumentationURL: public comphelper::ConfigurationProperty<DocumentationURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/DocumentationURL"); }
private:
    DocumentationURL(); // not defined
    ~DocumentationURL(); // not defined
};

struct GetInvolvedURL: public comphelper::ConfigurationProperty<GetInvolvedURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/GetInvolvedURL"); }
private:
    GetInvolvedURL(); // not defined
    ~GetInvolvedURL(); // not defined
};

struct DonationURL: public comphelper::ConfigurationProperty<DonationURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/DonationURL"); }
private:
    DonationURL(); // not defined
    ~DonationURL(); // not defined
};

struct ReleaseNotesURL: public comphelper::ConfigurationProperty<ReleaseNotesURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/ReleaseNotesURL"); }
private:
    ReleaseNotesURL(); // not defined
    ~ReleaseNotesURL(); // not defined
};

struct InstallJavaURL: public comphelper::ConfigurationProperty<InstallJavaURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Menus/InstallJavaURL"); }
private:
    InstallJavaURL(); // not defined
    ~InstallJavaURL(); // not defined
};

private:
    Menus(); // not defined
    ~Menus(); // not defined
};

struct History: public comphelper::ConfigurationGroup< History> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/History"); }

struct HelpBookmarkSize: public comphelper::ConfigurationProperty<HelpBookmarkSize, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/History/HelpBookmarkSize"); }
private:
    HelpBookmarkSize(); // not defined
    ~HelpBookmarkSize(); // not defined
};

struct Size: public comphelper::ConfigurationProperty<Size, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/History/Size"); }
private:
    Size(); // not defined
    ~Size(); // not defined
};

struct PickListSize: public comphelper::ConfigurationProperty<PickListSize, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/History/PickListSize"); }
private:
    PickListSize(); // not defined
    ~PickListSize(); // not defined
};

struct RecentDocsThumbnail: public comphelper::ConfigurationProperty<RecentDocsThumbnail, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/History/RecentDocsThumbnail"); }
private:
    RecentDocsThumbnail(); // not defined
    ~RecentDocsThumbnail(); // not defined
};

struct HelpBookmarks: public comphelper::ConfigurationSet< HelpBookmarks> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/History/HelpBookmarks"); }
private:
    HelpBookmarks(); // not defined
    ~HelpBookmarks(); // not defined
};

struct List: public comphelper::ConfigurationSet< List> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/History/List"); }
private:
    List(); // not defined
    ~List(); // not defined
};

struct PickList: public comphelper::ConfigurationSet< PickList> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/History/PickList"); }
private:
    PickList(); // not defined
    ~PickList(); // not defined
};

private:
    History(); // not defined
    ~History(); // not defined
};

struct Internal: public comphelper::ConfigurationGroup< Internal> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Internal"); }

struct RecoveryList: public comphelper::ConfigurationSet< RecoveryList> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Internal/RecoveryList"); }
private:
    RecoveryList(); // not defined
    ~RecoveryList(); // not defined
};

private:
    Internal(); // not defined
    ~Internal(); // not defined
};

struct Save: public comphelper::ConfigurationGroup< Save> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save"); }

struct WorkingSet: public comphelper::ConfigurationProperty<WorkingSet, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/WorkingSet"); }
private:
    WorkingSet(); // not defined
    ~WorkingSet(); // not defined
};

struct Document: public comphelper::ConfigurationGroup< Document> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document"); }

struct Unpacked: public comphelper::ConfigurationProperty<Unpacked, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/Unpacked"); }
private:
    Unpacked(); // not defined
    ~Unpacked(); // not defined
};

struct UseUserData: public comphelper::ConfigurationProperty<UseUserData, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/UseUserData"); }
private:
    UseUserData(); // not defined
    ~UseUserData(); // not defined
};

struct AutoSave: public comphelper::ConfigurationProperty<AutoSave, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/AutoSave"); }
private:
    AutoSave(); // not defined
    ~AutoSave(); // not defined
};

struct GenerateThumbnail: public comphelper::ConfigurationProperty<GenerateThumbnail, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/GenerateThumbnail"); }
private:
    GenerateThumbnail(); // not defined
    ~GenerateThumbnail(); // not defined
};

struct CreateBackup: public comphelper::ConfigurationProperty<CreateBackup, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/CreateBackup"); }
private:
    CreateBackup(); // not defined
    ~CreateBackup(); // not defined
};

struct EditProperty: public comphelper::ConfigurationProperty<EditProperty, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/EditProperty"); }
private:
    EditProperty(); // not defined
    ~EditProperty(); // not defined
};

struct AutoSavePrompt: public comphelper::ConfigurationProperty<AutoSavePrompt, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/AutoSavePrompt"); }
private:
    AutoSavePrompt(); // not defined
    ~AutoSavePrompt(); // not defined
};

struct AutoSaveTimeIntervall: public comphelper::ConfigurationProperty<AutoSaveTimeIntervall, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/AutoSaveTimeIntervall"); }
private:
    AutoSaveTimeIntervall(); // not defined
    ~AutoSaveTimeIntervall(); // not defined
};

struct ViewInfo: public comphelper::ConfigurationProperty<ViewInfo, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/ViewInfo"); }
private:
    ViewInfo(); // not defined
    ~ViewInfo(); // not defined
};

struct PrettyPrinting: public comphelper::ConfigurationProperty<PrettyPrinting, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/PrettyPrinting"); }
private:
    PrettyPrinting(); // not defined
    ~PrettyPrinting(); // not defined
};

struct WarnAlienFormat: public comphelper::ConfigurationProperty<WarnAlienFormat, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/WarnAlienFormat"); }
private:
    WarnAlienFormat(); // not defined
    ~WarnAlienFormat(); // not defined
};

struct AlwaysSaveAs: public comphelper::ConfigurationProperty<AlwaysSaveAs, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/AlwaysSaveAs"); }
private:
    AlwaysSaveAs(); // not defined
    ~AlwaysSaveAs(); // not defined
};

struct LoadPrinter: public comphelper::ConfigurationProperty<LoadPrinter, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Document/LoadPrinter"); }
private:
    LoadPrinter(); // not defined
    ~LoadPrinter(); // not defined
};

private:
    Document(); // not defined
    ~Document(); // not defined
};

struct Graphic: public comphelper::ConfigurationGroup< Graphic> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Graphic"); }

struct Format: public comphelper::ConfigurationProperty<Format, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Graphic/Format"); }
private:
    Format(); // not defined
    ~Format(); // not defined
};

struct AddReplacementImages: public comphelper::ConfigurationProperty<AddReplacementImages, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/Graphic/AddReplacementImages"); }
private:
    AddReplacementImages(); // not defined
    ~AddReplacementImages(); // not defined
};

private:
    Graphic(); // not defined
    ~Graphic(); // not defined
};

struct URL: public comphelper::ConfigurationGroup< URL> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/URL"); }

struct FileSystem: public comphelper::ConfigurationProperty<FileSystem, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/URL/FileSystem"); }
private:
    FileSystem(); // not defined
    ~FileSystem(); // not defined
};

struct Internet: public comphelper::ConfigurationProperty<Internet, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/URL/Internet"); }
private:
    Internet(); // not defined
    ~Internet(); // not defined
};

private:
    URL(); // not defined
    ~URL(); // not defined
};

struct ODF: public comphelper::ConfigurationGroup< ODF> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/ODF"); }

struct DefaultVersion: public comphelper::ConfigurationProperty<DefaultVersion, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Save/ODF/DefaultVersion"); }
private:
    DefaultVersion(); // not defined
    ~DefaultVersion(); // not defined
};

private:
    ODF(); // not defined
    ~ODF(); // not defined
};

private:
    Save(); // not defined
    ~Save(); // not defined
};

struct Load: public comphelper::ConfigurationGroup< Load> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Load"); }

struct UserDefinedSettings: public comphelper::ConfigurationProperty<UserDefinedSettings, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Load/UserDefinedSettings"); }
private:
    UserDefinedSettings(); // not defined
    ~UserDefinedSettings(); // not defined
};

struct ShowOfficeUpdateDialog: public comphelper::ConfigurationProperty<ShowOfficeUpdateDialog, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Load/ShowOfficeUpdateDialog"); }
private:
    ShowOfficeUpdateDialog(); // not defined
    ~ShowOfficeUpdateDialog(); // not defined
};

private:
    Load(); // not defined
    ~Load(); // not defined
};

struct Security: public comphelper::ConfigurationGroup< Security> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security"); }

struct LoadExoticFileFormats: public comphelper::ConfigurationProperty<LoadExoticFileFormats, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/LoadExoticFileFormats"); }
private:
    LoadExoticFileFormats(); // not defined
    ~LoadExoticFileFormats(); // not defined
};

struct EnableExpertConfiguration: public comphelper::ConfigurationProperty<EnableExpertConfiguration, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/EnableExpertConfiguration"); }
private:
    EnableExpertConfiguration(); // not defined
    ~EnableExpertConfiguration(); // not defined
};

struct OpenPGP: public comphelper::ConfigurationGroup< OpenPGP> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/OpenPGP"); }

struct MinimalKeyExport: public comphelper::ConfigurationProperty<MinimalKeyExport, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/OpenPGP/MinimalKeyExport"); }
private:
    MinimalKeyExport(); // not defined
    ~MinimalKeyExport(); // not defined
};

private:
    OpenPGP(); // not defined
    ~OpenPGP(); // not defined
};

struct Scripting: public comphelper::ConfigurationGroup< Scripting> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting"); }

struct SecureURL: public comphelper::ConfigurationProperty<SecureURL, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/SecureURL"); }
private:
    SecureURL(); // not defined
    ~SecureURL(); // not defined
};

struct OfficeBasic: public comphelper::ConfigurationProperty<OfficeBasic, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/OfficeBasic"); }
private:
    OfficeBasic(); // not defined
    ~OfficeBasic(); // not defined
};

struct ExecutePlugins: public comphelper::ConfigurationProperty<ExecutePlugins, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/ExecutePlugins"); }
private:
    ExecutePlugins(); // not defined
    ~ExecutePlugins(); // not defined
};

struct Warning: public comphelper::ConfigurationProperty<Warning, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/Warning"); }
private:
    Warning(); // not defined
    ~Warning(); // not defined
};

struct Confirmation: public comphelper::ConfigurationProperty<Confirmation, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/Confirmation"); }
private:
    Confirmation(); // not defined
    ~Confirmation(); // not defined
};

struct WarnSaveOrSendDoc: public comphelper::ConfigurationProperty<WarnSaveOrSendDoc, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/WarnSaveOrSendDoc"); }
private:
    WarnSaveOrSendDoc(); // not defined
    ~WarnSaveOrSendDoc(); // not defined
};

struct WarnSignDoc: public comphelper::ConfigurationProperty<WarnSignDoc, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/WarnSignDoc"); }
private:
    WarnSignDoc(); // not defined
    ~WarnSignDoc(); // not defined
};

struct CertDir: public comphelper::ConfigurationProperty<CertDir, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/CertDir"); }
private:
    CertDir(); // not defined
    ~CertDir(); // not defined
};

struct ManualCertDir: public comphelper::ConfigurationProperty<ManualCertDir, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/ManualCertDir"); }
private:
    ManualCertDir(); // not defined
    ~ManualCertDir(); // not defined
};

struct TSAURLs: public comphelper::ConfigurationProperty<TSAURLs, std::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/TSAURLs"); }
private:
    TSAURLs(); // not defined
    ~TSAURLs(); // not defined
};

struct WarnPrintDoc: public comphelper::ConfigurationProperty<WarnPrintDoc, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/WarnPrintDoc"); }
private:
    WarnPrintDoc(); // not defined
    ~WarnPrintDoc(); // not defined
};

struct WarnCreatePDF: public comphelper::ConfigurationProperty<WarnCreatePDF, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/WarnCreatePDF"); }
private:
    WarnCreatePDF(); // not defined
    ~WarnCreatePDF(); // not defined
};

struct RemovePersonalInfoOnSaving: public comphelper::ConfigurationProperty<RemovePersonalInfoOnSaving, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/RemovePersonalInfoOnSaving"); }
private:
    RemovePersonalInfoOnSaving(); // not defined
    ~RemovePersonalInfoOnSaving(); // not defined
};

struct RecommendPasswordProtection: public comphelper::ConfigurationProperty<RecommendPasswordProtection, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/RecommendPasswordProtection"); }
private:
    RecommendPasswordProtection(); // not defined
    ~RecommendPasswordProtection(); // not defined
};

struct HyperlinksWithCtrlClick: public comphelper::ConfigurationProperty<HyperlinksWithCtrlClick, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/HyperlinksWithCtrlClick"); }
private:
    HyperlinksWithCtrlClick(); // not defined
    ~HyperlinksWithCtrlClick(); // not defined
};

struct BlockUntrustedRefererLinks: public comphelper::ConfigurationProperty<BlockUntrustedRefererLinks, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/BlockUntrustedRefererLinks"); }
private:
    BlockUntrustedRefererLinks(); // not defined
    ~BlockUntrustedRefererLinks(); // not defined
};

struct MacroSecurityLevel: public comphelper::ConfigurationProperty<MacroSecurityLevel, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/MacroSecurityLevel"); }
private:
    MacroSecurityLevel(); // not defined
    ~MacroSecurityLevel(); // not defined
};

struct DisableMacrosExecution: public comphelper::ConfigurationProperty<DisableMacrosExecution, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/DisableMacrosExecution"); }
private:
    DisableMacrosExecution(); // not defined
    ~DisableMacrosExecution(); // not defined
};

struct CheckDocumentEvents: public comphelper::ConfigurationProperty<CheckDocumentEvents, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/CheckDocumentEvents"); }
private:
    CheckDocumentEvents(); // not defined
    ~CheckDocumentEvents(); // not defined
};

struct TrustedAuthors: public comphelper::ConfigurationSet< TrustedAuthors> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Security/Scripting/TrustedAuthors"); }
private:
    TrustedAuthors(); // not defined
    ~TrustedAuthors(); // not defined
};

private:
    Scripting(); // not defined
    ~Scripting(); // not defined
};

private:
    Security(); // not defined
    ~Security(); // not defined
};

struct View: public comphelper::ConfigurationGroup< View> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View"); }

struct NewDocumentHandling: public comphelper::ConfigurationGroup< NewDocumentHandling> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/NewDocumentHandling"); }

struct ForceFocusAndToFront: public comphelper::ConfigurationProperty<ForceFocusAndToFront, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/NewDocumentHandling/ForceFocusAndToFront"); }
private:
    ForceFocusAndToFront(); // not defined
    ~ForceFocusAndToFront(); // not defined
};

private:
    NewDocumentHandling(); // not defined
    ~NewDocumentHandling(); // not defined
};

struct AppWindow: public comphelper::ConfigurationGroup< AppWindow> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/AppWindow"); }

struct FullScreen: public comphelper::ConfigurationProperty<FullScreen, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/AppWindow/FullScreen"); }
private:
    FullScreen(); // not defined
    ~FullScreen(); // not defined
};

struct Preference: public comphelper::ConfigurationProperty<Preference, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/AppWindow/Preference"); }
private:
    Preference(); // not defined
    ~Preference(); // not defined
};

private:
    AppWindow(); // not defined
    ~AppWindow(); // not defined
};

struct Dialog: public comphelper::ConfigurationGroup< Dialog> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Dialog"); }

struct ButtonLarge: public comphelper::ConfigurationProperty<ButtonLarge, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Dialog/ButtonLarge"); }
private:
    ButtonLarge(); // not defined
    ~ButtonLarge(); // not defined
};

struct ButtonFlat: public comphelper::ConfigurationProperty<ButtonFlat, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Dialog/ButtonFlat"); }
private:
    ButtonFlat(); // not defined
    ~ButtonFlat(); // not defined
};

struct MousePositioning: public comphelper::ConfigurationProperty<MousePositioning, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Dialog/MousePositioning"); }
private:
    MousePositioning(); // not defined
    ~MousePositioning(); // not defined
};

struct MiddleMouseButton: public comphelper::ConfigurationProperty<MiddleMouseButton, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Dialog/MiddleMouseButton"); }
private:
    MiddleMouseButton(); // not defined
    ~MiddleMouseButton(); // not defined
};

private:
    Dialog(); // not defined
    ~Dialog(); // not defined
};

struct Menu: public comphelper::ConfigurationGroup< Menu> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Menu"); }

struct DontHideDisabledEntry: public comphelper::ConfigurationProperty<DontHideDisabledEntry, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Menu/DontHideDisabledEntry"); }
private:
    DontHideDisabledEntry(); // not defined
    ~DontHideDisabledEntry(); // not defined
};

struct IsSystemIconsInMenus: public comphelper::ConfigurationProperty<IsSystemIconsInMenus, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Menu/IsSystemIconsInMenus"); }
private:
    IsSystemIconsInMenus(); // not defined
    ~IsSystemIconsInMenus(); // not defined
};

struct ShowIconsInMenues: public comphelper::ConfigurationProperty<ShowIconsInMenues, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Menu/ShowIconsInMenues"); }
private:
    ShowIconsInMenues(); // not defined
    ~ShowIconsInMenues(); // not defined
};

struct FollowMouse: public comphelper::ConfigurationProperty<FollowMouse, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Menu/FollowMouse"); }
private:
    FollowMouse(); // not defined
    ~FollowMouse(); // not defined
};

struct ShortcutsInContextMenus: public comphelper::ConfigurationProperty<ShortcutsInContextMenus, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Menu/ShortcutsInContextMenus"); }
private:
    ShortcutsInContextMenus(); // not defined
    ~ShortcutsInContextMenus(); // not defined
};

private:
    Menu(); // not defined
    ~Menu(); // not defined
};

struct Window: public comphelper::ConfigurationGroup< Window> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Window"); }

struct Drag: public comphelper::ConfigurationProperty<Drag, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Window/Drag"); }
private:
    Drag(); // not defined
    ~Drag(); // not defined
};

struct Key: public comphelper::ConfigurationProperty<Key, std::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Window/Key"); }
private:
    Key(); // not defined
    ~Key(); // not defined
};

struct Version: public comphelper::ConfigurationProperty<Version, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Window/Version"); }
private:
    Version(); // not defined
    ~Version(); // not defined
};

struct State: public comphelper::ConfigurationProperty<State, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Window/State"); }
private:
    State(); // not defined
    ~State(); // not defined
};

struct Flag: public comphelper::ConfigurationProperty<Flag, std::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Window/Flag"); }
private:
    Flag(); // not defined
    ~Flag(); // not defined
};

struct UserData: public comphelper::ConfigurationProperty<UserData, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/Window/UserData"); }
private:
    UserData(); // not defined
    ~UserData(); // not defined
};

private:
    Window(); // not defined
    ~Window(); // not defined
};

struct FontAntiAliasing: public comphelper::ConfigurationGroup< FontAntiAliasing> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/FontAntiAliasing"); }

struct Enabled: public comphelper::ConfigurationProperty<Enabled, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/FontAntiAliasing/Enabled"); }
private:
    Enabled(); // not defined
    ~Enabled(); // not defined
};

struct MinPixelHeight: public comphelper::ConfigurationProperty<MinPixelHeight, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/View/FontAntiAliasing/MinPixelHeight"); }
private:
    MinPixelHeight(); // not defined
    ~MinPixelHeight(); // not defined
};

private:
    FontAntiAliasing(); // not defined
    ~FontAntiAliasing(); // not defined
};

private:
    View(); // not defined
    ~View(); // not defined
};

struct Undo: public comphelper::ConfigurationGroup< Undo> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Undo"); }

struct Steps: public comphelper::ConfigurationProperty<Steps, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Undo/Steps"); }
private:
    Steps(); // not defined
    ~Steps(); // not defined
};

private:
    Undo(); // not defined
    ~Undo(); // not defined
};

struct Setup: public comphelper::ConfigurationGroup< Setup> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Setup"); }

struct Language: public comphelper::ConfigurationGroup< Language> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Setup/Language"); }

struct Locales: public comphelper::ConfigurationProperty<Locales, std::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Setup/Language/Locales"); }
private:
    Locales(); // not defined
    ~Locales(); // not defined
};

private:
    Language(); // not defined
    ~Language(); // not defined
};

private:
    Setup(); // not defined
    ~Setup(); // not defined
};

struct Print: public comphelper::ConfigurationGroup< Print> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print"); }

struct PrintingModifiesDocument: public comphelper::ConfigurationProperty<PrintingModifiesDocument, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/PrintingModifiesDocument"); }
private:
    PrintingModifiesDocument(); // not defined
    ~PrintingModifiesDocument(); // not defined
};

struct Warning: public comphelper::ConfigurationGroup< Warning> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Warning"); }

struct PaperSize: public comphelper::ConfigurationProperty<PaperSize, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Warning/PaperSize"); }
private:
    PaperSize(); // not defined
    ~PaperSize(); // not defined
};

struct PaperOrientation: public comphelper::ConfigurationProperty<PaperOrientation, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Warning/PaperOrientation"); }
private:
    PaperOrientation(); // not defined
    ~PaperOrientation(); // not defined
};

struct NotFound: public comphelper::ConfigurationProperty<NotFound, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Warning/NotFound"); }
private:
    NotFound(); // not defined
    ~NotFound(); // not defined
};

struct Transparency: public comphelper::ConfigurationProperty<Transparency, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Warning/Transparency"); }
private:
    Transparency(); // not defined
    ~Transparency(); // not defined
};

private:
    Warning(); // not defined
    ~Warning(); // not defined
};

struct Option: public comphelper::ConfigurationGroup< Option> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option"); }

struct Printer: public comphelper::ConfigurationGroup< Printer> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer"); }

struct ReduceTransparency: public comphelper::ConfigurationProperty<ReduceTransparency, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/ReduceTransparency"); }
private:
    ReduceTransparency(); // not defined
    ~ReduceTransparency(); // not defined
};

struct ReducedTransparencyMode: public comphelper::ConfigurationProperty<ReducedTransparencyMode, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/ReducedTransparencyMode"); }
private:
    ReducedTransparencyMode(); // not defined
    ~ReducedTransparencyMode(); // not defined
};

struct ReduceGradients: public comphelper::ConfigurationProperty<ReduceGradients, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/ReduceGradients"); }
private:
    ReduceGradients(); // not defined
    ~ReduceGradients(); // not defined
};

struct ReducedGradientMode: public comphelper::ConfigurationProperty<ReducedGradientMode, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/ReducedGradientMode"); }
private:
    ReducedGradientMode(); // not defined
    ~ReducedGradientMode(); // not defined
};

struct ReducedGradientStepCount: public comphelper::ConfigurationProperty<ReducedGradientStepCount, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/ReducedGradientStepCount"); }
private:
    ReducedGradientStepCount(); // not defined
    ~ReducedGradientStepCount(); // not defined
};

struct ReduceBitmaps: public comphelper::ConfigurationProperty<ReduceBitmaps, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/ReduceBitmaps"); }
private:
    ReduceBitmaps(); // not defined
    ~ReduceBitmaps(); // not defined
};

struct ReducedBitmapMode: public comphelper::ConfigurationProperty<ReducedBitmapMode, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/ReducedBitmapMode"); }
private:
    ReducedBitmapMode(); // not defined
    ~ReducedBitmapMode(); // not defined
};

struct ReducedBitmapResolution: public comphelper::ConfigurationProperty<ReducedBitmapResolution, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/ReducedBitmapResolution"); }
private:
    ReducedBitmapResolution(); // not defined
    ~ReducedBitmapResolution(); // not defined
};

struct ReducedBitmapIncludesTransparency: public comphelper::ConfigurationProperty<ReducedBitmapIncludesTransparency, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/ReducedBitmapIncludesTransparency"); }
private:
    ReducedBitmapIncludesTransparency(); // not defined
    ~ReducedBitmapIncludesTransparency(); // not defined
};

struct ConvertToGreyscales: public comphelper::ConfigurationProperty<ConvertToGreyscales, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/ConvertToGreyscales"); }
private:
    ConvertToGreyscales(); // not defined
    ~ConvertToGreyscales(); // not defined
};

struct PDFAsStandardPrintJobFormat: public comphelper::ConfigurationProperty<PDFAsStandardPrintJobFormat, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/Printer/PDFAsStandardPrintJobFormat"); }
private:
    PDFAsStandardPrintJobFormat(); // not defined
    ~PDFAsStandardPrintJobFormat(); // not defined
};

private:
    Printer(); // not defined
    ~Printer(); // not defined
};

struct File: public comphelper::ConfigurationGroup< File> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File"); }

struct ReduceTransparency: public comphelper::ConfigurationProperty<ReduceTransparency, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/ReduceTransparency"); }
private:
    ReduceTransparency(); // not defined
    ~ReduceTransparency(); // not defined
};

struct ReducedTransparencyMode: public comphelper::ConfigurationProperty<ReducedTransparencyMode, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/ReducedTransparencyMode"); }
private:
    ReducedTransparencyMode(); // not defined
    ~ReducedTransparencyMode(); // not defined
};

struct ReduceGradients: public comphelper::ConfigurationProperty<ReduceGradients, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/ReduceGradients"); }
private:
    ReduceGradients(); // not defined
    ~ReduceGradients(); // not defined
};

struct ReducedGradientMode: public comphelper::ConfigurationProperty<ReducedGradientMode, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/ReducedGradientMode"); }
private:
    ReducedGradientMode(); // not defined
    ~ReducedGradientMode(); // not defined
};

struct ReducedGradientStepCount: public comphelper::ConfigurationProperty<ReducedGradientStepCount, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/ReducedGradientStepCount"); }
private:
    ReducedGradientStepCount(); // not defined
    ~ReducedGradientStepCount(); // not defined
};

struct ReduceBitmaps: public comphelper::ConfigurationProperty<ReduceBitmaps, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/ReduceBitmaps"); }
private:
    ReduceBitmaps(); // not defined
    ~ReduceBitmaps(); // not defined
};

struct ReducedBitmapMode: public comphelper::ConfigurationProperty<ReducedBitmapMode, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/ReducedBitmapMode"); }
private:
    ReducedBitmapMode(); // not defined
    ~ReducedBitmapMode(); // not defined
};

struct ReducedBitmapResolution: public comphelper::ConfigurationProperty<ReducedBitmapResolution, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/ReducedBitmapResolution"); }
private:
    ReducedBitmapResolution(); // not defined
    ~ReducedBitmapResolution(); // not defined
};

struct ReducedBitmapIncludesTransparency: public comphelper::ConfigurationProperty<ReducedBitmapIncludesTransparency, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/ReducedBitmapIncludesTransparency"); }
private:
    ReducedBitmapIncludesTransparency(); // not defined
    ~ReducedBitmapIncludesTransparency(); // not defined
};

struct ConvertToGreyscales: public comphelper::ConfigurationProperty<ConvertToGreyscales, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/ConvertToGreyscales"); }
private:
    ConvertToGreyscales(); // not defined
    ~ConvertToGreyscales(); // not defined
};

struct PDFAsStandardPrintJobFormat: public comphelper::ConfigurationProperty<PDFAsStandardPrintJobFormat, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Option/File/PDFAsStandardPrintJobFormat"); }
private:
    PDFAsStandardPrintJobFormat(); // not defined
    ~PDFAsStandardPrintJobFormat(); // not defined
};

private:
    File(); // not defined
    ~File(); // not defined
};

private:
    Option(); // not defined
    ~Option(); // not defined
};

struct Dialog: public comphelper::ConfigurationGroup< Dialog> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Dialog"); }

struct RangeSectionExpanded: public comphelper::ConfigurationProperty<RangeSectionExpanded, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Dialog/RangeSectionExpanded"); }
private:
    RangeSectionExpanded(); // not defined
    ~RangeSectionExpanded(); // not defined
};

struct LayoutSectionExpanded: public comphelper::ConfigurationProperty<LayoutSectionExpanded, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Print/Dialog/LayoutSectionExpanded"); }
private:
    LayoutSectionExpanded(); // not defined
    ~LayoutSectionExpanded(); // not defined
};

private:
    Dialog(); // not defined
    ~Dialog(); // not defined
};

private:
    Print(); // not defined
    ~Print(); // not defined
};

struct AddXMLToStorage: public comphelper::ConfigurationGroup< AddXMLToStorage> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AddXMLToStorage"); }

struct Writer: public comphelper::ConfigurationProperty<Writer, std::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AddXMLToStorage/Writer"); }
private:
    Writer(); // not defined
    ~Writer(); // not defined
};

struct Calc: public comphelper::ConfigurationProperty<Calc, std::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AddXMLToStorage/Calc"); }
private:
    Calc(); // not defined
    ~Calc(); // not defined
};

struct Impress: public comphelper::ConfigurationProperty<Impress, std::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AddXMLToStorage/Impress"); }
private:
    Impress(); // not defined
    ~Impress(); // not defined
};

struct Draw: public comphelper::ConfigurationProperty<Draw, std::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AddXMLToStorage/Draw"); }
private:
    Draw(); // not defined
    ~Draw(); // not defined
};

private:
    AddXMLToStorage(); // not defined
    ~AddXMLToStorage(); // not defined
};

struct UserColors: public comphelper::ConfigurationGroup< UserColors> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/UserColors"); }

struct RecentColor: public comphelper::ConfigurationProperty<RecentColor, com::sun::star::uno::Sequence<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/UserColors/RecentColor"); }
private:
    RecentColor(); // not defined
    ~RecentColor(); // not defined
};

struct RecentColorName: public comphelper::ConfigurationProperty<RecentColorName, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/UserColors/RecentColorName"); }
private:
    RecentColorName(); // not defined
    ~RecentColorName(); // not defined
};

struct PaletteName: public comphelper::ConfigurationProperty<PaletteName, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/UserColors/PaletteName"); }
private:
    PaletteName(); // not defined
    ~PaletteName(); // not defined
};

struct CustomColor: public comphelper::ConfigurationProperty<CustomColor, com::sun::star::uno::Sequence<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/UserColors/CustomColor"); }
private:
    CustomColor(); // not defined
    ~CustomColor(); // not defined
};

struct CustomColorName: public comphelper::ConfigurationProperty<CustomColorName, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/UserColors/CustomColorName"); }
private:
    CustomColorName(); // not defined
    ~CustomColorName(); // not defined
};

private:
    UserColors(); // not defined
    ~UserColors(); // not defined
};

struct RecentCharacters: public comphelper::ConfigurationGroup< RecentCharacters> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/RecentCharacters"); }

struct RecentCharacterList: public comphelper::ConfigurationProperty<RecentCharacterList, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/RecentCharacters/RecentCharacterList"); }
private:
    RecentCharacterList(); // not defined
    ~RecentCharacterList(); // not defined
};

struct RecentCharacterFontList: public comphelper::ConfigurationProperty<RecentCharacterFontList, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/RecentCharacters/RecentCharacterFontList"); }
private:
    RecentCharacterFontList(); // not defined
    ~RecentCharacterFontList(); // not defined
};

private:
    RecentCharacters(); // not defined
    ~RecentCharacters(); // not defined
};

struct FavoriteCharacters: public comphelper::ConfigurationGroup< FavoriteCharacters> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/FavoriteCharacters"); }

struct FavoriteCharacterList: public comphelper::ConfigurationProperty<FavoriteCharacterList, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/FavoriteCharacters/FavoriteCharacterList"); }
private:
    FavoriteCharacterList(); // not defined
    ~FavoriteCharacterList(); // not defined
};

struct FavoriteCharacterFontList: public comphelper::ConfigurationProperty<FavoriteCharacterFontList, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/FavoriteCharacters/FavoriteCharacterFontList"); }
private:
    FavoriteCharacterFontList(); // not defined
    ~FavoriteCharacterFontList(); // not defined
};

private:
    FavoriteCharacters(); // not defined
    ~FavoriteCharacters(); // not defined
};

struct Help: public comphelper::ConfigurationGroup< Help> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help"); }

struct ShowBasic: public comphelper::ConfigurationProperty<ShowBasic, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/ShowBasic"); }
private:
    ShowBasic(); // not defined
    ~ShowBasic(); // not defined
};

struct Locale: public comphelper::ConfigurationProperty<Locale, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/Locale"); }
private:
    Locale(); // not defined
    ~Locale(); // not defined
};

struct System: public comphelper::ConfigurationProperty<System, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/System"); }
private:
    System(); // not defined
    ~System(); // not defined
};

struct Tip: public comphelper::ConfigurationProperty<Tip, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/Tip"); }
private:
    Tip(); // not defined
    ~Tip(); // not defined
};

struct ExtendedTip: public comphelper::ConfigurationProperty<ExtendedTip, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/ExtendedTip"); }
private:
    ExtendedTip(); // not defined
    ~ExtendedTip(); // not defined
};

struct BuiltInHelpNotInstalledPopUp: public comphelper::ConfigurationProperty<BuiltInHelpNotInstalledPopUp, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/BuiltInHelpNotInstalledPopUp"); }
private:
    BuiltInHelpNotInstalledPopUp(); // not defined
    ~BuiltInHelpNotInstalledPopUp(); // not defined
};

struct HelpStyleSheet: public comphelper::ConfigurationProperty<HelpStyleSheet, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/HelpStyleSheet"); }
private:
    HelpStyleSheet(); // not defined
    ~HelpStyleSheet(); // not defined
};

struct HelpRootURL: public comphelper::ConfigurationProperty<HelpRootURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/HelpRootURL"); }
private:
    HelpRootURL(); // not defined
    ~HelpRootURL(); // not defined
};

struct StartCenter: public comphelper::ConfigurationGroup< StartCenter> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/StartCenter"); }

struct AddFeatureURL: public comphelper::ConfigurationProperty<AddFeatureURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/StartCenter/AddFeatureURL"); }
private:
    AddFeatureURL(); // not defined
    ~AddFeatureURL(); // not defined
};

struct InfoURL: public comphelper::ConfigurationProperty<InfoURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/StartCenter/InfoURL"); }
private:
    InfoURL(); // not defined
    ~InfoURL(); // not defined
};

struct TemplateRepositoryURL: public comphelper::ConfigurationProperty<TemplateRepositoryURL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/StartCenter/TemplateRepositoryURL"); }
private:
    TemplateRepositoryURL(); // not defined
    ~TemplateRepositoryURL(); // not defined
};

struct StartCenterThumbnailsBackgroundColor: public comphelper::ConfigurationProperty<StartCenterThumbnailsBackgroundColor, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/StartCenter/StartCenterThumbnailsBackgroundColor"); }
private:
    StartCenterThumbnailsBackgroundColor(); // not defined
    ~StartCenterThumbnailsBackgroundColor(); // not defined
};

struct StartCenterThumbnailsTextColor: public comphelper::ConfigurationProperty<StartCenterThumbnailsTextColor, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/StartCenter/StartCenterThumbnailsTextColor"); }
private:
    StartCenterThumbnailsTextColor(); // not defined
    ~StartCenterThumbnailsTextColor(); // not defined
};

struct StartCenterThumbnailsHighlightColor: public comphelper::ConfigurationProperty<StartCenterThumbnailsHighlightColor, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/StartCenter/StartCenterThumbnailsHighlightColor"); }
private:
    StartCenterThumbnailsHighlightColor(); // not defined
    ~StartCenterThumbnailsHighlightColor(); // not defined
};

struct StartCenterThumbnailsHighlightTextColor: public comphelper::ConfigurationProperty<StartCenterThumbnailsHighlightTextColor, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Help/StartCenter/StartCenterThumbnailsHighlightTextColor"); }
private:
    StartCenterThumbnailsHighlightTextColor(); // not defined
    ~StartCenterThumbnailsHighlightTextColor(); // not defined
};

private:
    StartCenter(); // not defined
    ~StartCenter(); // not defined
};

private:
    Help(); // not defined
    ~Help(); // not defined
};

struct Vectorize: public comphelper::ConfigurationGroup< Vectorize> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Vectorize"); }

struct ColorCount: public comphelper::ConfigurationProperty<ColorCount, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Vectorize/ColorCount"); }
private:
    ColorCount(); // not defined
    ~ColorCount(); // not defined
};

struct PointReduce: public comphelper::ConfigurationProperty<PointReduce, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Vectorize/PointReduce"); }
private:
    PointReduce(); // not defined
    ~PointReduce(); // not defined
};

struct FillHole: public comphelper::ConfigurationProperty<FillHole, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Vectorize/FillHole"); }
private:
    FillHole(); // not defined
    ~FillHole(); // not defined
};

struct TileExtent: public comphelper::ConfigurationProperty<TileExtent, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Vectorize/TileExtent"); }
private:
    TileExtent(); // not defined
    ~TileExtent(); // not defined
};

private:
    Vectorize(); // not defined
    ~Vectorize(); // not defined
};

struct DateFormat: public comphelper::ConfigurationGroup< DateFormat> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/DateFormat"); }

struct TwoDigitYear: public comphelper::ConfigurationProperty<TwoDigitYear, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/DateFormat/TwoDigitYear"); }
private:
    TwoDigitYear(); // not defined
    ~TwoDigitYear(); // not defined
};

private:
    DateFormat(); // not defined
    ~DateFormat(); // not defined
};

struct Filter: public comphelper::ConfigurationGroup< Filter> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter"); }

struct Adobe: public comphelper::ConfigurationGroup< Adobe> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Adobe"); }

struct Import: public comphelper::ConfigurationGroup< Import> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Adobe/Import"); }

struct PDFToDraw: public comphelper::ConfigurationProperty<PDFToDraw, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Adobe/Import/PDFToDraw"); }
private:
    PDFToDraw(); // not defined
    ~PDFToDraw(); // not defined
};

private:
    Import(); // not defined
    ~Import(); // not defined
};

private:
    Adobe(); // not defined
    ~Adobe(); // not defined
};

struct Microsoft: public comphelper::ConfigurationGroup< Microsoft> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft"); }

struct Import: public comphelper::ConfigurationGroup< Import> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Import"); }

struct MathTypeToMath: public comphelper::ConfigurationProperty<MathTypeToMath, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Import/MathTypeToMath"); }
private:
    MathTypeToMath(); // not defined
    ~MathTypeToMath(); // not defined
};

struct WinWordToWriter: public comphelper::ConfigurationProperty<WinWordToWriter, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Import/WinWordToWriter"); }
private:
    WinWordToWriter(); // not defined
    ~WinWordToWriter(); // not defined
};

struct ExcelToCalc: public comphelper::ConfigurationProperty<ExcelToCalc, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Import/ExcelToCalc"); }
private:
    ExcelToCalc(); // not defined
    ~ExcelToCalc(); // not defined
};

struct PowerPointToImpress: public comphelper::ConfigurationProperty<PowerPointToImpress, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Import/PowerPointToImpress"); }
private:
    PowerPointToImpress(); // not defined
    ~PowerPointToImpress(); // not defined
};

struct SmartArtToShapes: public comphelper::ConfigurationProperty<SmartArtToShapes, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Import/SmartArtToShapes"); }
private:
    SmartArtToShapes(); // not defined
    ~SmartArtToShapes(); // not defined
};

struct ImportWWFieldsAsEnhancedFields: public comphelper::ConfigurationProperty<ImportWWFieldsAsEnhancedFields, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Import/ImportWWFieldsAsEnhancedFields"); }
private:
    ImportWWFieldsAsEnhancedFields(); // not defined
    ~ImportWWFieldsAsEnhancedFields(); // not defined
};

struct ForceImportWWFieldsAsGenericFields: public comphelper::ConfigurationProperty<ForceImportWWFieldsAsGenericFields, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Import/ForceImportWWFieldsAsGenericFields"); }
private:
    ForceImportWWFieldsAsGenericFields(); // not defined
    ~ForceImportWWFieldsAsGenericFields(); // not defined
};

struct CreateMSOLockFiles: public comphelper::ConfigurationProperty<CreateMSOLockFiles, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Import/CreateMSOLockFiles"); }
private:
    CreateMSOLockFiles(); // not defined
    ~CreateMSOLockFiles(); // not defined
};

struct VisioToDraw: public comphelper::ConfigurationProperty<VisioToDraw, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Import/VisioToDraw"); }
private:
    VisioToDraw(); // not defined
    ~VisioToDraw(); // not defined
};

private:
    Import(); // not defined
    ~Import(); // not defined
};

struct Export: public comphelper::ConfigurationGroup< Export> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Export"); }

struct MathToMathType: public comphelper::ConfigurationProperty<MathToMathType, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Export/MathToMathType"); }
private:
    MathToMathType(); // not defined
    ~MathToMathType(); // not defined
};

struct WriterToWinWord: public comphelper::ConfigurationProperty<WriterToWinWord, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Export/WriterToWinWord"); }
private:
    WriterToWinWord(); // not defined
    ~WriterToWinWord(); // not defined
};

struct CalcToExcel: public comphelper::ConfigurationProperty<CalcToExcel, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Export/CalcToExcel"); }
private:
    CalcToExcel(); // not defined
    ~CalcToExcel(); // not defined
};

struct ImpressToPowerPoint: public comphelper::ConfigurationProperty<ImpressToPowerPoint, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Export/ImpressToPowerPoint"); }
private:
    ImpressToPowerPoint(); // not defined
    ~ImpressToPowerPoint(); // not defined
};

struct EnablePowerPointPreview: public comphelper::ConfigurationProperty<EnablePowerPointPreview, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Export/EnablePowerPointPreview"); }
private:
    EnablePowerPointPreview(); // not defined
    ~EnablePowerPointPreview(); // not defined
};

struct EnableExcelPreview: public comphelper::ConfigurationProperty<EnableExcelPreview, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Export/EnableExcelPreview"); }
private:
    EnableExcelPreview(); // not defined
    ~EnableExcelPreview(); // not defined
};

struct EnableWordPreview: public comphelper::ConfigurationProperty<EnableWordPreview, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Export/EnableWordPreview"); }
private:
    EnableWordPreview(); // not defined
    ~EnableWordPreview(); // not defined
};

struct CharBackgroundToHighlighting: public comphelper::ConfigurationProperty<CharBackgroundToHighlighting, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Microsoft/Export/CharBackgroundToHighlighting"); }
private:
    CharBackgroundToHighlighting(); // not defined
    ~CharBackgroundToHighlighting(); // not defined
};

private:
    Export(); // not defined
    ~Export(); // not defined
};

private:
    Microsoft(); // not defined
    ~Microsoft(); // not defined
};

struct Graphic: public comphelper::ConfigurationGroup< Graphic> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic"); }

struct Import: public comphelper::ConfigurationGroup< Import> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Import"); }

struct PCD: public comphelper::ConfigurationGroup< PCD> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Import/PCD"); }

struct Resolution: public comphelper::ConfigurationProperty<Resolution, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Import/PCD/Resolution"); }
private:
    Resolution(); // not defined
    ~Resolution(); // not defined
};

private:
    PCD(); // not defined
    ~PCD(); // not defined
};

private:
    Import(); // not defined
    ~Import(); // not defined
};

struct Export: public comphelper::ConfigurationGroup< Export> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export"); }

struct PixelExportUnit: public comphelper::ConfigurationProperty<PixelExportUnit, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PixelExportUnit"); }
private:
    PixelExportUnit(); // not defined
    ~PixelExportUnit(); // not defined
};

struct PixelExportResolutionUnit: public comphelper::ConfigurationProperty<PixelExportResolutionUnit, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PixelExportResolutionUnit"); }
private:
    PixelExportResolutionUnit(); // not defined
    ~PixelExportResolutionUnit(); // not defined
};

struct PixelExportResolution: public comphelper::ConfigurationProperty<PixelExportResolution, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PixelExportResolution"); }
private:
    PixelExportResolution(); // not defined
    ~PixelExportResolution(); // not defined
};

struct MaxFilesizeForRealtimePreview: public comphelper::ConfigurationProperty<MaxFilesizeForRealtimePreview, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/MaxFilesizeForRealtimePreview"); }
private:
    MaxFilesizeForRealtimePreview(); // not defined
    ~MaxFilesizeForRealtimePreview(); // not defined
};

struct VectorExportUnit: public comphelper::ConfigurationProperty<VectorExportUnit, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/VectorExportUnit"); }
private:
    VectorExportUnit(); // not defined
    ~VectorExportUnit(); // not defined
};

struct BMP: public comphelper::ConfigurationGroup< BMP> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/BMP"); }

struct Color: public comphelper::ConfigurationProperty<Color, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/BMP/Color"); }
private:
    Color(); // not defined
    ~Color(); // not defined
};

struct RLE_Coding: public comphelper::ConfigurationProperty<RLE_Coding, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/BMP/RLE_Coding"); }
private:
    RLE_Coding(); // not defined
    ~RLE_Coding(); // not defined
};

private:
    BMP(); // not defined
    ~BMP(); // not defined
};

struct EPS: public comphelper::ConfigurationGroup< EPS> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/EPS"); }

struct Preview: public comphelper::ConfigurationProperty<Preview, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/EPS/Preview"); }
private:
    Preview(); // not defined
    ~Preview(); // not defined
};

struct Version: public comphelper::ConfigurationProperty<Version, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/EPS/Version"); }
private:
    Version(); // not defined
    ~Version(); // not defined
};

struct ColorFormat: public comphelper::ConfigurationProperty<ColorFormat, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/EPS/ColorFormat"); }
private:
    ColorFormat(); // not defined
    ~ColorFormat(); // not defined
};

struct CompressionMode: public comphelper::ConfigurationProperty<CompressionMode, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/EPS/CompressionMode"); }
private:
    CompressionMode(); // not defined
    ~CompressionMode(); // not defined
};

struct TextMode: public comphelper::ConfigurationProperty<TextMode, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/EPS/TextMode"); }
private:
    TextMode(); // not defined
    ~TextMode(); // not defined
};

private:
    EPS(); // not defined
    ~EPS(); // not defined
};

struct GIF: public comphelper::ConfigurationGroup< GIF> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/GIF"); }

struct Interlaced: public comphelper::ConfigurationProperty<Interlaced, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/GIF/Interlaced"); }
private:
    Interlaced(); // not defined
    ~Interlaced(); // not defined
};

struct Translucent: public comphelper::ConfigurationProperty<Translucent, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/GIF/Translucent"); }
private:
    Translucent(); // not defined
    ~Translucent(); // not defined
};

private:
    GIF(); // not defined
    ~GIF(); // not defined
};

struct JPG: public comphelper::ConfigurationGroup< JPG> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/JPG"); }

struct Quality: public comphelper::ConfigurationProperty<Quality, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/JPG/Quality"); }
private:
    Quality(); // not defined
    ~Quality(); // not defined
};

struct ColorMode: public comphelper::ConfigurationProperty<ColorMode, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/JPG/ColorMode"); }
private:
    ColorMode(); // not defined
    ~ColorMode(); // not defined
};

private:
    JPG(); // not defined
    ~JPG(); // not defined
};

struct PBM: public comphelper::ConfigurationGroup< PBM> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PBM"); }

struct FileFormat: public comphelper::ConfigurationProperty<FileFormat, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PBM/FileFormat"); }
private:
    FileFormat(); // not defined
    ~FileFormat(); // not defined
};

private:
    PBM(); // not defined
    ~PBM(); // not defined
};

struct PGM: public comphelper::ConfigurationGroup< PGM> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PGM"); }

struct FileFormat: public comphelper::ConfigurationProperty<FileFormat, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PGM/FileFormat"); }
private:
    FileFormat(); // not defined
    ~FileFormat(); // not defined
};

private:
    PGM(); // not defined
    ~PGM(); // not defined
};

struct PPM: public comphelper::ConfigurationGroup< PPM> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PPM"); }

struct FileFormat: public comphelper::ConfigurationProperty<FileFormat, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PPM/FileFormat"); }
private:
    FileFormat(); // not defined
    ~FileFormat(); // not defined
};

private:
    PPM(); // not defined
    ~PPM(); // not defined
};

struct PNG: public comphelper::ConfigurationGroup< PNG> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PNG"); }

struct Compression: public comphelper::ConfigurationProperty<Compression, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PNG/Compression"); }
private:
    Compression(); // not defined
    ~Compression(); // not defined
};

struct Interlaced: public comphelper::ConfigurationProperty<Interlaced, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PNG/Interlaced"); }
private:
    Interlaced(); // not defined
    ~Interlaced(); // not defined
};

struct Translucent: public comphelper::ConfigurationProperty<Translucent, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/PNG/Translucent"); }
private:
    Translucent(); // not defined
    ~Translucent(); // not defined
};

private:
    PNG(); // not defined
    ~PNG(); // not defined
};

struct SVG: public comphelper::ConfigurationGroup< SVG> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/SVG"); }

struct TinyMode: public comphelper::ConfigurationProperty<TinyMode, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/SVG/TinyMode"); }
private:
    TinyMode(); // not defined
    ~TinyMode(); // not defined
};

struct EmbedFonts: public comphelper::ConfigurationProperty<EmbedFonts, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/SVG/EmbedFonts"); }
private:
    EmbedFonts(); // not defined
    ~EmbedFonts(); // not defined
};

struct UseNativeTextDecoration: public comphelper::ConfigurationProperty<UseNativeTextDecoration, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/Graphic/Export/SVG/UseNativeTextDecoration"); }
private:
    UseNativeTextDecoration(); // not defined
    ~UseNativeTextDecoration(); // not defined
};

private:
    SVG(); // not defined
    ~SVG(); // not defined
};

private:
    Export(); // not defined
    ~Export(); // not defined
};

private:
    Graphic(); // not defined
    ~Graphic(); // not defined
};

struct HTML: public comphelper::ConfigurationGroup< HTML> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML"); }

struct Import: public comphelper::ConfigurationGroup< Import> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import"); }

struct NumbersEnglishUS: public comphelper::ConfigurationProperty<NumbersEnglishUS, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/NumbersEnglishUS"); }
private:
    NumbersEnglishUS(); // not defined
    ~NumbersEnglishUS(); // not defined
};

struct UnknownTag: public comphelper::ConfigurationProperty<UnknownTag, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/UnknownTag"); }
private:
    UnknownTag(); // not defined
    ~UnknownTag(); // not defined
};

struct FontSetting: public comphelper::ConfigurationProperty<FontSetting, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/FontSetting"); }
private:
    FontSetting(); // not defined
    ~FontSetting(); // not defined
};

struct FontSize: public comphelper::ConfigurationGroup< FontSize> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/FontSize"); }

struct Size_1: public comphelper::ConfigurationProperty<Size_1, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/FontSize/Size_1"); }
private:
    Size_1(); // not defined
    ~Size_1(); // not defined
};

struct Size_2: public comphelper::ConfigurationProperty<Size_2, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/FontSize/Size_2"); }
private:
    Size_2(); // not defined
    ~Size_2(); // not defined
};

struct Size_3: public comphelper::ConfigurationProperty<Size_3, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/FontSize/Size_3"); }
private:
    Size_3(); // not defined
    ~Size_3(); // not defined
};

struct Size_4: public comphelper::ConfigurationProperty<Size_4, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/FontSize/Size_4"); }
private:
    Size_4(); // not defined
    ~Size_4(); // not defined
};

struct Size_5: public comphelper::ConfigurationProperty<Size_5, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/FontSize/Size_5"); }
private:
    Size_5(); // not defined
    ~Size_5(); // not defined
};

struct Size_6: public comphelper::ConfigurationProperty<Size_6, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/FontSize/Size_6"); }
private:
    Size_6(); // not defined
    ~Size_6(); // not defined
};

struct Size_7: public comphelper::ConfigurationProperty<Size_7, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Import/FontSize/Size_7"); }
private:
    Size_7(); // not defined
    ~Size_7(); // not defined
};

private:
    FontSize(); // not defined
    ~FontSize(); // not defined
};

private:
    Import(); // not defined
    ~Import(); // not defined
};

struct Export: public comphelper::ConfigurationGroup< Export> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Export"); }

struct Browser: public comphelper::ConfigurationProperty<Browser, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Export/Browser"); }
private:
    Browser(); // not defined
    ~Browser(); // not defined
};

struct Basic: public comphelper::ConfigurationProperty<Basic, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Export/Basic"); }
private:
    Basic(); // not defined
    ~Basic(); // not defined
};

struct PrintLayout: public comphelper::ConfigurationProperty<PrintLayout, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Export/PrintLayout"); }
private:
    PrintLayout(); // not defined
    ~PrintLayout(); // not defined
};

struct LocalGraphic: public comphelper::ConfigurationProperty<LocalGraphic, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Export/LocalGraphic"); }
private:
    LocalGraphic(); // not defined
    ~LocalGraphic(); // not defined
};

struct Warning: public comphelper::ConfigurationProperty<Warning, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Export/Warning"); }
private:
    Warning(); // not defined
    ~Warning(); // not defined
};

struct Encoding: public comphelper::ConfigurationProperty<Encoding, std::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/HTML/Export/Encoding"); }
private:
    Encoding(); // not defined
    ~Encoding(); // not defined
};

private:
    Export(); // not defined
    ~Export(); // not defined
};

private:
    HTML(); // not defined
    ~HTML(); // not defined
};

struct PDF: public comphelper::ConfigurationGroup< PDF> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF"); }

struct Export: public comphelper::ConfigurationGroup< Export> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export"); }

struct CompressMode: public comphelper::ConfigurationProperty<CompressMode, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/CompressMode"); }
private:
    CompressMode(); // not defined
    ~CompressMode(); // not defined
};

struct UseLosslessCompression: public comphelper::ConfigurationProperty<UseLosslessCompression, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/UseLosslessCompression"); }
private:
    UseLosslessCompression(); // not defined
    ~UseLosslessCompression(); // not defined
};

struct Quality: public comphelper::ConfigurationProperty<Quality, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/Quality"); }
private:
    Quality(); // not defined
    ~Quality(); // not defined
};

struct ReduceImageResolution: public comphelper::ConfigurationProperty<ReduceImageResolution, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ReduceImageResolution"); }
private:
    ReduceImageResolution(); // not defined
    ~ReduceImageResolution(); // not defined
};

struct MaxImageResolution: public comphelper::ConfigurationProperty<MaxImageResolution, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/MaxImageResolution"); }
private:
    MaxImageResolution(); // not defined
    ~MaxImageResolution(); // not defined
};

struct UseTaggedPDF: public comphelper::ConfigurationProperty<UseTaggedPDF, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/UseTaggedPDF"); }
private:
    UseTaggedPDF(); // not defined
    ~UseTaggedPDF(); // not defined
};

struct ExportNotes: public comphelper::ConfigurationProperty<ExportNotes, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ExportNotes"); }
private:
    ExportNotes(); // not defined
    ~ExportNotes(); // not defined
};

struct ViewPDFAfterExport: public comphelper::ConfigurationProperty<ViewPDFAfterExport, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ViewPDFAfterExport"); }
private:
    ViewPDFAfterExport(); // not defined
    ~ViewPDFAfterExport(); // not defined
};

struct ExportBookmarks: public comphelper::ConfigurationProperty<ExportBookmarks, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ExportBookmarks"); }
private:
    ExportBookmarks(); // not defined
    ~ExportBookmarks(); // not defined
};

struct ExportPlaceholders: public comphelper::ConfigurationProperty<ExportPlaceholders, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ExportPlaceholders"); }
private:
    ExportPlaceholders(); // not defined
    ~ExportPlaceholders(); // not defined
};

struct OpenBookmarkLevels: public comphelper::ConfigurationProperty<OpenBookmarkLevels, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/OpenBookmarkLevels"); }
private:
    OpenBookmarkLevels(); // not defined
    ~OpenBookmarkLevels(); // not defined
};

struct ExportNotesPages: public comphelper::ConfigurationProperty<ExportNotesPages, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ExportNotesPages"); }
private:
    ExportNotesPages(); // not defined
    ~ExportNotesPages(); // not defined
};

struct ExportOnlyNotesPages: public comphelper::ConfigurationProperty<ExportOnlyNotesPages, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ExportOnlyNotesPages"); }
private:
    ExportOnlyNotesPages(); // not defined
    ~ExportOnlyNotesPages(); // not defined
};

struct UseTransitionEffects: public comphelper::ConfigurationProperty<UseTransitionEffects, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/UseTransitionEffects"); }
private:
    UseTransitionEffects(); // not defined
    ~UseTransitionEffects(); // not defined
};

struct ExportHiddenSlides: public comphelper::ConfigurationProperty<ExportHiddenSlides, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ExportHiddenSlides"); }
private:
    ExportHiddenSlides(); // not defined
    ~ExportHiddenSlides(); // not defined
};

struct SinglePageSheets: public comphelper::ConfigurationProperty<SinglePageSheets, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/SinglePageSheets"); }
private:
    SinglePageSheets(); // not defined
    ~SinglePageSheets(); // not defined
};

struct ExportFormFields: public comphelper::ConfigurationProperty<ExportFormFields, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ExportFormFields"); }
private:
    ExportFormFields(); // not defined
    ~ExportFormFields(); // not defined
};

struct FormsType: public comphelper::ConfigurationProperty<FormsType, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/FormsType"); }
private:
    FormsType(); // not defined
    ~FormsType(); // not defined
};

struct AllowDuplicateFieldNames: public comphelper::ConfigurationProperty<AllowDuplicateFieldNames, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/AllowDuplicateFieldNames"); }
private:
    AllowDuplicateFieldNames(); // not defined
    ~AllowDuplicateFieldNames(); // not defined
};

struct IsSkipEmptyPages: public comphelper::ConfigurationProperty<IsSkipEmptyPages, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/IsSkipEmptyPages"); }
private:
    IsSkipEmptyPages(); // not defined
    ~IsSkipEmptyPages(); // not defined
};

struct IsAddStream: public comphelper::ConfigurationProperty<IsAddStream, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/IsAddStream"); }
private:
    IsAddStream(); // not defined
    ~IsAddStream(); // not defined
};

struct HideViewerMenubar: public comphelper::ConfigurationProperty<HideViewerMenubar, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/HideViewerMenubar"); }
private:
    HideViewerMenubar(); // not defined
    ~HideViewerMenubar(); // not defined
};

struct HideViewerToolbar: public comphelper::ConfigurationProperty<HideViewerToolbar, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/HideViewerToolbar"); }
private:
    HideViewerToolbar(); // not defined
    ~HideViewerToolbar(); // not defined
};

struct HideViewerWindowControls: public comphelper::ConfigurationProperty<HideViewerWindowControls, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/HideViewerWindowControls"); }
private:
    HideViewerWindowControls(); // not defined
    ~HideViewerWindowControls(); // not defined
};

struct ResizeWindowToInitialPage: public comphelper::ConfigurationProperty<ResizeWindowToInitialPage, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ResizeWindowToInitialPage"); }
private:
    ResizeWindowToInitialPage(); // not defined
    ~ResizeWindowToInitialPage(); // not defined
};

struct CenterWindow: public comphelper::ConfigurationProperty<CenterWindow, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/CenterWindow"); }
private:
    CenterWindow(); // not defined
    ~CenterWindow(); // not defined
};

struct OpenInFullScreenMode: public comphelper::ConfigurationProperty<OpenInFullScreenMode, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/OpenInFullScreenMode"); }
private:
    OpenInFullScreenMode(); // not defined
    ~OpenInFullScreenMode(); // not defined
};

struct DisplayPDFDocumentTitle: public comphelper::ConfigurationProperty<DisplayPDFDocumentTitle, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/DisplayPDFDocumentTitle"); }
private:
    DisplayPDFDocumentTitle(); // not defined
    ~DisplayPDFDocumentTitle(); // not defined
};

struct InitialView: public comphelper::ConfigurationProperty<InitialView, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/InitialView"); }
private:
    InitialView(); // not defined
    ~InitialView(); // not defined
};

struct Magnification: public comphelper::ConfigurationProperty<Magnification, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/Magnification"); }
private:
    Magnification(); // not defined
    ~Magnification(); // not defined
};

struct Zoom: public comphelper::ConfigurationProperty<Zoom, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/Zoom"); }
private:
    Zoom(); // not defined
    ~Zoom(); // not defined
};

struct InitialPage: public comphelper::ConfigurationProperty<InitialPage, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/InitialPage"); }
private:
    InitialPage(); // not defined
    ~InitialPage(); // not defined
};

struct PageLayout: public comphelper::ConfigurationProperty<PageLayout, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/PageLayout"); }
private:
    PageLayout(); // not defined
    ~PageLayout(); // not defined
};

struct FirstPageOnLeft: public comphelper::ConfigurationProperty<FirstPageOnLeft, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/FirstPageOnLeft"); }
private:
    FirstPageOnLeft(); // not defined
    ~FirstPageOnLeft(); // not defined
};

struct Printing: public comphelper::ConfigurationProperty<Printing, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/Printing"); }
private:
    Printing(); // not defined
    ~Printing(); // not defined
};

struct Changes: public comphelper::ConfigurationProperty<Changes, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/Changes"); }
private:
    Changes(); // not defined
    ~Changes(); // not defined
};

struct EnableCopyingOfContent: public comphelper::ConfigurationProperty<EnableCopyingOfContent, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/EnableCopyingOfContent"); }
private:
    EnableCopyingOfContent(); // not defined
    ~EnableCopyingOfContent(); // not defined
};

struct EnableTextAccessForAccessibilityTools: public comphelper::ConfigurationProperty<EnableTextAccessForAccessibilityTools, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/EnableTextAccessForAccessibilityTools"); }
private:
    EnableTextAccessForAccessibilityTools(); // not defined
    ~EnableTextAccessForAccessibilityTools(); // not defined
};

struct SelectPdfVersion: public comphelper::ConfigurationProperty<SelectPdfVersion, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/SelectPdfVersion"); }
private:
    SelectPdfVersion(); // not defined
    ~SelectPdfVersion(); // not defined
};

struct PDFUACompliance: public comphelper::ConfigurationProperty<PDFUACompliance, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/PDFUACompliance"); }
private:
    PDFUACompliance(); // not defined
    ~PDFUACompliance(); // not defined
};

struct ExportLinksRelativeFsys: public comphelper::ConfigurationProperty<ExportLinksRelativeFsys, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ExportLinksRelativeFsys"); }
private:
    ExportLinksRelativeFsys(); // not defined
    ~ExportLinksRelativeFsys(); // not defined
};

struct PDFViewSelection: public comphelper::ConfigurationProperty<PDFViewSelection, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/PDFViewSelection"); }
private:
    PDFViewSelection(); // not defined
    ~PDFViewSelection(); // not defined
};

struct ConvertOOoTargetToPDFTarget: public comphelper::ConfigurationProperty<ConvertOOoTargetToPDFTarget, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ConvertOOoTargetToPDFTarget"); }
private:
    ConvertOOoTargetToPDFTarget(); // not defined
    ~ConvertOOoTargetToPDFTarget(); // not defined
};

struct ExportBookmarksToPDFDestination: public comphelper::ConfigurationProperty<ExportBookmarksToPDFDestination, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Filter/PDF/Export/ExportBookmarksToPDFDestination"); }
private:
    ExportBookmarksToPDFDestination(); // not defined
    ~ExportBookmarksToPDFDestination(); // not defined
};

private:
    Export(); // not defined
    ~Export(); // not defined
};

private:
    PDF(); // not defined
    ~PDF(); // not defined
};

private:
    Filter(); // not defined
    ~Filter(); // not defined
};

struct Misc: public comphelper::ConfigurationGroup< Misc> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc"); }

struct MaxOpenDocuments: public comphelper::ConfigurationProperty<MaxOpenDocuments, std::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/MaxOpenDocuments"); }
private:
    MaxOpenDocuments(); // not defined
    ~MaxOpenDocuments(); // not defined
};

struct EmojiFont: public comphelper::ConfigurationProperty<EmojiFont, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/EmojiFont"); }
private:
    EmojiFont(); // not defined
    ~EmojiFont(); // not defined
};

struct FontsUseWinMetrics: public comphelper::ConfigurationProperty<FontsUseWinMetrics, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/FontsUseWinMetrics"); }
private:
    FontsUseWinMetrics(); // not defined
    ~FontsUseWinMetrics(); // not defined
};

struct PluginsEnabled: public comphelper::ConfigurationProperty<PluginsEnabled, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/PluginsEnabled"); }
private:
    PluginsEnabled(); // not defined
    ~PluginsEnabled(); // not defined
};

struct UseSystemFileDialog: public comphelper::ConfigurationProperty<UseSystemFileDialog, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/UseSystemFileDialog"); }
private:
    UseSystemFileDialog(); // not defined
    ~UseSystemFileDialog(); // not defined
};

struct UseDocumentSystemFileLocking: public comphelper::ConfigurationProperty<UseDocumentSystemFileLocking, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/UseDocumentSystemFileLocking"); }
private:
    UseDocumentSystemFileLocking(); // not defined
    ~UseDocumentSystemFileLocking(); // not defined
};

struct UseWebDAVFileLocking: public comphelper::ConfigurationProperty<UseWebDAVFileLocking, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/UseWebDAVFileLocking"); }
private:
    UseWebDAVFileLocking(); // not defined
    ~UseWebDAVFileLocking(); // not defined
};

struct UseDocumentOOoLockFile: public comphelper::ConfigurationProperty<UseDocumentOOoLockFile, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/UseDocumentOOoLockFile"); }
private:
    UseDocumentOOoLockFile(); // not defined
    ~UseDocumentOOoLockFile(); // not defined
};

struct UseLocking: public comphelper::ConfigurationProperty<UseLocking, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/UseLocking"); }
private:
    UseLocking(); // not defined
    ~UseLocking(); // not defined
};

struct AllowOverrideLocking: public comphelper::ConfigurationProperty<AllowOverrideLocking, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/AllowOverrideLocking"); }
private:
    AllowOverrideLocking(); // not defined
    ~AllowOverrideLocking(); // not defined
};

struct ShowLinkWarningDialog: public comphelper::ConfigurationProperty<ShowLinkWarningDialog, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/ShowLinkWarningDialog"); }
private:
    ShowLinkWarningDialog(); // not defined
    ~ShowLinkWarningDialog(); // not defined
};

struct UseSystemPrintDialog: public comphelper::ConfigurationProperty<UseSystemPrintDialog, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/UseSystemPrintDialog"); }
private:
    UseSystemPrintDialog(); // not defined
    ~UseSystemPrintDialog(); // not defined
};

struct DisableUICustomization: public comphelper::ConfigurationProperty<DisableUICustomization, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/DisableUICustomization"); }
private:
    DisableUICustomization(); // not defined
    ~DisableUICustomization(); // not defined
};

struct WriteLayerStateAsConfigItem: public comphelper::ConfigurationProperty<WriteLayerStateAsConfigItem, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/WriteLayerStateAsConfigItem"); }
private:
    WriteLayerStateAsConfigItem(); // not defined
    ~WriteLayerStateAsConfigItem(); // not defined
};

struct ExperimentalMode: public comphelper::ConfigurationProperty<ExperimentalMode, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/ExperimentalMode"); }
private:
    ExperimentalMode(); // not defined
    ~ExperimentalMode(); // not defined
};

struct ScreenshotMode: public comphelper::ConfigurationProperty<ScreenshotMode, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/ScreenshotMode"); }
private:
    ScreenshotMode(); // not defined
    ~ScreenshotMode(); // not defined
};

struct CollectUsageInformation: public comphelper::ConfigurationProperty<CollectUsageInformation, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/CollectUsageInformation"); }
private:
    CollectUsageInformation(); // not defined
    ~CollectUsageInformation(); // not defined
};

struct CrashReport: public comphelper::ConfigurationProperty<CrashReport, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/CrashReport"); }
private:
    CrashReport(); // not defined
    ~CrashReport(); // not defined
};

struct ShowTipOfTheDay: public comphelper::ConfigurationProperty<ShowTipOfTheDay, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/ShowTipOfTheDay"); }
private:
    ShowTipOfTheDay(); // not defined
    ~ShowTipOfTheDay(); // not defined
};

struct LastTipOfTheDayShown: public comphelper::ConfigurationProperty<LastTipOfTheDayShown, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/LastTipOfTheDayShown"); }
private:
    LastTipOfTheDayShown(); // not defined
    ~LastTipOfTheDayShown(); // not defined
};

struct LastTipOfTheDayID: public comphelper::ConfigurationProperty<LastTipOfTheDayID, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/LastTipOfTheDayID"); }
private:
    LastTipOfTheDayID(); // not defined
    ~LastTipOfTheDayID(); // not defined
};

struct UseOpenCL: public comphelper::ConfigurationProperty<UseOpenCL, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/UseOpenCL"); }
private:
    UseOpenCL(); // not defined
    ~UseOpenCL(); // not defined
};

struct OpenCLDenyList: public comphelper::ConfigurationProperty<OpenCLDenyList, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/OpenCLDenyList"); }
private:
    OpenCLDenyList(); // not defined
    ~OpenCLDenyList(); // not defined
};

struct OpenCLAllowList: public comphelper::ConfigurationProperty<OpenCLAllowList, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/OpenCLAllowList"); }
private:
    OpenCLAllowList(); // not defined
    ~OpenCLAllowList(); // not defined
};

struct SelectedOpenCLDeviceIdentifier: public comphelper::ConfigurationProperty<SelectedOpenCLDeviceIdentifier, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/SelectedOpenCLDeviceIdentifier"); }
private:
    SelectedOpenCLDeviceIdentifier(); // not defined
    ~SelectedOpenCLDeviceIdentifier(); // not defined
};

struct MacroRecorderMode: public comphelper::ConfigurationProperty<MacroRecorderMode, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/MacroRecorderMode"); }
private:
    MacroRecorderMode(); // not defined
    ~MacroRecorderMode(); // not defined
};

struct SymbolSet: public comphelper::ConfigurationProperty<SymbolSet, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/SymbolSet"); }
private:
    SymbolSet(); // not defined
    ~SymbolSet(); // not defined
};

struct SidebarIconSize: public comphelper::ConfigurationProperty<SidebarIconSize, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/SidebarIconSize"); }
private:
    SidebarIconSize(); // not defined
    ~SidebarIconSize(); // not defined
};

struct NotebookbarIconSize: public comphelper::ConfigurationProperty<NotebookbarIconSize, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/NotebookbarIconSize"); }
private:
    NotebookbarIconSize(); // not defined
    ~NotebookbarIconSize(); // not defined
};

struct SymbolStyle: public comphelper::ConfigurationProperty<SymbolStyle, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/SymbolStyle"); }
private:
    SymbolStyle(); // not defined
    ~SymbolStyle(); // not defined
};

struct Persona: public comphelper::ConfigurationProperty<Persona, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/Persona"); }
private:
    Persona(); // not defined
    ~Persona(); // not defined
};

struct PersonaSettings: public comphelper::ConfigurationProperty<PersonaSettings, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/PersonaSettings"); }
private:
    PersonaSettings(); // not defined
    ~PersonaSettings(); // not defined
};

struct ToolboxStyle: public comphelper::ConfigurationProperty<ToolboxStyle, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/ToolboxStyle"); }
private:
    ToolboxStyle(); // not defined
    ~ToolboxStyle(); // not defined
};

struct FormControlPilotsEnabled: public comphelper::ConfigurationProperty<FormControlPilotsEnabled, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/FormControlPilotsEnabled"); }
private:
    FormControlPilotsEnabled(); // not defined
    ~FormControlPilotsEnabled(); // not defined
};

struct FirstRun: public comphelper::ConfigurationProperty<FirstRun, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/FirstRun"); }
private:
    FirstRun(); // not defined
    ~FirstRun(); // not defined
};

struct PreloadJVM: public comphelper::ConfigurationProperty<PreloadJVM, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/PreloadJVM"); }
private:
    PreloadJVM(); // not defined
    ~PreloadJVM(); // not defined
};

struct FilePickerPlacesUrls: public comphelper::ConfigurationProperty<FilePickerPlacesUrls, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/FilePickerPlacesUrls"); }
private:
    FilePickerPlacesUrls(); // not defined
    ~FilePickerPlacesUrls(); // not defined
};

struct FilePickerPlacesNames: public comphelper::ConfigurationProperty<FilePickerPlacesNames, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/FilePickerPlacesNames"); }
private:
    FilePickerPlacesNames(); // not defined
    ~FilePickerPlacesNames(); // not defined
};

struct FilePickerLastService: public comphelper::ConfigurationProperty<FilePickerLastService, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/FilePickerLastService"); }
private:
    FilePickerLastService(); // not defined
    ~FilePickerLastService(); // not defined
};

struct CmisServersUrls: public comphelper::ConfigurationProperty<CmisServersUrls, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/CmisServersUrls"); }
private:
    CmisServersUrls(); // not defined
    ~CmisServersUrls(); // not defined
};

struct CmisServersNames: public comphelper::ConfigurationProperty<CmisServersNames, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/CmisServersNames"); }
private:
    CmisServersNames(); // not defined
    ~CmisServersNames(); // not defined
};

struct PersonasList: public comphelper::ConfigurationSet< PersonasList> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/PersonasList"); }
private:
    PersonasList(); // not defined
    ~PersonasList(); // not defined
};

struct FindReplaceRememberedSearches: public comphelper::ConfigurationProperty<FindReplaceRememberedSearches, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/FindReplaceRememberedSearches"); }
private:
    FindReplaceRememberedSearches(); // not defined
    ~FindReplaceRememberedSearches(); // not defined
};

struct AllowEditReadonlyDocs: public comphelper::ConfigurationProperty<AllowEditReadonlyDocs, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Misc/AllowEditReadonlyDocs"); }
private:
    AllowEditReadonlyDocs(); // not defined
    ~AllowEditReadonlyDocs(); // not defined
};

private:
    Misc(); // not defined
    ~Misc(); // not defined
};

struct Forms: public comphelper::ConfigurationGroup< Forms> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Forms"); }

struct PropertyBrowser: public comphelper::ConfigurationGroup< PropertyBrowser> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Forms/PropertyBrowser"); }

struct ExperimentalProperties: public comphelper::ConfigurationProperty<ExperimentalProperties, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Forms/PropertyBrowser/ExperimentalProperties"); }
private:
    ExperimentalProperties(); // not defined
    ~ExperimentalProperties(); // not defined
};

struct DirectHelp: public comphelper::ConfigurationProperty<DirectHelp, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Forms/PropertyBrowser/DirectHelp"); }
private:
    DirectHelp(); // not defined
    ~DirectHelp(); // not defined
};

private:
    PropertyBrowser(); // not defined
    ~PropertyBrowser(); // not defined
};

private:
    Forms(); // not defined
    ~Forms(); // not defined
};

struct AsianLayout: public comphelper::ConfigurationGroup< AsianLayout> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AsianLayout"); }

struct IsKerningWesternTextOnly: public comphelper::ConfigurationProperty<IsKerningWesternTextOnly, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AsianLayout/IsKerningWesternTextOnly"); }
private:
    IsKerningWesternTextOnly(); // not defined
    ~IsKerningWesternTextOnly(); // not defined
};

struct CompressCharacterDistance: public comphelper::ConfigurationProperty<CompressCharacterDistance, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AsianLayout/CompressCharacterDistance"); }
private:
    CompressCharacterDistance(); // not defined
    ~CompressCharacterDistance(); // not defined
};

struct StartEndCharacters: public comphelper::ConfigurationSet< StartEndCharacters> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/AsianLayout/StartEndCharacters"); }
private:
    StartEndCharacters(); // not defined
    ~StartEndCharacters(); // not defined
};

private:
    AsianLayout(); // not defined
    ~AsianLayout(); // not defined
};

struct SearchOptions: public comphelper::ConfigurationGroup< SearchOptions> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions"); }

struct IsWholeWordsOnly: public comphelper::ConfigurationProperty<IsWholeWordsOnly, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsWholeWordsOnly"); }
private:
    IsWholeWordsOnly(); // not defined
    ~IsWholeWordsOnly(); // not defined
};

struct IsBackwards: public comphelper::ConfigurationProperty<IsBackwards, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsBackwards"); }
private:
    IsBackwards(); // not defined
    ~IsBackwards(); // not defined
};

struct IsUseWildcard: public comphelper::ConfigurationProperty<IsUseWildcard, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsUseWildcard"); }
private:
    IsUseWildcard(); // not defined
    ~IsUseWildcard(); // not defined
};

struct IsUseRegularExpression: public comphelper::ConfigurationProperty<IsUseRegularExpression, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsUseRegularExpression"); }
private:
    IsUseRegularExpression(); // not defined
    ~IsUseRegularExpression(); // not defined
};

struct IsSearchForStyles: public comphelper::ConfigurationProperty<IsSearchForStyles, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsSearchForStyles"); }
private:
    IsSearchForStyles(); // not defined
    ~IsSearchForStyles(); // not defined
};

struct IsSimilaritySearch: public comphelper::ConfigurationProperty<IsSimilaritySearch, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsSimilaritySearch"); }
private:
    IsSimilaritySearch(); // not defined
    ~IsSimilaritySearch(); // not defined
};

struct IsMatchCase: public comphelper::ConfigurationProperty<IsMatchCase, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsMatchCase"); }
private:
    IsMatchCase(); // not defined
    ~IsMatchCase(); // not defined
};

struct IsIgnoreDiacritics_CTL: public comphelper::ConfigurationProperty<IsIgnoreDiacritics_CTL, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsIgnoreDiacritics_CTL"); }
private:
    IsIgnoreDiacritics_CTL(); // not defined
    ~IsIgnoreDiacritics_CTL(); // not defined
};

struct IsIgnoreKashida_CTL: public comphelper::ConfigurationProperty<IsIgnoreKashida_CTL, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsIgnoreKashida_CTL"); }
private:
    IsIgnoreKashida_CTL(); // not defined
    ~IsIgnoreKashida_CTL(); // not defined
};

struct IsUseAsianOptions: public comphelper::ConfigurationProperty<IsUseAsianOptions, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsUseAsianOptions"); }
private:
    IsUseAsianOptions(); // not defined
    ~IsUseAsianOptions(); // not defined
};

struct ComponentSearchGroupLabel: public comphelper::ConfigurationLocalizedProperty<ComponentSearchGroupLabel, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/ComponentSearchGroupLabel"); }
private:
    ComponentSearchGroupLabel(); // not defined
    ~ComponentSearchGroupLabel(); // not defined
};

struct ComponentSearchCommandLabel1: public comphelper::ConfigurationLocalizedProperty<ComponentSearchCommandLabel1, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/ComponentSearchCommandLabel1"); }
private:
    ComponentSearchCommandLabel1(); // not defined
    ~ComponentSearchCommandLabel1(); // not defined
};

struct ComponentSearchCommandLabel2: public comphelper::ConfigurationLocalizedProperty<ComponentSearchCommandLabel2, std::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/ComponentSearchCommandLabel2"); }
private:
    ComponentSearchCommandLabel2(); // not defined
    ~ComponentSearchCommandLabel2(); // not defined
};

struct IsNotes: public comphelper::ConfigurationProperty<IsNotes, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsNotes"); }
private:
    IsNotes(); // not defined
    ~IsNotes(); // not defined
};

struct IsSearchFormatted: public comphelper::ConfigurationProperty<IsSearchFormatted, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/IsSearchFormatted"); }
private:
    IsSearchFormatted(); // not defined
    ~IsSearchFormatted(); // not defined
};

struct Japanese: public comphelper::ConfigurationGroup< Japanese> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese"); }

struct IsMatchFullHalfWidthForms: public comphelper::ConfigurationProperty<IsMatchFullHalfWidthForms, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatchFullHalfWidthForms"); }
private:
    IsMatchFullHalfWidthForms(); // not defined
    ~IsMatchFullHalfWidthForms(); // not defined
};

struct IsMatchHiraganaKatakana: public comphelper::ConfigurationProperty<IsMatchHiraganaKatakana, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatchHiraganaKatakana"); }
private:
    IsMatchHiraganaKatakana(); // not defined
    ~IsMatchHiraganaKatakana(); // not defined
};

struct IsMatchContractions: public comphelper::ConfigurationProperty<IsMatchContractions, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatchContractions"); }
private:
    IsMatchContractions(); // not defined
    ~IsMatchContractions(); // not defined
};

struct IsMatchMinusDashCho_on: public comphelper::ConfigurationProperty<IsMatchMinusDashCho_on, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatchMinusDashCho-on"); }
private:
    IsMatchMinusDashCho_on(); // not defined
    ~IsMatchMinusDashCho_on(); // not defined
};

struct IsMatchRepeatCharMarks: public comphelper::ConfigurationProperty<IsMatchRepeatCharMarks, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatchRepeatCharMarks"); }
private:
    IsMatchRepeatCharMarks(); // not defined
    ~IsMatchRepeatCharMarks(); // not defined
};

struct IsMatchVariantFormKanji: public comphelper::ConfigurationProperty<IsMatchVariantFormKanji, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatchVariantFormKanji"); }
private:
    IsMatchVariantFormKanji(); // not defined
    ~IsMatchVariantFormKanji(); // not defined
};

struct IsMatchOldKanaForms: public comphelper::ConfigurationProperty<IsMatchOldKanaForms, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatchOldKanaForms"); }
private:
    IsMatchOldKanaForms(); // not defined
    ~IsMatchOldKanaForms(); // not defined
};

struct IsMatch_DiZi_DuZu: public comphelper::ConfigurationProperty<IsMatch_DiZi_DuZu, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatch_DiZi_DuZu"); }
private:
    IsMatch_DiZi_DuZu(); // not defined
    ~IsMatch_DiZi_DuZu(); // not defined
};

struct IsMatch_BaVa_HaFa: public comphelper::ConfigurationProperty<IsMatch_BaVa_HaFa, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatch_BaVa_HaFa"); }
private:
    IsMatch_BaVa_HaFa(); // not defined
    ~IsMatch_BaVa_HaFa(); // not defined
};

struct IsMatch_TsiThiChi_DhiZi: public comphelper::ConfigurationProperty<IsMatch_TsiThiChi_DhiZi, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatch_TsiThiChi_DhiZi"); }
private:
    IsMatch_TsiThiChi_DhiZi(); // not defined
    ~IsMatch_TsiThiChi_DhiZi(); // not defined
};

struct IsMatch_HyuIyu_ByuVyu: public comphelper::ConfigurationProperty<IsMatch_HyuIyu_ByuVyu, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatch_HyuIyu_ByuVyu"); }
private:
    IsMatch_HyuIyu_ByuVyu(); // not defined
    ~IsMatch_HyuIyu_ByuVyu(); // not defined
};

struct IsMatch_SeShe_ZeJe: public comphelper::ConfigurationProperty<IsMatch_SeShe_ZeJe, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatch_SeShe_ZeJe"); }
private:
    IsMatch_SeShe_ZeJe(); // not defined
    ~IsMatch_SeShe_ZeJe(); // not defined
};

struct IsMatch_IaIya: public comphelper::ConfigurationProperty<IsMatch_IaIya, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatch_IaIya"); }
private:
    IsMatch_IaIya(); // not defined
    ~IsMatch_IaIya(); // not defined
};

struct IsMatch_KiKu: public comphelper::ConfigurationProperty<IsMatch_KiKu, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsMatch_KiKu"); }
private:
    IsMatch_KiKu(); // not defined
    ~IsMatch_KiKu(); // not defined
};

struct IsIgnorePunctuation: public comphelper::ConfigurationProperty<IsIgnorePunctuation, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsIgnorePunctuation"); }
private:
    IsIgnorePunctuation(); // not defined
    ~IsIgnorePunctuation(); // not defined
};

struct IsIgnoreWhitespace: public comphelper::ConfigurationProperty<IsIgnoreWhitespace, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsIgnoreWhitespace"); }
private:
    IsIgnoreWhitespace(); // not defined
    ~IsIgnoreWhitespace(); // not defined
};

struct IsIgnoreProlongedSoundMark: public comphelper::ConfigurationProperty<IsIgnoreProlongedSoundMark, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsIgnoreProlongedSoundMark"); }
private:
    IsIgnoreProlongedSoundMark(); // not defined
    ~IsIgnoreProlongedSoundMark(); // not defined
};

struct IsIgnoreMiddleDot: public comphelper::ConfigurationProperty<IsIgnoreMiddleDot, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SearchOptions/Japanese/IsIgnoreMiddleDot"); }
private:
    IsIgnoreMiddleDot(); // not defined
    ~IsIgnoreMiddleDot(); // not defined
};

private:
    Japanese(); // not defined
    ~Japanese(); // not defined
};

private:
    SearchOptions(); // not defined
    ~SearchOptions(); // not defined
};

struct Accessibility: public comphelper::ConfigurationGroup< Accessibility> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility"); }

struct AutoDetectSystemHC: public comphelper::ConfigurationProperty<AutoDetectSystemHC, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/AutoDetectSystemHC"); }
private:
    AutoDetectSystemHC(); // not defined
    ~AutoDetectSystemHC(); // not defined
};

struct IsForPagePreviews: public comphelper::ConfigurationProperty<IsForPagePreviews, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/IsForPagePreviews"); }
private:
    IsForPagePreviews(); // not defined
    ~IsForPagePreviews(); // not defined
};

struct IsHelpTipsDisappear: public comphelper::ConfigurationProperty<IsHelpTipsDisappear, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/IsHelpTipsDisappear"); }
private:
    IsHelpTipsDisappear(); // not defined
    ~IsHelpTipsDisappear(); // not defined
};

struct HelpTipSeconds: public comphelper::ConfigurationProperty<HelpTipSeconds, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/HelpTipSeconds"); }
private:
    HelpTipSeconds(); // not defined
    ~HelpTipSeconds(); // not defined
};

struct IsAllowAnimatedGraphics: public comphelper::ConfigurationProperty<IsAllowAnimatedGraphics, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/IsAllowAnimatedGraphics"); }
private:
    IsAllowAnimatedGraphics(); // not defined
    ~IsAllowAnimatedGraphics(); // not defined
};

struct IsAllowAnimatedText: public comphelper::ConfigurationProperty<IsAllowAnimatedText, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/IsAllowAnimatedText"); }
private:
    IsAllowAnimatedText(); // not defined
    ~IsAllowAnimatedText(); // not defined
};

struct IsAutomaticFontColor: public comphelper::ConfigurationProperty<IsAutomaticFontColor, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/IsAutomaticFontColor"); }
private:
    IsAutomaticFontColor(); // not defined
    ~IsAutomaticFontColor(); // not defined
};

struct IsSelectionInReadonly: public comphelper::ConfigurationProperty<IsSelectionInReadonly, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/IsSelectionInReadonly"); }
private:
    IsSelectionInReadonly(); // not defined
    ~IsSelectionInReadonly(); // not defined
};

struct EdgeBlending: public comphelper::ConfigurationProperty<EdgeBlending, std::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/EdgeBlending"); }
private:
    EdgeBlending(); // not defined
    ~EdgeBlending(); // not defined
};

struct ListBoxMaximumLineCount: public comphelper::ConfigurationProperty<ListBoxMaximumLineCount, std::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/ListBoxMaximumLineCount"); }
private:
    ListBoxMaximumLineCount(); // not defined
    ~ListBoxMaximumLineCount(); // not defined
};

struct ColorValueSetColumnCount: public comphelper::ConfigurationProperty<ColorValueSetColumnCount, std::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/ColorValueSetColumnCount"); }
private:
    ColorValueSetColumnCount(); // not defined
    ~ColorValueSetColumnCount(); // not defined
};

struct PreviewUsesCheckeredBackground: public comphelper::ConfigurationProperty<PreviewUsesCheckeredBackground, std::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Accessibility/PreviewUsesCheckeredBackground"); }
private:
    PreviewUsesCheckeredBackground(); // not defined
    ~PreviewUsesCheckeredBackground(); // not defined
};

private:
    Accessibility(); // not defined
    ~Accessibility(); // not defined
};

struct ExternalMailer: public comphelper::ConfigurationGroup< ExternalMailer> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/ExternalMailer"); }

struct Program: public comphelper::ConfigurationProperty<Program, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/ExternalMailer/Program"); }
private:
    Program(); // not defined
    ~Program(); // not defined
};

private:
    ExternalMailer(); // not defined
    ~ExternalMailer(); // not defined
};

struct I18N: public comphelper::ConfigurationGroup< I18N> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N"); }

struct InputMethod: public comphelper::ConfigurationGroup< InputMethod> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/InputMethod"); }

struct ShowStatusWindow: public comphelper::ConfigurationProperty<ShowStatusWindow, std::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/InputMethod/ShowStatusWindow"); }
private:
    ShowStatusWindow(); // not defined
    ~ShowStatusWindow(); // not defined
};

private:
    InputMethod(); // not defined
    ~InputMethod(); // not defined
};

struct CJK: public comphelper::ConfigurationGroup< CJK> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CJK"); }

struct CJKFont: public comphelper::ConfigurationProperty<CJKFont, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CJK/CJKFont"); }
private:
    CJKFont(); // not defined
    ~CJKFont(); // not defined
};

struct VerticalText: public comphelper::ConfigurationProperty<VerticalText, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CJK/VerticalText"); }
private:
    VerticalText(); // not defined
    ~VerticalText(); // not defined
};

struct AsianTypography: public comphelper::ConfigurationProperty<AsianTypography, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CJK/AsianTypography"); }
private:
    AsianTypography(); // not defined
    ~AsianTypography(); // not defined
};

struct JapaneseFind: public comphelper::ConfigurationProperty<JapaneseFind, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CJK/JapaneseFind"); }
private:
    JapaneseFind(); // not defined
    ~JapaneseFind(); // not defined
};

struct Ruby: public comphelper::ConfigurationProperty<Ruby, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CJK/Ruby"); }
private:
    Ruby(); // not defined
    ~Ruby(); // not defined
};

struct ChangeCaseMap: public comphelper::ConfigurationProperty<ChangeCaseMap, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CJK/ChangeCaseMap"); }
private:
    ChangeCaseMap(); // not defined
    ~ChangeCaseMap(); // not defined
};

struct DoubleLines: public comphelper::ConfigurationProperty<DoubleLines, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CJK/DoubleLines"); }
private:
    DoubleLines(); // not defined
    ~DoubleLines(); // not defined
};

struct EmphasisMarks: public comphelper::ConfigurationProperty<EmphasisMarks, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CJK/EmphasisMarks"); }
private:
    EmphasisMarks(); // not defined
    ~EmphasisMarks(); // not defined
};

struct VerticalCallOut: public comphelper::ConfigurationProperty<VerticalCallOut, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CJK/VerticalCallOut"); }
private:
    VerticalCallOut(); // not defined
    ~VerticalCallOut(); // not defined
};

private:
    CJK(); // not defined
    ~CJK(); // not defined
};

struct CTL: public comphelper::ConfigurationGroup< CTL> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CTL"); }

struct CTLFont: public comphelper::ConfigurationProperty<CTLFont, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CTL/CTLFont"); }
private:
    CTLFont(); // not defined
    ~CTLFont(); // not defined
};

struct CTLSequenceChecking: public comphelper::ConfigurationProperty<CTLSequenceChecking, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CTL/CTLSequenceChecking"); }
private:
    CTLSequenceChecking(); // not defined
    ~CTLSequenceChecking(); // not defined
};

struct CTLSequenceCheckingRestricted: public comphelper::ConfigurationProperty<CTLSequenceCheckingRestricted, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CTL/CTLSequenceCheckingRestricted"); }
private:
    CTLSequenceCheckingRestricted(); // not defined
    ~CTLSequenceCheckingRestricted(); // not defined
};

struct CTLSequenceCheckingTypeAndReplace: public comphelper::ConfigurationProperty<CTLSequenceCheckingTypeAndReplace, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CTL/CTLSequenceCheckingTypeAndReplace"); }
private:
    CTLSequenceCheckingTypeAndReplace(); // not defined
    ~CTLSequenceCheckingTypeAndReplace(); // not defined
};

struct CTLCursorMovement: public comphelper::ConfigurationProperty<CTLCursorMovement, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CTL/CTLCursorMovement"); }
private:
    CTLCursorMovement(); // not defined
    ~CTLCursorMovement(); // not defined
};

struct CTLTextNumerals: public comphelper::ConfigurationProperty<CTLTextNumerals, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CTL/CTLTextNumerals"); }
private:
    CTLTextNumerals(); // not defined
    ~CTLTextNumerals(); // not defined
};

struct UIMirroring: public comphelper::ConfigurationProperty<UIMirroring, std::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/I18N/CTL/UIMirroring"); }
private:
    UIMirroring(); // not defined
    ~UIMirroring(); // not defined
};

private:
    CTL(); // not defined
    ~CTL(); // not defined
};

private:
    I18N(); // not defined
    ~I18N(); // not defined
};

struct Startup: public comphelper::ConfigurationGroup< Startup> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Startup"); }

struct Run: public comphelper::ConfigurationSet< Run> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Startup/Run"); }
private:
    Run(); // not defined
    ~Run(); // not defined
};

struct RunOnce: public comphelper::ConfigurationSet< RunOnce> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Startup/RunOnce"); }
private:
    RunOnce(); // not defined
    ~RunOnce(); // not defined
};

private:
    Startup(); // not defined
    ~Startup(); // not defined
};

struct SmartTags: public comphelper::ConfigurationGroup< SmartTags> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SmartTags"); }

struct Writer: public comphelper::ConfigurationGroup< Writer> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SmartTags/Writer"); }

struct RecognizeSmartTags: public comphelper::ConfigurationProperty<RecognizeSmartTags, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SmartTags/Writer/RecognizeSmartTags"); }
private:
    RecognizeSmartTags(); // not defined
    ~RecognizeSmartTags(); // not defined
};

struct ExcludedSmartTagTypes: public comphelper::ConfigurationProperty<ExcludedSmartTagTypes, std::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Common/SmartTags/Writer/ExcludedSmartTagTypes"); }
private:
    ExcludedSmartTagTypes(); // not defined
    ~ExcludedSmartTagTypes(); // not defined
};

private:
    Writer(); // not defined
    ~Writer(); // not defined
};

private:
    SmartTags(); // not defined
    ~SmartTags(); // not defined
};

struct StylesAndFormatting: public comphelper::ConfigurationGroup< StylesAndFormatting> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/StylesAndFormatting"); }

struct Preview: public comphelper::ConfigurationProperty<Preview, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/StylesAndFormatting/Preview"); }
private:
    Preview(); // not defined
    ~Preview(); // not defined
};

private:
    StylesAndFormatting(); // not defined
    ~StylesAndFormatting(); // not defined
};

struct PackageKit: public comphelper::ConfigurationGroup< PackageKit> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/PackageKit"); }

struct EnableFontInstallation: public comphelper::ConfigurationProperty<EnableFontInstallation, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/PackageKit/EnableFontInstallation"); }
private:
    EnableFontInstallation(); // not defined
    ~EnableFontInstallation(); // not defined
};

struct EnableLangpackInstallation: public comphelper::ConfigurationProperty<EnableLangpackInstallation, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/PackageKit/EnableLangpackInstallation"); }
private:
    EnableLangpackInstallation(); // not defined
    ~EnableLangpackInstallation(); // not defined
};

struct EnableBaseInstallation: public comphelper::ConfigurationProperty<EnableBaseInstallation, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/PackageKit/EnableBaseInstallation"); }
private:
    EnableBaseInstallation(); // not defined
    ~EnableBaseInstallation(); // not defined
};

private:
    PackageKit(); // not defined
    ~PackageKit(); // not defined
};

struct Classification: public comphelper::ConfigurationGroup< Classification> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Classification"); }

struct Policy: public comphelper::ConfigurationProperty<Policy, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Classification/Policy"); }
private:
    Policy(); // not defined
    ~Policy(); // not defined
};

struct IntellectualPropertySectionExpanded: public comphelper::ConfigurationProperty<IntellectualPropertySectionExpanded, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Classification/IntellectualPropertySectionExpanded"); }
private:
    IntellectualPropertySectionExpanded(); // not defined
    ~IntellectualPropertySectionExpanded(); // not defined
};

struct IntellectualPropertyTextInputIsFreeForm: public comphelper::ConfigurationProperty<IntellectualPropertyTextInputIsFreeForm, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Common/Classification/IntellectualPropertyTextInputIsFreeForm"); }
private:
    IntellectualPropertyTextInputIsFreeForm(); // not defined
    ~IntellectualPropertyTextInputIsFreeForm(); // not defined
};

private:
    Classification(); // not defined
    ~Classification(); // not defined
};

} } }

#endif
