#ifndef INCLUDED_OFFICECFG_OFFICE_COMPATIBILITY_HXX
#define INCLUDED_OFFICECFG_OFFICE_COMPATIBILITY_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Compatibility {

struct AllFileFormats: public comphelper::ConfigurationSet< AllFileFormats> {
    static OUString path() { return OUString("/org.openoffice.Office.Compatibility/AllFileFormats"); }
private:
    AllFileFormats(); // not defined
    ~AllFileFormats(); // not defined
};

struct WriterCompatibilityVersion: public comphelper::ConfigurationGroup< WriterCompatibilityVersion> {
    static OUString path() { return OUString("/org.openoffice.Office.Compatibility/WriterCompatibilityVersion"); }

struct OOo11: public comphelper::ConfigurationProperty<OOo11, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Compatibility/WriterCompatibilityVersion/OOo11"); }
private:
    OOo11(); // not defined
    ~OOo11(); // not defined
};

private:
    WriterCompatibilityVersion(); // not defined
    ~WriterCompatibilityVersion(); // not defined
};

struct View: public comphelper::ConfigurationGroup< View> {
    static OUString path() { return OUString("/org.openoffice.Office.Compatibility/View"); }

struct MSCompatibleFormsMenu: public comphelper::ConfigurationProperty<MSCompatibleFormsMenu, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Compatibility/View/MSCompatibleFormsMenu"); }
private:
    MSCompatibleFormsMenu(); // not defined
    ~MSCompatibleFormsMenu(); // not defined
};

struct AllowCommentsInFootnotes: public comphelper::ConfigurationProperty<AllowCommentsInFootnotes, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Compatibility/View/AllowCommentsInFootnotes"); }
private:
    AllowCommentsInFootnotes(); // not defined
    ~AllowCommentsInFootnotes(); // not defined
};

struct ReverseSeriesOrderAreaAndNetChart: public comphelper::ConfigurationProperty<ReverseSeriesOrderAreaAndNetChart, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Compatibility/View/ReverseSeriesOrderAreaAndNetChart"); }
private:
    ReverseSeriesOrderAreaAndNetChart(); // not defined
    ~ReverseSeriesOrderAreaAndNetChart(); // not defined
};

struct ReverseXAxisOrientationDoughnutChart: public comphelper::ConfigurationProperty<ReverseXAxisOrientationDoughnutChart, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Compatibility/View/ReverseXAxisOrientationDoughnutChart"); }
private:
    ReverseXAxisOrientationDoughnutChart(); // not defined
    ~ReverseXAxisOrientationDoughnutChart(); // not defined
};

struct ClockwisePieChartDirection: public comphelper::ConfigurationProperty<ClockwisePieChartDirection, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Compatibility/View/ClockwisePieChartDirection"); }
private:
    ClockwisePieChartDirection(); // not defined
    ~ClockwisePieChartDirection(); // not defined
};

private:
    View(); // not defined
    ~View(); // not defined
};

} } }

#endif
