/* A Bison parser, made by GNU Bison 3.7.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2020 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30704

/* Bison version string.  */
#define YYBISON_VERSION "3.7.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 24 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"

#include <string.h>

#include <idlc.hxx>
#include <errorhandler.hxx>
#include <fehelper.hxx>
#include <astexpression.hxx>
#include <astconstants.hxx>
#include <astconstant.hxx>
#include <astbasetype.hxx>
#include <asttypedef.hxx>
#include <astexception.hxx>
#include <astmember.hxx>
#include <astenum.hxx>
#include <astsequence.hxx>
#include <astattribute.hxx>
#include <astoperation.hxx>
#include <astparameter.hxx>
#include <astinterfacemember.hxx>
#include <astservicemember.hxx>
#include <astobserves.hxx>
#include <astneeds.hxx>

#include <aststructinstance.hxx>

#include "attributeexceptions.hxx"

#include <rtl/string.hxx>
#include <osl/diagnose.h>

#include <algorithm>
#include <vector>


#define YYDEBUG 1
#define YYERROR_VERBOSE 1

extern int yylex(void);
static void yyerror(char const *);

static void checkIdentifier(OString const * id)
{
    static short check = 0;
    if (check == 0) {
        if (idlc()->getOptions()->isValid("-cid"))
            check = 1;
        else
            check = 2;
    }

    if ( id->indexOf('_') >= 0 )
        if ( (id->pData->buffer[0] >= 97 && id->pData->buffer[0] <= 122)
             || id->pData->buffer[0] == '_') {
            if (check == 1) {
                OString msg = "mismatched identifier '" + *id + "'";
                ErrorHandler::syntaxError(idlc()->getParseState(),
                                         idlc()->getLineNumber(),
                                         msg.getStr());
            }
            else
                ErrorHandler::warning0(WarningCode::WrongNamingConvention, id->getStr());
        }
}

static void reportDoubleMemberDeclarations(
    AstInterface::DoubleMemberDeclarations const & doubleMembers)
{
    for (auto const& doubleMember : doubleMembers)
    {
        ErrorHandler::error2(ErrorCode::DoubleMember, doubleMember.first, doubleMember.second);
    }
}

static void addInheritedInterface(
    AstInterface * ifc, OString const & name, bool optional,
    OUString const & documentation)
{
    AstDeclaration * decl = ifc->lookupByName(name);
    AstDeclaration const * resolved = resolveTypedefs(decl);
    if (resolved != nullptr && resolved->getNodeType() == NT_interface) {
        if (ErrorHandler::checkPublished(decl)) {
            if (!static_cast< AstInterface const * >(resolved)->isDefined()) {
                ErrorHandler::inheritanceError(
                    NT_interface, &ifc->getScopedName(), decl);
            } else {
                AstInterface::DoubleDeclarations doubleDecls(
                    ifc->checkInheritedInterfaceClashes(
                        static_cast< AstInterface const * >(resolved),
                        optional));
                if (doubleDecls.interfaces.empty()
                    && doubleDecls.members.empty())
                {
                    ifc->addInheritedInterface(
                        static_cast< AstType * >(decl), optional,
                        documentation);
                } else {
                    for (auto const& elem : doubleDecls.interfaces)
                    {
                        ErrorHandler::error1(
                            ErrorCode::DoubleInheritance, elem);
                    }
                    reportDoubleMemberDeclarations(doubleDecls.members);
                }
            }
        }
    } else {
        ErrorHandler::lookupError(
            ErrorCode::InterfaceMemberLookup, name, scopeAsDecl(ifc));
    }
}

static AstDeclaration const * createNamedType(
    OString const * scopedName, DeclList const * typeArgs)
{
    AstDeclaration * decl = idlc()->scopes()->topNonNull()->lookupByName(
        *scopedName);
    AstDeclaration const * resolved = resolveTypedefs(decl);
    if (decl == nullptr) {
        ErrorHandler::lookupError(*scopedName);
    } else if (!ErrorHandler::checkPublished(decl)) {
        decl = nullptr;
    } else if (resolved->getNodeType() == NT_struct) {
        if (static_cast< AstStruct const * >(resolved)->getTypeParameterCount()
            != (typeArgs == nullptr ? 0 : typeArgs->size()))
        {
            ErrorHandler::error0(ErrorCode::WrongNumberOfTypeArguments);
            decl = nullptr;
        } else if (typeArgs != nullptr) {
            AstScope * global = idlc()->scopes()->bottom();
            AstDeclaration * inst = new AstStructInstance(
                static_cast< AstType * >(decl), typeArgs, global);
            decl = global->addDeclaration(inst);
            if (decl != inst) {
                delete inst;
            }
        }
    } else if (decl->isType()) {
        if (typeArgs != nullptr) {
            ErrorHandler::error0(ErrorCode::WrongNumberOfTypeArguments);
            decl = nullptr;
        }
    } else {
        ErrorHandler::noTypeError(decl);
        decl = nullptr;
    }
    delete scopedName;
    delete typeArgs;
    return decl;
}

static bool includes(AstDeclaration const * type1, AstDeclaration const * type2) {
    OSL_ASSERT(type2 != nullptr);
    if (type1 != nullptr) {
        if (type1->getNodeType() == NT_instantiated_struct) {
            AstStructInstance const * inst
                = static_cast< AstStructInstance const * >(type1);
            if (inst->getTypeTemplate() == type2) {
                return true;
            }
            for (DeclList::const_iterator i(inst->getTypeArgumentsBegin());
                 i != inst->getTypeArgumentsEnd(); ++i)
            {
                if (includes(*i, type2)) {
                    return true;
                }
            }
        } else if (type1 == type2) {
            return true;
        }
    }
    return false;
}

// Suppress any warnings from generated code:
#if defined _MSC_VER
#pragma warning(disable: 4702) // unreachable code
#endif

#line 250 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "parser.hxx"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_IDL_IDENTIFIER = 3,             /* IDL_IDENTIFIER  */
  YYSYMBOL_IDL_ATTRIBUTE = 4,              /* IDL_ATTRIBUTE  */
  YYSYMBOL_IDL_BOUND = 5,                  /* IDL_BOUND  */
  YYSYMBOL_IDL_CONST = 6,                  /* IDL_CONST  */
  YYSYMBOL_IDL_CONSTANTS = 7,              /* IDL_CONSTANTS  */
  YYSYMBOL_IDL_CONSTRAINED = 8,            /* IDL_CONSTRAINED  */
  YYSYMBOL_IDL_ENUM = 9,                   /* IDL_ENUM  */
  YYSYMBOL_IDL_EXCEPTION = 10,             /* IDL_EXCEPTION  */
  YYSYMBOL_IDL_INTERFACE = 11,             /* IDL_INTERFACE  */
  YYSYMBOL_IDL_MAYBEAMBIGUOUS = 12,        /* IDL_MAYBEAMBIGUOUS  */
  YYSYMBOL_IDL_MAYBEDEFAULT = 13,          /* IDL_MAYBEDEFAULT  */
  YYSYMBOL_IDL_MAYBEVOID = 14,             /* IDL_MAYBEVOID  */
  YYSYMBOL_IDL_MODULE = 15,                /* IDL_MODULE  */
  YYSYMBOL_IDL_NEEDS = 16,                 /* IDL_NEEDS  */
  YYSYMBOL_IDL_OBSERVES = 17,              /* IDL_OBSERVES  */
  YYSYMBOL_IDL_OPTIONAL = 18,              /* IDL_OPTIONAL  */
  YYSYMBOL_IDL_PROPERTY = 19,              /* IDL_PROPERTY  */
  YYSYMBOL_IDL_RAISES = 20,                /* IDL_RAISES  */
  YYSYMBOL_IDL_READONLY = 21,              /* IDL_READONLY  */
  YYSYMBOL_IDL_REMOVABLE = 22,             /* IDL_REMOVABLE  */
  YYSYMBOL_IDL_SERVICE = 23,               /* IDL_SERVICE  */
  YYSYMBOL_IDL_SEQUENCE = 24,              /* IDL_SEQUENCE  */
  YYSYMBOL_IDL_SINGLETON = 25,             /* IDL_SINGLETON  */
  YYSYMBOL_IDL_STRUCT = 26,                /* IDL_STRUCT  */
  YYSYMBOL_IDL_TYPEDEF = 27,               /* IDL_TYPEDEF  */
  YYSYMBOL_IDL_TRANSIENT = 28,             /* IDL_TRANSIENT  */
  YYSYMBOL_IDL_ANY = 29,                   /* IDL_ANY  */
  YYSYMBOL_IDL_CHAR = 30,                  /* IDL_CHAR  */
  YYSYMBOL_IDL_BOOLEAN = 31,               /* IDL_BOOLEAN  */
  YYSYMBOL_IDL_BYTE = 32,                  /* IDL_BYTE  */
  YYSYMBOL_IDL_DOUBLE = 33,                /* IDL_DOUBLE  */
  YYSYMBOL_IDL_FLOAT = 34,                 /* IDL_FLOAT  */
  YYSYMBOL_IDL_HYPER = 35,                 /* IDL_HYPER  */
  YYSYMBOL_IDL_LONG = 36,                  /* IDL_LONG  */
  YYSYMBOL_IDL_SHORT = 37,                 /* IDL_SHORT  */
  YYSYMBOL_IDL_VOID = 38,                  /* IDL_VOID  */
  YYSYMBOL_IDL_STRING = 39,                /* IDL_STRING  */
  YYSYMBOL_IDL_TYPE = 40,                  /* IDL_TYPE  */
  YYSYMBOL_IDL_UNSIGNED = 41,              /* IDL_UNSIGNED  */
  YYSYMBOL_IDL_TRUE = 42,                  /* IDL_TRUE  */
  YYSYMBOL_IDL_FALSE = 43,                 /* IDL_FALSE  */
  YYSYMBOL_IDL_IN = 44,                    /* IDL_IN  */
  YYSYMBOL_IDL_OUT = 45,                   /* IDL_OUT  */
  YYSYMBOL_IDL_INOUT = 46,                 /* IDL_INOUT  */
  YYSYMBOL_IDL_GET = 47,                   /* IDL_GET  */
  YYSYMBOL_IDL_SET = 48,                   /* IDL_SET  */
  YYSYMBOL_IDL_PUBLISHED = 49,             /* IDL_PUBLISHED  */
  YYSYMBOL_IDL_ELLIPSIS = 50,              /* IDL_ELLIPSIS  */
  YYSYMBOL_IDL_LEFTSHIFT = 51,             /* IDL_LEFTSHIFT  */
  YYSYMBOL_IDL_RIGHTSHIFT = 52,            /* IDL_RIGHTSHIFT  */
  YYSYMBOL_IDL_SCOPESEPARATOR = 53,        /* IDL_SCOPESEPARATOR  */
  YYSYMBOL_IDL_INTEGER_LITERAL = 54,       /* IDL_INTEGER_LITERAL  */
  YYSYMBOL_IDL_INTEGER_ULITERAL = 55,      /* IDL_INTEGER_ULITERAL  */
  YYSYMBOL_IDL_FLOATING_PT_LITERAL = 56,   /* IDL_FLOATING_PT_LITERAL  */
  YYSYMBOL_57_ = 57,                       /* ';'  */
  YYSYMBOL_58_ = 58,                       /* '{'  */
  YYSYMBOL_59_ = 59,                       /* '}'  */
  YYSYMBOL_60_ = 60,                       /* ':'  */
  YYSYMBOL_61_ = 61,                       /* '['  */
  YYSYMBOL_62_ = 62,                       /* ']'  */
  YYSYMBOL_63_ = 63,                       /* ','  */
  YYSYMBOL_64_ = 64,                       /* '('  */
  YYSYMBOL_65_ = 65,                       /* ')'  */
  YYSYMBOL_66_ = 66,                       /* '='  */
  YYSYMBOL_67_ = 67,                       /* '|'  */
  YYSYMBOL_68_ = 68,                       /* '^'  */
  YYSYMBOL_69_ = 69,                       /* '&'  */
  YYSYMBOL_70_ = 70,                       /* '+'  */
  YYSYMBOL_71_ = 71,                       /* '-'  */
  YYSYMBOL_72_ = 72,                       /* '*'  */
  YYSYMBOL_73_ = 73,                       /* '/'  */
  YYSYMBOL_74_ = 74,                       /* '%'  */
  YYSYMBOL_75_ = 75,                       /* '~'  */
  YYSYMBOL_76_ = 76,                       /* '<'  */
  YYSYMBOL_77_ = 77,                       /* '>'  */
  YYSYMBOL_YYACCEPT = 78,                  /* $accept  */
  YYSYMBOL_start = 79,                     /* start  */
  YYSYMBOL_definitions = 80,               /* definitions  */
  YYSYMBOL_definition = 81,                /* definition  */
  YYSYMBOL_82_1 = 82,                      /* $@1  */
  YYSYMBOL_opt_published = 83,             /* opt_published  */
  YYSYMBOL_publishable_definition = 84,    /* publishable_definition  */
  YYSYMBOL_85_2 = 85,                      /* $@2  */
  YYSYMBOL_86_3 = 86,                      /* $@3  */
  YYSYMBOL_87_4 = 87,                      /* $@4  */
  YYSYMBOL_88_5 = 88,                      /* $@5  */
  YYSYMBOL_89_6 = 89,                      /* $@6  */
  YYSYMBOL_90_7 = 90,                      /* $@7  */
  YYSYMBOL_module_dcl = 91,                /* module_dcl  */
  YYSYMBOL_92_8 = 92,                      /* $@8  */
  YYSYMBOL_93_9 = 93,                      /* $@9  */
  YYSYMBOL_94_10 = 94,                     /* $@10  */
  YYSYMBOL_95_11 = 95,                     /* $@11  */
  YYSYMBOL_interface = 96,                 /* interface  */
  YYSYMBOL_interface_decl = 97,            /* interface_decl  */
  YYSYMBOL_98_12 = 98,                     /* $@12  */
  YYSYMBOL_forward_dcl = 99,               /* forward_dcl  */
  YYSYMBOL_interface_dcl = 100,            /* interface_dcl  */
  YYSYMBOL_101_13 = 101,                   /* $@13  */
  YYSYMBOL_102_14 = 102,                   /* $@14  */
  YYSYMBOL_103_15 = 103,                   /* $@15  */
  YYSYMBOL_interfaceheader = 104,          /* interfaceheader  */
  YYSYMBOL_inheritance_spec = 105,         /* inheritance_spec  */
  YYSYMBOL_106_16 = 106,                   /* $@16  */
  YYSYMBOL_exports = 107,                  /* exports  */
  YYSYMBOL_export = 108,                   /* export  */
  YYSYMBOL_109_17 = 109,                   /* $@17  */
  YYSYMBOL_110_18 = 110,                   /* $@18  */
  YYSYMBOL_111_19 = 111,                   /* $@19  */
  YYSYMBOL_attribute = 112,                /* attribute  */
  YYSYMBOL_113_20 = 113,                   /* $@20  */
  YYSYMBOL_114_21 = 114,                   /* $@21  */
  YYSYMBOL_flag_header = 115,              /* flag_header  */
  YYSYMBOL_opt_attrflags = 116,            /* opt_attrflags  */
  YYSYMBOL_opt_attrflag = 117,             /* opt_attrflag  */
  YYSYMBOL_opt_attribute_block = 118,      /* opt_attribute_block  */
  YYSYMBOL_attribute_block_rest = 119,     /* attribute_block_rest  */
  YYSYMBOL_opt_attribute_raises = 120,     /* opt_attribute_raises  */
  YYSYMBOL_opt_attribute_get_raises = 121, /* opt_attribute_get_raises  */
  YYSYMBOL_attribute_get_raises = 122,     /* attribute_get_raises  */
  YYSYMBOL_opt_attribute_set_raises = 123, /* opt_attribute_set_raises  */
  YYSYMBOL_attribute_set_raises = 124,     /* attribute_set_raises  */
  YYSYMBOL_125_22 = 125,                   /* $@22  */
  YYSYMBOL_operation = 126,                /* operation  */
  YYSYMBOL_127_23 = 127,                   /* $@23  */
  YYSYMBOL_128_24 = 128,                   /* $@24  */
  YYSYMBOL_129_25 = 129,                   /* $@25  */
  YYSYMBOL_130_26 = 130,                   /* $@26  */
  YYSYMBOL_131_27 = 131,                   /* $@27  */
  YYSYMBOL_op_type_spec = 132,             /* op_type_spec  */
  YYSYMBOL_parameters = 133,               /* parameters  */
  YYSYMBOL_134_28 = 134,                   /* $@28  */
  YYSYMBOL_parameter = 135,                /* parameter  */
  YYSYMBOL_136_29 = 136,                   /* $@29  */
  YYSYMBOL_137_30 = 137,                   /* $@30  */
  YYSYMBOL_direction = 138,                /* direction  */
  YYSYMBOL_opt_rest = 139,                 /* opt_rest  */
  YYSYMBOL_opt_raises = 140,               /* opt_raises  */
  YYSYMBOL_raises = 141,                   /* raises  */
  YYSYMBOL_142_31 = 142,                   /* $@31  */
  YYSYMBOL_143_32 = 143,                   /* $@32  */
  YYSYMBOL_exception_list = 144,           /* exception_list  */
  YYSYMBOL_exception_name = 145,           /* exception_name  */
  YYSYMBOL_interface_inheritance_decl = 146, /* interface_inheritance_decl  */
  YYSYMBOL_147_33 = 147,                   /* $@33  */
  YYSYMBOL_optional_inherited_interface = 148, /* optional_inherited_interface  */
  YYSYMBOL_constants_exports = 149,        /* constants_exports  */
  YYSYMBOL_constants_export = 150,         /* constants_export  */
  YYSYMBOL_151_34 = 151,                   /* $@34  */
  YYSYMBOL_152_35 = 152,                   /* $@35  */
  YYSYMBOL_153_36 = 153,                   /* $@36  */
  YYSYMBOL_154_37 = 154,                   /* $@37  */
  YYSYMBOL_155_38 = 155,                   /* $@38  */
  YYSYMBOL_constants_dcl = 156,            /* constants_dcl  */
  YYSYMBOL_157_39 = 157,                   /* $@39  */
  YYSYMBOL_158_40 = 158,                   /* $@40  */
  YYSYMBOL_159_41 = 159,                   /* $@41  */
  YYSYMBOL_160_42 = 160,                   /* $@42  */
  YYSYMBOL_expression = 161,               /* expression  */
  YYSYMBOL_const_expr = 162,               /* const_expr  */
  YYSYMBOL_or_expr = 163,                  /* or_expr  */
  YYSYMBOL_xor_expr = 164,                 /* xor_expr  */
  YYSYMBOL_and_expr = 165,                 /* and_expr  */
  YYSYMBOL_shift_expr = 166,               /* shift_expr  */
  YYSYMBOL_add_expr = 167,                 /* add_expr  */
  YYSYMBOL_mult_expr = 168,                /* mult_expr  */
  YYSYMBOL_unary_expr = 169,               /* unary_expr  */
  YYSYMBOL_primary_expr = 170,             /* primary_expr  */
  YYSYMBOL_literal = 171,                  /* literal  */
  YYSYMBOL_const_type = 172,               /* const_type  */
  YYSYMBOL_exception_header = 173,         /* exception_header  */
  YYSYMBOL_174_43 = 174,                   /* $@43  */
  YYSYMBOL_175_44 = 175,                   /* $@44  */
  YYSYMBOL_exception_dcl = 176,            /* exception_dcl  */
  YYSYMBOL_177_45 = 177,                   /* $@45  */
  YYSYMBOL_178_46 = 178,                   /* $@46  */
  YYSYMBOL_179_47 = 179,                   /* $@47  */
  YYSYMBOL_property = 180,                 /* property  */
  YYSYMBOL_181_48 = 181,                   /* $@48  */
  YYSYMBOL_service_exports = 182,          /* service_exports  */
  YYSYMBOL_service_export = 183,           /* service_export  */
  YYSYMBOL_service_interface_header = 184, /* service_interface_header  */
  YYSYMBOL_service_service_header = 185,   /* service_service_header  */
  YYSYMBOL_service_dcl = 186,              /* service_dcl  */
  YYSYMBOL_187_49 = 187,                   /* $@49  */
  YYSYMBOL_188_50 = 188,                   /* $@50  */
  YYSYMBOL_service_dfn = 189,              /* service_dfn  */
  YYSYMBOL_service_interface_dfn = 190,    /* service_interface_dfn  */
  YYSYMBOL_191_51 = 191,                   /* $@51  */
  YYSYMBOL_opt_service_body = 192,         /* opt_service_body  */
  YYSYMBOL_service_body = 193,             /* service_body  */
  YYSYMBOL_constructors = 194,             /* constructors  */
  YYSYMBOL_constructor = 195,              /* constructor  */
  YYSYMBOL_196_52 = 196,                   /* $@52  */
  YYSYMBOL_197_53 = 197,                   /* $@53  */
  YYSYMBOL_singleton_dcl = 198,            /* singleton_dcl  */
  YYSYMBOL_199_54 = 199,                   /* $@54  */
  YYSYMBOL_200_55 = 200,                   /* $@55  */
  YYSYMBOL_singleton_dfn = 201,            /* singleton_dfn  */
  YYSYMBOL_singleton_interface_dfn = 202,  /* singleton_interface_dfn  */
  YYSYMBOL_service_obsolete_dfn = 203,     /* service_obsolete_dfn  */
  YYSYMBOL_204_56 = 204,                   /* $@56  */
  YYSYMBOL_205_57 = 205,                   /* $@57  */
  YYSYMBOL_type_dcl = 206,                 /* type_dcl  */
  YYSYMBOL_207_58 = 207,                   /* $@58  */
  YYSYMBOL_type_declarator = 208,          /* type_declarator  */
  YYSYMBOL_209_59 = 209,                   /* $@59  */
  YYSYMBOL_at_least_one_declarator = 210,  /* at_least_one_declarator  */
  YYSYMBOL_declarators = 211,              /* declarators  */
  YYSYMBOL_212_60 = 212,                   /* $@60  */
  YYSYMBOL_declarator = 213,               /* declarator  */
  YYSYMBOL_at_least_one_scoped_name = 214, /* at_least_one_scoped_name  */
  YYSYMBOL_scoped_names = 215,             /* scoped_names  */
  YYSYMBOL_216_61 = 216,                   /* $@61  */
  YYSYMBOL_scoped_name = 217,              /* scoped_name  */
  YYSYMBOL_218_62 = 218,                   /* $@62  */
  YYSYMBOL_219_63 = 219,                   /* $@63  */
  YYSYMBOL_type_spec = 220,                /* type_spec  */
  YYSYMBOL_simple_type_spec = 221,         /* simple_type_spec  */
  YYSYMBOL_fundamental_type = 222,         /* fundamental_type  */
  YYSYMBOL_opt_type_args = 223,            /* opt_type_args  */
  YYSYMBOL_type_args = 224,                /* type_args  */
  YYSYMBOL_type_arg = 225,                 /* type_arg  */
  YYSYMBOL_base_type_spec = 226,           /* base_type_spec  */
  YYSYMBOL_integer_type = 227,             /* integer_type  */
  YYSYMBOL_signed_int = 228,               /* signed_int  */
  YYSYMBOL_unsigned_int = 229,             /* unsigned_int  */
  YYSYMBOL_floating_pt_type = 230,         /* floating_pt_type  */
  YYSYMBOL_char_type = 231,                /* char_type  */
  YYSYMBOL_byte_type = 232,                /* byte_type  */
  YYSYMBOL_boolean_type = 233,             /* boolean_type  */
  YYSYMBOL_any_type = 234,                 /* any_type  */
  YYSYMBOL_type_type = 235,                /* type_type  */
  YYSYMBOL_string_type = 236,              /* string_type  */
  YYSYMBOL_constructed_type_spec = 237,    /* constructed_type_spec  */
  YYSYMBOL_sequence_type_spec = 238,       /* sequence_type_spec  */
  YYSYMBOL_239_64 = 239,                   /* $@64  */
  YYSYMBOL_240_65 = 240,                   /* $@65  */
  YYSYMBOL_241_66 = 241,                   /* $@66  */
  YYSYMBOL_struct_type = 242,              /* struct_type  */
  YYSYMBOL_243_67 = 243,                   /* $@67  */
  YYSYMBOL_244_68 = 244,                   /* $@68  */
  YYSYMBOL_245_69 = 245,                   /* $@69  */
  YYSYMBOL_structure_header = 246,         /* structure_header  */
  YYSYMBOL_247_70 = 247,                   /* $@70  */
  YYSYMBOL_248_71 = 248,                   /* $@71  */
  YYSYMBOL_opt_type_params = 249,          /* opt_type_params  */
  YYSYMBOL_type_params = 250,              /* type_params  */
  YYSYMBOL_at_least_one_member = 251,      /* at_least_one_member  */
  YYSYMBOL_members = 252,                  /* members  */
  YYSYMBOL_member = 253,                   /* member  */
  YYSYMBOL_254_72 = 254,                   /* $@72  */
  YYSYMBOL_255_73 = 255,                   /* $@73  */
  YYSYMBOL_type_or_parameter = 256,        /* type_or_parameter  */
  YYSYMBOL_enum_type = 257,                /* enum_type  */
  YYSYMBOL_258_74 = 258,                   /* $@74  */
  YYSYMBOL_259_75 = 259,                   /* $@75  */
  YYSYMBOL_260_76 = 260,                   /* $@76  */
  YYSYMBOL_261_77 = 261,                   /* $@77  */
  YYSYMBOL_at_least_one_enumerator = 262,  /* at_least_one_enumerator  */
  YYSYMBOL_enumerators = 263,              /* enumerators  */
  YYSYMBOL_264_78 = 264,                   /* $@78  */
  YYSYMBOL_enumerator = 265,               /* enumerator  */
  YYSYMBOL_identifier = 266                /* identifier  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  11
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   696

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  78
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  189
/* YYNRULES -- Number of rules.  */
#define YYNRULES  306
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  443

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   311


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,    74,    69,     2,
      64,    65,    72,    70,    63,    71,     2,    73,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    60,    57,
      76,    66,    77,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    61,     2,    62,    68,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    58,    67,    59,    75,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   340,   340,   343,   344,   348,   350,   349,   357,   365,
     366,   371,   370,   379,   378,   387,   386,   395,   394,   403,
     402,   411,   410,   422,   427,   461,   465,   421,   479,   480,
     485,   484,   497,   537,   615,   619,   536,   640,   648,   659,
     658,   667,   673,   674,   679,   678,   687,   686,   695,   694,
     707,   711,   705,   744,   752,   759,   766,   771,   776,   781,
     786,   791,   796,   801,   806,   811,   816,   821,   829,   831,
     840,   841,   853,   859,   866,   875,   876,   880,   890,   891,
     896,   895,   914,   918,   956,   960,   964,   913,   990,   991,
     998,  1001,   999,  1005,  1006,  1017,  1021,  1014,  1081,  1090,
    1094,  1098,  1105,  1110,  1116,  1118,  1125,  1129,  1124,  1141,
    1146,  1154,  1177,  1175,  1197,  1198,  1202,  1203,  1208,  1212,
    1216,  1221,  1225,  1207,  1251,  1255,  1260,  1283,  1250,  1296,
    1298,  1301,  1302,  1309,  1310,  1317,  1318,  1325,  1326,  1330,
    1337,  1338,  1342,  1349,  1350,  1354,  1358,  1365,  1366,  1370,
    1374,  1380,  1389,  1390,  1397,  1401,  1405,  1409,  1413,  1420,
    1421,  1422,  1423,  1424,  1460,  1464,  1459,  1479,  1499,  1503,
    1478,  1517,  1515,  1579,  1587,  1588,  1592,  1637,  1674,  1711,
    1748,  1756,  1761,  1772,  1777,  1789,  1793,  1788,  1822,  1823,
    1828,  1827,  1855,  1856,  1860,  1866,  1867,  1872,  1884,  1871,
    1900,  1904,  1899,  1933,  1934,  1938,  1959,  1965,  1958,  1980,
    1979,  1984,  1985,  1990,  1989,  2044,  2062,  2060,  2080,  2086,
    2105,  2125,  2123,  2144,  2150,  2157,  2156,  2170,  2168,  2183,
    2184,  2188,  2189,  2196,  2200,  2204,  2205,  2209,  2214,  2222,
    2232,  2233,  2234,  2235,  2236,  2237,  2238,  2239,  2243,  2244,
    2248,  2252,  2256,  2263,  2267,  2271,  2278,  2282,  2289,  2296,
    2303,  2310,  2317,  2324,  2331,  2332,  2337,  2345,  2349,  2336,
    2387,  2397,  2417,  2421,  2396,  2434,  2438,  2433,  2470,  2471,
    2475,  2481,  2492,  2495,  2496,  2501,  2505,  2500,  2555,  2563,
    2564,  2588,  2592,  2619,  2623,  2587,  2642,  2647,  2645,  2651,
    2652,  2660,  2684,  2720,  2721,  2722,  2723
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "IDL_IDENTIFIER",
  "IDL_ATTRIBUTE", "IDL_BOUND", "IDL_CONST", "IDL_CONSTANTS",
  "IDL_CONSTRAINED", "IDL_ENUM", "IDL_EXCEPTION", "IDL_INTERFACE",
  "IDL_MAYBEAMBIGUOUS", "IDL_MAYBEDEFAULT", "IDL_MAYBEVOID", "IDL_MODULE",
  "IDL_NEEDS", "IDL_OBSERVES", "IDL_OPTIONAL", "IDL_PROPERTY",
  "IDL_RAISES", "IDL_READONLY", "IDL_REMOVABLE", "IDL_SERVICE",
  "IDL_SEQUENCE", "IDL_SINGLETON", "IDL_STRUCT", "IDL_TYPEDEF",
  "IDL_TRANSIENT", "IDL_ANY", "IDL_CHAR", "IDL_BOOLEAN", "IDL_BYTE",
  "IDL_DOUBLE", "IDL_FLOAT", "IDL_HYPER", "IDL_LONG", "IDL_SHORT",
  "IDL_VOID", "IDL_STRING", "IDL_TYPE", "IDL_UNSIGNED", "IDL_TRUE",
  "IDL_FALSE", "IDL_IN", "IDL_OUT", "IDL_INOUT", "IDL_GET", "IDL_SET",
  "IDL_PUBLISHED", "IDL_ELLIPSIS", "IDL_LEFTSHIFT", "IDL_RIGHTSHIFT",
  "IDL_SCOPESEPARATOR", "IDL_INTEGER_LITERAL", "IDL_INTEGER_ULITERAL",
  "IDL_FLOATING_PT_LITERAL", "';'", "'{'", "'}'", "':'", "'['", "']'",
  "','", "'('", "')'", "'='", "'|'", "'^'", "'&'", "'+'", "'-'", "'*'",
  "'/'", "'%'", "'~'", "'<'", "'>'", "$accept", "start", "definitions",
  "definition", "$@1", "opt_published", "publishable_definition", "$@2",
  "$@3", "$@4", "$@5", "$@6", "$@7", "module_dcl", "$@8", "$@9", "$@10",
  "$@11", "interface", "interface_decl", "$@12", "forward_dcl",
  "interface_dcl", "$@13", "$@14", "$@15", "interfaceheader",
  "inheritance_spec", "$@16", "exports", "export", "$@17", "$@18", "$@19",
  "attribute", "$@20", "$@21", "flag_header", "opt_attrflags",
  "opt_attrflag", "opt_attribute_block", "attribute_block_rest",
  "opt_attribute_raises", "opt_attribute_get_raises",
  "attribute_get_raises", "opt_attribute_set_raises",
  "attribute_set_raises", "$@22", "operation", "$@23", "$@24", "$@25",
  "$@26", "$@27", "op_type_spec", "parameters", "$@28", "parameter",
  "$@29", "$@30", "direction", "opt_rest", "opt_raises", "raises", "$@31",
  "$@32", "exception_list", "exception_name", "interface_inheritance_decl",
  "$@33", "optional_inherited_interface", "constants_exports",
  "constants_export", "$@34", "$@35", "$@36", "$@37", "$@38",
  "constants_dcl", "$@39", "$@40", "$@41", "$@42", "expression",
  "const_expr", "or_expr", "xor_expr", "and_expr", "shift_expr",
  "add_expr", "mult_expr", "unary_expr", "primary_expr", "literal",
  "const_type", "exception_header", "$@43", "$@44", "exception_dcl",
  "$@45", "$@46", "$@47", "property", "$@48", "service_exports",
  "service_export", "service_interface_header", "service_service_header",
  "service_dcl", "$@49", "$@50", "service_dfn", "service_interface_dfn",
  "$@51", "opt_service_body", "service_body", "constructors",
  "constructor", "$@52", "$@53", "singleton_dcl", "$@54", "$@55",
  "singleton_dfn", "singleton_interface_dfn", "service_obsolete_dfn",
  "$@56", "$@57", "type_dcl", "$@58", "type_declarator", "$@59",
  "at_least_one_declarator", "declarators", "$@60", "declarator",
  "at_least_one_scoped_name", "scoped_names", "$@61", "scoped_name",
  "$@62", "$@63", "type_spec", "simple_type_spec", "fundamental_type",
  "opt_type_args", "type_args", "type_arg", "base_type_spec",
  "integer_type", "signed_int", "unsigned_int", "floating_pt_type",
  "char_type", "byte_type", "boolean_type", "any_type", "type_type",
  "string_type", "constructed_type_spec", "sequence_type_spec", "$@64",
  "$@65", "$@66", "struct_type", "$@67", "$@68", "$@69",
  "structure_header", "$@70", "$@71", "opt_type_params", "type_params",
  "at_least_one_member", "members", "member", "$@72", "$@73",
  "type_or_parameter", "enum_type", "$@74", "$@75", "$@76", "$@77",
  "at_least_one_enumerator", "enumerators", "$@78", "enumerator",
  "identifier", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    59,   123,   125,
      58,    91,    93,    44,    40,    41,    61,   124,    94,    38,
      43,    45,    42,    47,    37,   126,    60,    62
};
#endif

#define YYPACT_NINF (-314)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-300)

#define yytable_value_is_error(Yyn) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     630,   -47,  -314,  -314,    19,  -314,   290,   213,  -314,  -314,
      13,  -314,  -314,   -34,  -314,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,   -38,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,    25,  -314,  -314,
    -314,  -314,  -314,  -314,    13,    13,    13,    13,    13,    13,
      13,   439,    65,  -314,  -314,    45,    71,    61,    88,    97,
     103,   105,   106,  -314,   107,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,   102,  -314,  -314,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,    15,  -314,  -314,   -44,  -314,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,    82,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,   122,
     123,   127,   -29,    46,   112,  -314,   113,  -314,  -314,  -314,
      13,  -314,   521,  -314,    13,   129,  -314,  -314,   562,   408,
    -314,  -314,  -314,  -314,    82,  -314,  -314,  -314,    82,  -314,
    -314,  -314,    13,   127,  -314,  -314,    13,  -314,    24,  -314,
    -314,  -314,  -314,   234,   321,   -31,   -44,  -314,  -314,  -314,
    -314,  -314,   177,    13,  -314,   129,   129,    30,  -314,  -314,
     521,  -314,   521,  -314,   128,  -314,   646,   134,  -314,  -314,
     521,  -314,  -314,  -314,   183,  -314,   136,  -314,  -314,  -314,
     138,   363,    13,   139,  -314,  -314,   177,  -314,    10,   133,
       7,   143,    13,  -314,  -314,  -314,  -314,   141,  -314,  -314,
    -314,  -314,  -314,  -314,   142,  -314,  -314,  -314,  -314,    37,
    -314,  -314,   150,  -314,   151,    13,   153,  -314,  -314,  -314,
    -314,  -314,   585,   152,  -314,   156,   154,   158,     0,   159,
    -314,    82,    82,  -314,   668,   480,   162,  -314,    82,    82,
     167,  -314,  -314,  -314,  -314,   155,    13,  -314,  -314,  -314,
     668,  -314,    13,  -314,  -314,  -314,    82,   170,  -314,   129,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,     0,    41,    41,    41,  -314,   161,   163,
     160,    81,    86,   -15,  -314,  -314,  -314,   129,  -314,   176,
     129,   184,  -314,  -314,  -314,  -314,  -314,   185,   186,  -314,
      64,  -314,  -314,  -314,  -314,   180,   129,  -314,    13,    13,
     169,  -314,  -314,  -314,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -314,   187,  -314,    13,  -314,  -314,
    -314,  -314,  -314,   188,  -314,  -314,  -314,  -314,   163,   160,
      81,    86,    86,   -15,   -15,  -314,  -314,  -314,  -314,  -314,
     189,    32,  -314,    11,   181,    82,    11,   190,   228,  -314,
    -314,   192,   204,   207,   137,    70,   194,  -314,  -314,   129,
      62,  -314,  -314,   198,   228,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,   197,  -314,   195,     0,   228,
     212,  -314,   220,  -314,    16,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,   521,   521,  -314,   228,   221,   222,    82,  -314,
    -314,  -314,  -314,    76,  -314,   129,   211,    82,  -314,  -314,
      13,  -314,  -314
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       0,     0,    23,     9,     0,     2,     0,     0,     6,     8,
       0,     1,     3,     0,   124,   291,   164,    30,   185,   200,
     275,   209,     5,    15,    32,    29,    28,    33,    21,   167,
      13,    17,    19,    11,   211,   271,   212,     0,   303,   304,
     305,   306,    24,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    39,    38,     0,     0,     0,     0,     0,
       0,     0,     0,     7,     0,   125,   292,   165,    31,   186,
     201,   276,     0,   266,   261,   258,   260,   259,   256,   257,
     251,   250,   252,   263,   262,     0,   225,   210,   236,   213,
     229,   231,   233,   240,   248,   249,   241,   242,   244,   243,
     245,   246,   247,   230,   234,   264,   265,   224,    16,     0,
      34,    22,   168,    14,    18,    20,    12,   272,    25,     0,
       0,    41,     0,     0,   279,   270,     0,   254,   253,   255,
       0,   227,     0,   232,     0,    40,    43,   284,     0,     0,
     126,   293,   166,   206,     0,   187,   188,   189,     0,   202,
     203,   204,     0,    41,   267,   226,     0,   239,     0,   237,
     214,   218,   219,     0,     0,     0,   236,   289,   273,   284,
     285,    26,   117,     0,   175,   190,   205,     0,   280,   277,
       0,   228,     0,   235,   215,    89,     0,     0,    42,    44,
       0,    46,    82,    48,     0,    88,     0,   283,   288,   290,
       0,     0,     0,     0,   118,   127,   117,   294,     0,   301,
       0,   193,     0,   278,   268,   238,   216,     0,    56,    61,
      62,    64,    65,    60,    59,    57,    58,    66,    63,     0,
      55,    36,     0,    50,     0,     0,     0,   112,   170,   274,
     286,    27,     0,     0,   116,     0,     0,   296,     0,     0,
     181,     0,     0,   183,     0,     0,     0,   174,     0,     0,
       0,   196,   191,   192,   281,     0,     0,    67,   114,    53,
       0,    45,     0,    47,    83,    49,     0,     0,   119,   163,
     159,   162,   160,   161,   128,   295,   300,   297,   157,   158,
     154,   155,   156,     0,     0,     0,     0,   302,   130,   131,
     133,   135,   137,   140,   143,   147,   152,   151,   173,     0,
     223,     0,    59,   182,   184,   171,   180,     0,     0,   208,
       0,   269,   217,    54,    51,     0,   113,   287,     0,     0,
       0,   148,   149,   150,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   179,   220,   178,     0,   176,   177,
     194,   195,   197,    69,    84,   120,   298,   153,   132,   134,
     136,   138,   139,   141,   142,   144,   145,   146,   221,   172,
       0,     0,    52,     0,     0,     0,     0,     0,     0,    80,
      68,     0,    79,    76,     0,     0,    85,    90,   121,   222,
       0,    71,   106,     0,     0,    70,    72,    78,    73,    75,
      94,    98,    99,   100,   101,     0,    91,     0,     0,   105,
       0,    77,     0,    95,     0,    86,   122,   129,   198,   104,
     107,    81,     0,     0,    92,   105,     0,     0,     0,    96,
      87,   123,   199,     0,   109,   111,   103,     0,   108,   102,
       0,   110,    97
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -314,  -314,    -2,  -314,  -314,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,  -108,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,    74,  -314,    18,
    -314,  -314,  -314,  -314,  -103,  -314,   -97,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,   -90,  -314,  -125,  -314,  -314,
    -314,  -314,  -133,  -313,  -314,  -314,  -314,  -143,  -314,  -314,
    -314,    90,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -287,  -314,   -36,   -33,   -32,  -186,
    -181,  -233,  -146,  -314,  -314,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,  -314,   191,  -314,  -314,  -314,  -314,
    -314,  -314,  -200,  -314,  -314,  -265,  -231,  -314,  -314,   -46,
    -314,  -314,  -314,   -37,  -123,   140,  -314,   121,  -314,    66,
    -314,  -314,    67,  -314,    69,    78,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,   256,  -314,  -314,  -314,  -314,  -314,
    -314,  -314,  -314,  -314,   157,   174,  -314,  -314,  -314,   270,
    -314,  -314,  -314,  -314,  -314,  -314,  -314,    -6,   -10
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     4,     5,     6,    37,     7,    22,    61,    58,    52,
      59,    60,    56,     8,    10,    64,   139,   203,    23,    24,
      47,    25,    26,    55,   136,   187,    27,    54,   109,   163,
     188,   232,   234,   236,   189,   272,   353,   190,   229,   230,
     372,   380,   381,   398,   382,   396,   383,   394,   191,   235,
     325,   373,   407,   425,   192,   386,   414,   387,   422,   436,
     405,   440,   418,   419,   410,   428,   433,   434,   193,   276,
     194,   205,   206,   242,   328,   374,   408,   426,    28,    44,
     119,   172,   243,   416,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   278,    29,    46,   121,    30,    57,
     137,   196,   256,   347,   210,   257,   258,   259,    31,    48,
     122,   145,   146,   211,   262,   263,   320,   351,   370,   427,
      32,    49,   123,   149,   150,   147,   174,   260,    33,    51,
      87,   134,   160,   184,   266,   161,   309,   345,   375,   307,
     130,   156,    89,   157,    91,   133,   158,   159,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   126,   180,   265,    34,    62,   138,   200,    35,    50,
     124,   153,   177,   168,   164,   197,   202,   277,   170,    36,
      45,   120,   173,   245,   207,   247,   329,   208,   107
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      42,   322,   240,    38,    12,    88,   330,   324,   249,   131,
       9,   246,   384,   142,    90,   167,    38,   423,   250,    11,
     -41,   311,    53,   251,   252,    43,   198,   317,   318,   143,
     253,   144,   132,   377,    65,    66,    67,    68,    69,    70,
      71,   167,   288,   289,    38,   179,   125,    39,    40,    41,
     127,   128,   129,    86,   290,   291,   292,   341,   342,   343,
      39,    40,    41,   135,   293,   393,  -207,    38,   254,  -299,
     294,   295,   385,  -299,   -93,   296,   -93,   385,   167,   378,
     379,   412,    63,   288,   289,    38,    88,   182,    39,    40,
      41,   -74,   166,   212,    86,   290,   291,   292,   175,   269,
     270,   183,   176,   110,   143,   293,   148,   213,   365,   366,
     367,    39,    40,    41,   402,   403,   404,    88,   166,   112,
     155,   417,   108,   350,   162,   406,   195,   409,   111,    39,
      40,    41,   337,   338,    88,    86,    88,   171,    72,   437,
      38,   438,   178,   214,    88,   113,   181,   369,   331,   332,
     333,   361,   362,   233,   114,   166,   339,   340,   363,   364,
     115,    73,   116,   209,   117,   118,    74,    75,    76,    77,
      78,    79,    80,    81,    82,   442,    83,    84,    85,   125,
     140,   141,   131,   204,    39,    40,    41,    53,   152,   154,
      86,   216,   162,   231,   237,   238,   279,   239,   241,   248,
     400,   261,   264,   267,   268,   310,   310,   271,   273,    88,
     275,   284,   310,   310,    13,   285,   308,   286,   315,   316,
      14,   287,    15,    16,    17,   274,   319,   327,   334,   336,
     326,   335,   321,   344,   357,    72,    18,    38,    19,    20,
      21,   346,   348,   349,   354,  -115,   371,   388,   392,   391,
     368,   395,   379,   376,   378,   411,   162,   406,    73,   413,
     415,   439,   162,    74,    75,    76,    77,    78,    79,    80,
      81,    82,   185,    83,    84,    85,   420,   421,   431,   432,
     399,    39,    40,    41,   255,   397,   390,    86,   323,   424,
      -4,     1,   430,   -35,   441,   186,   244,   -10,   358,   -10,
     -10,   -10,   359,   215,   360,     2,   199,   105,   280,   281,
     352,   282,   169,   -10,   151,   -10,   -10,   -10,   355,   209,
     283,   106,   165,   356,    38,     0,   201,     0,     0,   389,
       0,     0,     0,     0,     0,     0,     0,   162,    88,     3,
       0,     0,     0,     0,     0,    73,     0,   401,     0,    -4,
      74,    75,    76,    77,    78,    79,    80,    81,    82,     0,
      83,    84,    85,     0,   165,     0,    38,     0,    39,    40,
      41,     0,     0,     0,    86,     0,    88,    88,     0,     0,
    -169,     0,   435,     0,     0,   429,   401,    73,     0,     0,
       0,   435,    74,    75,    76,    77,    78,    79,    80,    81,
      82,     0,    83,    84,    85,     0,     0,     0,     0,     1,
      39,    40,    41,     0,     0,   -10,    86,   -10,   -10,   -10,
       0,     0,  -282,     2,     0,     0,     0,     0,     0,     0,
     162,   -10,     0,   -10,   -10,   -10,     0,     0,     0,     0,
      72,     0,    38,     0,     0,     0,     0,     0,    15,     0,
       0,     0,     0,     0,     0,     0,     0,     3,     0,     0,
       0,     0,     0,    73,     0,    20,     0,    -4,    74,    75,
      76,    77,    78,    79,    80,    81,    82,     0,    83,    84,
      85,    72,     0,    38,     0,     0,    39,    40,    41,     0,
       0,   313,    86,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   314,    73,     0,     0,     0,     0,    74,
      75,    76,    77,    78,    79,    80,    81,    82,     0,    83,
      84,    85,    72,     0,    38,     0,     0,    39,    40,    41,
       0,     0,     0,    86,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    73,     0,     0,     0,     0,
      74,    75,    76,    77,    78,    79,    80,    81,    82,     0,
      83,    84,    85,   165,     0,    38,     0,     0,    39,    40,
      41,     0,     0,     0,    86,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    73,     0,    38,     0,
       0,    74,    75,    76,    77,    78,    79,    80,    81,    82,
       0,    83,    84,    85,     0,     0,     0,     0,     0,    39,
      40,    41,     0,     0,     0,    86,    76,    77,    78,    79,
      80,    81,    82,     0,     0,     0,    85,     0,     0,     0,
      -4,     1,    39,    40,    41,     0,     0,   -10,    86,   -10,
     -10,   -10,     0,     0,     0,     2,     0,   217,     0,     0,
     218,   219,     0,   -10,   220,   -10,   -10,   -10,   221,   222,
     223,     0,     0,     0,   224,   225,     0,   226,   227,   217,
       0,     0,   218,   219,   228,     0,   220,     0,     0,     3,
     221,   222,   223,     0,     0,     0,   312,   225,     0,   226,
     227,     0,     0,     0,     0,     0,   228
};

static const yytype_int16 yycheck[] =
{
      10,   266,   202,     3,     6,    51,   293,   272,     1,    53,
      57,     1,     1,   121,    51,   138,     3,     1,    11,     0,
      58,   252,    60,    16,    17,    59,    57,   258,   259,    58,
      23,    60,    76,     1,    44,    45,    46,    47,    48,    49,
      50,   164,    42,    43,     3,   153,    77,    47,    48,    49,
      35,    36,    37,    53,    54,    55,    56,    72,    73,    74,
      47,    48,    49,   109,    64,   378,    59,     3,    61,    59,
      70,    71,    61,    63,    63,    75,    65,    61,   201,    47,
      48,   394,    57,    42,    43,     3,   132,    63,    47,    48,
      49,    59,   138,    63,    53,    54,    55,    56,   144,    62,
      63,    77,   148,    58,    58,    64,    60,    77,   341,   342,
     343,    47,    48,    49,    44,    45,    46,   163,   164,    58,
     130,   408,    57,    59,   134,    63,   163,    65,    57,    47,
      48,    49,    51,    52,   180,    53,   182,   139,     1,    63,
       3,    65,   152,   180,   190,    57,   156,   347,   294,   295,
     296,   337,   338,   190,    57,   201,    70,    71,   339,   340,
      57,    24,    57,   173,    58,    58,    29,    30,    31,    32,
      33,    34,    35,    36,    37,   440,    39,    40,    41,    77,
      58,    58,    53,     6,    47,    48,    49,    60,    76,    76,
      53,    63,   202,    59,    11,    59,   242,    59,    59,    66,
      63,    58,   212,    62,    62,   251,   252,    57,    57,   255,
      57,    59,   258,   259,     1,    59,    57,    63,   255,    57,
       7,    63,     9,    10,    11,   235,    59,    57,    67,    69,
     276,    68,    77,    57,    65,     1,    23,     3,    25,    26,
      27,    57,    57,    57,    64,    11,    58,    66,    20,    59,
      63,    59,    48,    64,    47,    57,   266,    63,    24,    62,
      65,    50,   272,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    64,    57,    57,    57,
     383,    47,    48,    49,   210,   382,   376,    53,   270,   414,
       0,     1,   425,    59,   437,    61,   206,     7,   334,     9,
      10,    11,   335,   182,   336,    15,   166,    51,   242,   242,
     320,   242,   138,    23,   123,    25,    26,    27,   328,   329,
     242,    51,     1,   329,     3,    -1,   169,    -1,    -1,   375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,   384,    49,
      -1,    -1,    -1,    -1,    -1,    24,    -1,   384,    -1,    59,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    -1,
      39,    40,    41,    -1,     1,    -1,     3,    -1,    47,    48,
      49,    -1,    -1,    -1,    53,    -1,   422,   423,    -1,    -1,
      59,    -1,   428,    -1,    -1,   422,   423,    24,    -1,    -1,
      -1,   437,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    -1,    39,    40,    41,    -1,    -1,    -1,    -1,     1,
      47,    48,    49,    -1,    -1,     7,    53,     9,    10,    11,
      -1,    -1,    59,    15,    -1,    -1,    -1,    -1,    -1,    -1,
     440,    23,    -1,    25,    26,    27,    -1,    -1,    -1,    -1,
       1,    -1,     3,    -1,    -1,    -1,    -1,    -1,     9,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,
      -1,    -1,    -1,    24,    -1,    26,    -1,    59,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    -1,    39,    40,
      41,     1,    -1,     3,    -1,    -1,    47,    48,    49,    -1,
      -1,    11,    53,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    23,    24,    -1,    -1,    -1,    -1,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    -1,    39,
      40,    41,     1,    -1,     3,    -1,    -1,    47,    48,    49,
      -1,    -1,    -1,    53,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    -1,
      39,    40,    41,     1,    -1,     3,    -1,    -1,    47,    48,
      49,    -1,    -1,    -1,    53,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,     3,    -1,
      -1,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      -1,    39,    40,    41,    -1,    -1,    -1,    -1,    -1,    47,
      48,    49,    -1,    -1,    -1,    53,    31,    32,    33,    34,
      35,    36,    37,    -1,    -1,    -1,    41,    -1,    -1,    -1,
       0,     1,    47,    48,    49,    -1,    -1,     7,    53,     9,
      10,    11,    -1,    -1,    -1,    15,    -1,     1,    -1,    -1,
       4,     5,    -1,    23,     8,    25,    26,    27,    12,    13,
      14,    -1,    -1,    -1,    18,    19,    -1,    21,    22,     1,
      -1,    -1,     4,     5,    28,    -1,     8,    -1,    -1,    49,
      12,    13,    14,    -1,    -1,    -1,    18,    19,    -1,    21,
      22,    -1,    -1,    -1,    -1,    -1,    28
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     1,    15,    49,    79,    80,    81,    83,    91,    57,
      92,     0,    80,     1,     7,     9,    10,    11,    23,    25,
      26,    27,    84,    96,    97,    99,   100,   104,   156,   173,
     176,   186,   198,   206,   242,   246,   257,    82,     3,    47,
      48,    49,   266,    59,   157,   258,   174,    98,   187,   199,
     247,   207,    87,    60,   105,   101,    90,   177,    86,    88,
      89,    85,   243,    57,    93,   266,   266,   266,   266,   266,
     266,   266,     1,    24,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    39,    40,    41,    53,   208,   217,   220,
     221,   222,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   242,   257,   266,    57,   106,
      58,    57,    58,    57,    57,    57,    57,    58,    58,   158,
     259,   175,   188,   200,   248,    77,   239,    35,    36,    37,
     218,    53,    76,   223,   209,   217,   102,   178,   244,    94,
      58,    58,   105,    58,    60,   189,   190,   203,    60,   201,
     202,   203,    76,   249,    76,   266,   219,   221,   224,   225,
     210,   213,   266,   107,   252,     1,   217,   222,   251,   253,
     256,    80,   159,   260,   204,   217,   217,   250,   266,   105,
     240,   266,    63,    77,   211,    38,    61,   103,   108,   112,
     115,   126,   132,   146,   148,   221,   179,   253,    57,   223,
     245,   252,   254,    95,     6,   149,   150,   262,   265,   266,
     182,   191,    63,    77,   221,   225,    63,     1,     4,     5,
       8,    12,    13,    14,    18,    19,    21,    22,    28,   116,
     117,    59,   109,   221,   110,   127,   111,    11,    59,    59,
     210,    59,   151,   160,   149,   261,     1,   263,    66,     1,
      11,    16,    17,    23,    61,   115,   180,   183,   184,   185,
     205,    58,   192,   193,   266,   241,   212,    62,    62,    62,
      63,    57,   113,    57,   266,    57,   147,   255,   172,   217,
     227,   230,   232,   233,    59,    59,    63,    63,    42,    43,
      54,    55,    56,    64,    70,    71,    75,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   217,    57,   214,
     217,   214,    18,    11,    23,   221,    57,   214,   214,    59,
     194,    77,   213,   117,   213,   128,   217,    57,   152,   264,
     162,   170,   170,   170,    67,    68,    69,    51,    52,    70,
      71,    72,    73,    74,    57,   215,    57,   181,    57,    57,
      59,   195,   266,   114,    64,   266,   265,    65,   164,   165,
     166,   167,   167,   168,   168,   169,   169,   169,    63,   210,
     196,    58,   118,   129,   153,   216,    64,     1,    47,    48,
     119,   120,   122,   124,     1,    61,   133,   135,    66,   217,
     133,    59,    20,   141,   125,    59,   123,   124,   121,   122,
      63,   221,    44,    45,    46,   138,    63,   130,   154,    65,
     142,    57,   141,    62,   134,    65,   161,   162,   140,   141,
      64,    57,   136,     1,   135,   131,   155,   197,   143,   221,
     140,    57,    57,   144,   145,   217,   137,    63,    65,    50,
     139,   145,   213
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,    78,    79,    80,    80,    81,    82,    81,    81,    83,
      83,    85,    84,    86,    84,    87,    84,    88,    84,    89,
      84,    90,    84,    92,    93,    94,    95,    91,    96,    96,
      98,    97,    99,   101,   102,   103,   100,   100,   104,   106,
     105,   105,   107,   107,   109,   108,   110,   108,   111,   108,
     113,   114,   112,   115,   116,   116,   117,   117,   117,   117,
     117,   117,   117,   117,   117,   117,   117,   117,   118,   118,
     119,   119,   120,   120,   120,   121,   121,   122,   123,   123,
     125,   124,   127,   128,   129,   130,   131,   126,   132,   132,
     133,   134,   133,   133,   133,   136,   137,   135,   135,   138,
     138,   138,   139,   139,   140,   140,   142,   143,   141,   144,
     144,   145,   147,   146,   148,   148,   149,   149,   151,   152,
     153,   154,   155,   150,   157,   158,   159,   160,   156,   161,
     162,   163,   163,   164,   164,   165,   165,   166,   166,   166,
     167,   167,   167,   168,   168,   168,   168,   169,   169,   169,
     169,   170,   170,   170,   171,   171,   171,   171,   171,   172,
     172,   172,   172,   172,   174,   175,   173,   177,   178,   179,
     176,   181,   180,   180,   182,   182,   183,   183,   183,   183,
     183,   184,   184,   185,   185,   187,   188,   186,   189,   189,
     191,   190,   192,   192,   193,   194,   194,   196,   197,   195,
     199,   200,   198,   201,   201,   202,   204,   205,   203,   207,
     206,   206,   206,   209,   208,   210,   212,   211,   211,   213,
     214,   216,   215,   215,   217,   218,   217,   219,   217,   220,
     220,   221,   221,   222,   222,   223,   223,   224,   224,   225,
     226,   226,   226,   226,   226,   226,   226,   226,   227,   227,
     228,   228,   228,   229,   229,   229,   230,   230,   231,   232,
     233,   234,   235,   236,   237,   237,   239,   240,   241,   238,
     238,   243,   244,   245,   242,   247,   248,   246,   249,   249,
     250,   250,   251,   252,   252,   254,   255,   253,   253,   256,
     256,   258,   259,   260,   261,   257,   262,   264,   263,   263,
     263,   265,   265,   266,   266,   266,   266
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     2,     0,     2,     0,     3,     2,     1,
       0,     0,     3,     0,     3,     0,     3,     0,     3,     0,
       3,     0,     3,     0,     0,     0,     0,     9,     1,     1,
       0,     3,     1,     0,     0,     0,     7,     2,     2,     0,
       3,     0,     2,     0,     0,     3,     0,     3,     0,     3,
       0,     0,     6,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     0,
       2,     2,     2,     2,     0,     1,     0,     3,     1,     0,
       0,     4,     0,     0,     0,     0,     0,    11,     1,     1,
       1,     0,     4,     0,     2,     0,     0,     8,     2,     1,
       1,     1,     1,     0,     1,     0,     0,     0,     6,     1,
       3,     1,     0,     4,     3,     0,     2,     0,     0,     0,
       0,     0,     0,    11,     0,     0,     0,     0,     9,     1,
       1,     1,     3,     1,     3,     1,     3,     1,     3,     3,
       1,     3,     3,     1,     3,     3,     3,     1,     2,     2,
       2,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     0,     5,     0,     0,     0,
       7,     0,     4,     2,     2,     0,     3,     3,     3,     3,
       2,     1,     2,     1,     2,     0,     0,     5,     1,     1,
       0,     4,     1,     0,     3,     2,     0,     0,     0,     8,
       0,     0,     5,     1,     1,     2,     0,     0,     5,     0,
       3,     1,     1,     0,     3,     2,     0,     4,     0,     1,
       2,     0,     4,     0,     1,     0,     3,     0,     4,     1,
       1,     1,     2,     1,     1,     3,     0,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     0,     0,     7,
       2,     0,     0,     0,     7,     0,     0,     6,     3,     0,
       1,     3,     2,     2,     0,     0,     0,     5,     2,     1,
       2,     0,     0,     0,     0,     9,     2,     0,     4,     0,
       2,     1,     3,     1,     1,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
# ifndef YY_LOCATION_PRINT
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 6: /* $@1: %empty  */
#line 350 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ModuleDeclSeen);
    }
#line 1948 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 7: /* definition: module_dcl $@1 ';'  */
#line 354 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
    }
#line 1956 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 8: /* definition: error ';'  */
#line 358 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        yyerror("definitions");
        yyerrok;
    }
#line 1965 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 9: /* opt_published: IDL_PUBLISHED  */
#line 365 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                  { idlc()->setPublished(true); }
#line 1971 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 10: /* opt_published: %empty  */
#line 366 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                  { idlc()->setPublished(false); }
#line 1977 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 11: /* $@2: %empty  */
#line 371 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_TypeDeclSeen);
    }
#line 1985 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 12: /* publishable_definition: type_dcl $@2 ';'  */
#line 375 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
    }
#line 1993 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 13: /* $@3: %empty  */
#line 379 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ExceptionDeclSeen);
    }
#line 2001 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 14: /* publishable_definition: exception_dcl $@3 ';'  */
#line 383 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
    }
#line 2009 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 15: /* $@4: %empty  */
#line 387 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InterfaceDeclSeen);
    }
#line 2017 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 16: /* publishable_definition: interface $@4 ';'  */
#line 391 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
    }
#line 2025 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 17: /* $@5: %empty  */
#line 395 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceDeclSeen);
    }
#line 2033 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 18: /* publishable_definition: service_dcl $@5 ';'  */
#line 399 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
    }
#line 2041 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 19: /* $@6: %empty  */
#line 403 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_SingletonDeclSeen);
    }
#line 2049 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 20: /* publishable_definition: singleton_dcl $@6 ';'  */
#line 407 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
    }
#line 2057 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 21: /* $@7: %empty  */
#line 411 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstantsDeclSeen);
    }
#line 2065 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 22: /* publishable_definition: constants_dcl $@7 ';'  */
#line 415 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
    }
#line 2073 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 23: /* $@8: %empty  */
#line 422 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ModuleSeen);
        idlc()->setPublished(false);
    }
#line 2082 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 24: /* $@9: %empty  */
#line 427 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ModuleIDSeen);
        checkIdentifier((yyvsp[0].sval));

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstModule*      pModule = nullptr;

        if ( pScope )
        {
            pModule = new AstModule(*(yyvsp[0].sval), pScope);
            if( AstDeclaration* pExists = pScope->lookupForAdd(pModule) )
            {
                pExists->setInMainfile(idlc()->isInMainFile());
                pExists->setFileName(pModule->getFileName());
                if (pExists->isPredefined())
                {
                    pExists->setPredefined(false);
                    if (pExists->getDocumentation().getLength() == 0 &&
                        pModule->getDocumentation().getLength() > 0)
                    {
                        pExists->setDocumentation(pModule->getDocumentation());
                    }
                }
                delete(pModule);
                pModule = static_cast<AstModule*>(pExists);
            } else
            {
                pScope->addDeclaration(pModule);
            }
            idlc()->scopes()->push(pModule);
        }
        delete (yyvsp[0].sval);
    }
#line 2120 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 25: /* $@10: %empty  */
#line 461 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ModuleSqSeen);
    }
#line 2128 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 26: /* $@11: %empty  */
#line 465 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ModuleBodySeen);
    }
#line 2136 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 27: /* module_dcl: IDL_MODULE $@8 identifier $@9 '{' $@10 definitions $@11 '}'  */
#line 469 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ModuleQsSeen);
        /*
         * Finished with this module - pop it from the scope stack
         */
        idlc()->scopes()->pop();
    }
#line 2148 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 30: /* $@12: %empty  */
#line 485 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InterfaceSeen);
    }
#line 2156 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 31: /* interface_decl: IDL_INTERFACE $@12 identifier  */
#line 489 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InterfaceIDSeen);
        checkIdentifier((yyvsp[0].sval));
        (yyval.sval) = (yyvsp[0].sval);
    }
#line 2166 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 32: /* forward_dcl: interface_decl  */
#line 498 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ForwardDeclSeen);

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstInterface*   pForward = nullptr;
        AstDeclaration* pDecl = nullptr;

        /*
         * Make a new forward interface node and add it to its enclosing scope
         */
        if ( pScope && (yyvsp[0].sval) )
        {
            pForward = new AstInterface(*(yyvsp[0].sval), nullptr, pScope);

            pDecl = pScope->lookupByName(pForward->getScopedName());
            if ( pDecl )
            {
                if ( (pDecl != pForward) &&
                     (pDecl->getNodeType() == NT_interface) )
                {
                    delete pForward;
                } else
                {
                    ErrorHandler::error2(ErrorCode::RedefScope, scopeAsDecl(pScope), pDecl);
                }
            } else
            {
                /*
                 * Add the interface to its definition scope
                 */
                pScope->addDeclaration(pForward);
            }
        }
        delete (yyvsp[0].sval);
    }
#line 2206 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 33: /* $@13: %empty  */
#line 537 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InterfaceHeadSeen);

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstInterface*   pInterface = nullptr;
        AstInterface*   pForward = nullptr;

        /*
         * Make a new interface node and add it to its enclosing scope
         */
        if ( pScope && (yyvsp[0].ihval) )
        {
            pInterface = new AstInterface(
                *(yyvsp[0].ihval)->getName(),
                static_cast< AstInterface const * >(resolveTypedefs((yyvsp[0].ihval)->getInherits())), pScope);
            if ( AstDeclaration* pDecl = pScope->lookupByName(pInterface->getScopedName()) )
            {
                /*
                 * See if we're defining a forward declared interface.
                 */
                if (pDecl->getNodeType() == NT_interface)
                {
                    pForward = static_cast<AstInterface*>(pDecl);
                    if ( !pForward->isDefined() )
                    {
                        /*
                         * Check if redefining in same scope
                         */
                        if ( pForward->getScope() != pScope )
                        {
                            if ( pForward->getScopedName() != pInterface->getScopedName() )
                            {
                                ErrorHandler::error3(ErrorCode::ScopeConflict,
                                         pInterface, pForward, scopeAsDecl(pScope));
                            }
                        }
                        else if ( !pInterface->isPublished()
                                  && pForward->isPublished() )
                        {
                            ErrorHandler::error0(ErrorCode::PublishedForward);
                        }
                        /*
                         * All OK, set full definition
                         */
                        else
                        {
                            pForward->forwardDefined(*pInterface);
                            delete pInterface;
                            pInterface = pForward;
                        }
                    } else {
                        // special handling for XInterface because it is predefined
                        if ( pForward->isPredefined() &&
                             pForward->getScopedName() == "com::sun::star::uno::XInterface")
                        {
                            /* replace the predefined XInterface */
                            *pForward = *pInterface;
                            delete pInterface;
                            pInterface = pForward;
                        }

                    }
                }
            } else
            {
                /*
                 * Add the interface to its definition scope
                 */
                pScope->addDeclaration(pInterface);
            }
        }
        /*
         * Push it on the scope stack
         */
        idlc()->scopes()->push(pInterface);
        delete (yyvsp[0].ihval);
    }
#line 2288 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 34: /* $@14: %empty  */
#line 615 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InterfaceSqSeen);
    }
#line 2296 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 35: /* $@15: %empty  */
#line 619 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        AstInterface * ifc = static_cast< AstInterface * >(
            idlc()->scopes()->topNonNull());
        if (!ifc->hasMandatoryInheritedInterfaces()
            && ifc->getScopedName() != "com::sun::star::uno::XInterface")
        {
            addInheritedInterface(
                ifc, "::com::sun::star::uno::XInterface", false,
                OUString());
        }
        ifc->setDefined();
        idlc()->setParseState(PS_InterfaceBodySeen);
    }
#line 2314 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 36: /* interface_dcl: interfaceheader $@13 '{' $@14 exports $@15 '}'  */
#line 633 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InterfaceQsSeen);
        /*
         * Done with this interface - pop it off the scopes stack
         */
        idlc()->scopes()->pop();
    }
#line 2326 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 37: /* interface_dcl: error '}'  */
#line 641 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        yyerror("interface definition");
        yyerrok;
    }
#line 2335 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 38: /* interfaceheader: interface_decl inheritance_spec  */
#line 649 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InheritSpecSeen);

        (yyval.ihval) = new FeInheritanceHeader(NT_interface, (yyvsp[-1].sval), (yyvsp[0].sval), nullptr);
        delete (yyvsp[0].sval);
    }
#line 2346 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 39: /* $@16: %empty  */
#line 659 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InheritColonSeen);
    }
#line 2354 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 40: /* inheritance_spec: ':' $@16 scoped_name  */
#line 663 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.sval) = (yyvsp[0].sval);
    }
#line 2362 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 41: /* inheritance_spec: %empty  */
#line 667 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.sval) = nullptr;
    }
#line 2370 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 44: /* $@17: %empty  */
#line 679 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_AttributeDeclSeen);
    }
#line 2378 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 45: /* export: attribute $@17 ';'  */
#line 683 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
    }
#line 2386 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 46: /* $@18: %empty  */
#line 687 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OperationDeclSeen);
    }
#line 2394 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 47: /* export: operation $@18 ';'  */
#line 691 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
    }
#line 2402 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 48: /* $@19: %empty  */
#line 695 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InterfaceInheritanceDeclSeen);
    }
#line 2410 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 49: /* export: interface_inheritance_decl $@19 ';'  */
#line 699 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
    }
#line 2418 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 50: /* $@20: %empty  */
#line 707 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_AttrTypeSeen);
    }
#line 2426 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 51: /* $@21: %empty  */
#line 711 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_AttrCompleted);
        if (((yyvsp[-3].ulval) & ~(AF_BOUND | AF_READONLY)) != AF_ATTRIBUTE) {
            ErrorHandler::flagError(ErrorCode::BadAttributeFlags, (yyvsp[-3].ulval));
        }
        AstInterface * scope = static_cast< AstInterface * >(
            idlc()->scopes()->top());
        AstAttribute * attr = new AstAttribute(
            (yyvsp[-3].ulval), FeDeclarator::compose((yyvsp[-2].cdclval)), (yyvsp[0].fdval)->getName(), scope);
        delete (yyvsp[0].fdval);
        AstInterface::DoubleMemberDeclarations doubleMembers(
            scope->checkMemberClashes(attr));
        if (doubleMembers.empty()) {
            scope->addMember(attr);
        } else {
            reportDoubleMemberDeclarations(doubleMembers);
        }
        idlc()->scopes()->push(attr);
    }
#line 2450 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 52: /* attribute: flag_header simple_type_spec $@20 declarator $@21 opt_attribute_block  */
#line 731 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        static_cast< AstAttribute * >(idlc()->scopes()->top())->setExceptions(
            (yyvsp[0].attexcval).get.documentation, (yyvsp[0].attexcval).get.exceptions, (yyvsp[0].attexcval).set.documentation,
            (yyvsp[0].attexcval).set.exceptions);
        delete (yyvsp[0].attexcval).get.documentation;
        delete (yyvsp[0].attexcval).get.exceptions;
        delete (yyvsp[0].attexcval).set.documentation;
        delete (yyvsp[0].attexcval).set.exceptions;
        idlc()->scopes()->pop();
    }
#line 2465 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 53: /* flag_header: '[' opt_attrflags ']'  */
#line 745 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_FlagHeaderSeen);
        (yyval.ulval) = (yyvsp[-1].ulval);
    }
#line 2474 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 54: /* opt_attrflags: opt_attrflags ',' opt_attrflag  */
#line 753 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        if ( ((yyvsp[-2].ulval) & (yyvsp[0].ulval)) == (yyvsp[0].ulval) )
            ErrorHandler::flagError(ErrorCode::DefinedAttributeFlag, (yyvsp[0].ulval));

        (yyval.ulval) = (yyvsp[-2].ulval) | (yyvsp[0].ulval);
    }
#line 2485 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 55: /* opt_attrflags: opt_attrflag  */
#line 760 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.ulval) = (yyvsp[0].ulval);
    }
#line 2493 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 56: /* opt_attrflag: IDL_ATTRIBUTE  */
#line 767 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_AttrSeen);
        (yyval.ulval) = AF_ATTRIBUTE;
    }
#line 2502 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 57: /* opt_attrflag: IDL_PROPERTY  */
#line 772 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_PropertySeen);
        (yyval.ulval) = AF_PROPERTY;
    }
#line 2511 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 58: /* opt_attrflag: IDL_READONLY  */
#line 777 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ReadOnlySeen);
        (yyval.ulval) = AF_READONLY;
    }
#line 2520 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 59: /* opt_attrflag: IDL_OPTIONAL  */
#line 782 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OptionalSeen);
        (yyval.ulval) = AF_OPTIONAL;
    }
#line 2529 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 60: /* opt_attrflag: IDL_MAYBEVOID  */
#line 787 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_MayBeVoidSeen);
        (yyval.ulval) = AF_MAYBEVOID;
    }
#line 2538 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 61: /* opt_attrflag: IDL_BOUND  */
#line 792 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_BoundSeen);
        (yyval.ulval) = AF_BOUND;
    }
#line 2547 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 62: /* opt_attrflag: IDL_CONSTRAINED  */
#line 797 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstrainedSeen);
        (yyval.ulval) = AF_CONSTRAINED;
    }
#line 2556 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 63: /* opt_attrflag: IDL_TRANSIENT  */
#line 802 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_TransientSeen);
        (yyval.ulval) = AF_TRANSIENT;
    }
#line 2565 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 64: /* opt_attrflag: IDL_MAYBEAMBIGUOUS  */
#line 807 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_MayBeAmbiguousSeen);
        (yyval.ulval) = AF_MAYBEAMBIGUOUS;
    }
#line 2574 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 65: /* opt_attrflag: IDL_MAYBEDEFAULT  */
#line 812 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_MayBeDefaultSeen);
        (yyval.ulval) = AF_MAYBEDEFAULT;
    }
#line 2583 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 66: /* opt_attrflag: IDL_REMOVABLE  */
#line 817 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_RemoveableSeen);
        (yyval.ulval) = AF_REMOVABLE;
    }
#line 2592 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 67: /* opt_attrflag: error ']'  */
#line 822 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        yyerror("unknown property|attribute flag");
        yyerrok;
    }
#line 2601 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 68: /* opt_attribute_block: '{' attribute_block_rest  */
#line 829 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                             { (yyval.attexcval) = (yyvsp[0].attexcval); }
#line 2607 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 69: /* opt_attribute_block: %empty  */
#line 831 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.attexcval).get.documentation = nullptr;
        (yyval.attexcval).get.exceptions = nullptr;
        (yyval.attexcval).set.documentation = nullptr;
        (yyval.attexcval).set.exceptions = nullptr;
    }
#line 2618 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 71: /* attribute_block_rest: error '}'  */
#line 842 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        yyerror("bad attribute raises block");
        yyerrok;
        (yyval.attexcval).get.documentation = nullptr;
        (yyval.attexcval).get.exceptions = nullptr;
        (yyval.attexcval).set.documentation = nullptr;
        (yyval.attexcval).set.exceptions = nullptr;
    }
#line 2631 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 72: /* opt_attribute_raises: attribute_get_raises opt_attribute_set_raises  */
#line 855 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.attexcval).get = (yyvsp[-1].attexcpval);
        (yyval.attexcval).set = (yyvsp[0].attexcpval);
    }
#line 2640 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 73: /* opt_attribute_raises: attribute_set_raises opt_attribute_get_raises  */
#line 861 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.attexcval).get = (yyvsp[0].attexcpval);
        (yyval.attexcval).set = (yyvsp[-1].attexcpval);
    }
#line 2649 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 74: /* opt_attribute_raises: %empty  */
#line 866 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.attexcval).get.documentation = nullptr;
        (yyval.attexcval).get.exceptions = nullptr;
        (yyval.attexcval).set.documentation = nullptr;
        (yyval.attexcval).set.exceptions = nullptr;
    }
#line 2660 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 76: /* opt_attribute_get_raises: %empty  */
#line 876 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                  { (yyval.attexcpval).documentation = nullptr; (yyval.attexcpval).exceptions = nullptr; }
#line 2666 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 77: /* attribute_get_raises: IDL_GET raises ';'  */
#line 881 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.attexcpval).documentation = new OUString(
            OStringToOUString(
                idlc()->getDocumentation(), RTL_TEXTENCODING_UTF8));
        (yyval.attexcpval).exceptions = (yyvsp[-1].dclsval);
    }
#line 2677 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 79: /* opt_attribute_set_raises: %empty  */
#line 891 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                  { (yyval.attexcpval).documentation = nullptr; (yyval.attexcpval).exceptions = nullptr; }
#line 2683 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 80: /* $@22: %empty  */
#line 896 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        if (static_cast< AstAttribute * >(idlc()->scopes()->top())->
            isReadonly())
        {
            ErrorHandler::error0(ErrorCode::ReadOnlyAttributeSetExceptions);
        }
    }
#line 2695 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 81: /* attribute_set_raises: IDL_SET $@22 raises ';'  */
#line 904 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.attexcpval).documentation = new OUString(
            OStringToOUString(
                idlc()->getDocumentation(), RTL_TEXTENCODING_UTF8));
        (yyval.attexcpval).exceptions = (yyvsp[-1].dclsval);
    }
#line 2706 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 82: /* $@23: %empty  */
#line 914 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OpTypeSeen);
    }
#line 2714 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 83: /* $@24: %empty  */
#line 918 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OpIDSeen);
        checkIdentifier((yyvsp[0].sval));

        AstInterface * pScope = static_cast< AstInterface * >(
            idlc()->scopes()->top());
        AstOperation*   pOp = nullptr;

        /*
         * Create a node representing an operation on an interface
         * and add it to its enclosing scope
         */
        if ( pScope && (yyvsp[-2].cdclval) )
        {
            AstType const *pType = static_cast<AstType const *>((yyvsp[-2].cdclval));
            if ( !pType || (pType->getNodeType() == NT_exception) )
            {
                // type ERROR
            } else
            {
                pOp = new AstOperation(pType, *(yyvsp[0].sval), pScope);

                AstInterface::DoubleMemberDeclarations doubleMembers(
                    pScope->checkMemberClashes(pOp));
                if (doubleMembers.empty()) {
                    pScope->addMember(pOp);
                } else {
                    reportDoubleMemberDeclarations(doubleMembers);
                }
            }
        }
        delete (yyvsp[0].sval);
        /*
         * Push the operation scope onto the scopes stack
         */
        idlc()->scopes()->push(pOp);
    }
#line 2756 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 84: /* $@25: %empty  */
#line 956 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OpSqSeen);
    }
#line 2764 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 85: /* $@26: %empty  */
#line 960 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OpParsCompleted);
    }
#line 2772 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 86: /* $@27: %empty  */
#line 964 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OpQsSeen);
    }
#line 2780 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 87: /* operation: op_type_spec $@23 identifier $@24 '(' $@25 parameters $@26 ')' $@27 opt_raises  */
#line 968 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstOperation*   pOp = nullptr;
        /*
         * Add exceptions and context to the operation
         */
        if ( pScope && pScope->getScopeNodeType() == NT_operation)
        {
            pOp = static_cast<AstOperation*>(pScope);

            if ( pOp )
                pOp->setExceptions((yyvsp[0].dclsval));
        }
        delete (yyvsp[0].dclsval);
        /*
         * Done with this operation. Pop its scope from the scopes stack
         */
        idlc()->scopes()->pop();
    }
#line 2804 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 89: /* op_type_spec: IDL_VOID  */
#line 992 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.cdclval) = idlc()->scopes()->bottom()->lookupPrimitiveType(ET_void);
    }
#line 2812 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 91: /* $@28: %empty  */
#line 1001 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OpParCommaSeen);
    }
#line 2820 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 94: /* parameters: error ','  */
#line 1007 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        yyerror("parameter definition");
        yyerrok;
    }
#line 2829 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 95: /* $@29: %empty  */
#line 1017 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OpParDirSeen);
    }
#line 2837 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 96: /* $@30: %empty  */
#line 1021 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OpParTypeSeen);
    }
#line 2845 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 97: /* parameter: '[' direction ']' $@29 simple_type_spec $@30 opt_rest declarator  */
#line 1026 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_OpParDeclSeen);

        AstOperation * pScope = static_cast< AstOperation * >(
            idlc()->scopes()->top());
        AstParameter*   pParam = nullptr;

        /*
         * Create a node representing an argument to an operation
         * Add it to the enclosing scope (the operation scope)
         */
        if ( pScope && (yyvsp[-3].cdclval) && (yyvsp[0].fdval) )
        {
            AstType const * pType = FeDeclarator::compose((yyvsp[-3].cdclval));
            if ( pType )
            {
                if (pScope->isConstructor() && (yyvsp[-6].ulval) != DIR_IN) {
                    ErrorHandler::error0(ErrorCode::ConstructorParameterNotIn);
                }
                if (pScope->isVariadic()) {
                    ErrorHandler::error0(ErrorCode::RestParameterNotLast);
                }
                if ((yyvsp[-1].bval)) {
                    AstDeclaration const * type = resolveTypedefs(pType);
                    if (type->getNodeType() != NT_predefined
                        || (static_cast< AstBaseType const * >(type)->
                            getExprType() != ET_any))
                    {
                        ErrorHandler::error0(ErrorCode::RestParameterNotAny);
                    }
                    if (pScope->isConstructor()) {
                        if (pScope->getIteratorBegin()
                            != pScope->getIteratorEnd())
                        {
                            ErrorHandler::error0(
                                ErrorCode::ConstructorRestParameterNotFirst);
                        }
                    } else {
                        ErrorHandler::error0(ErrorCode::MethodHasRestParameter);
                    }
                }

                pParam = new AstParameter(
                    static_cast< Direction >((yyvsp[-6].ulval)), (yyvsp[-1].bval), pType, (yyvsp[0].fdval)->getName(),
                    pScope);

                if ( !(yyvsp[0].fdval)->checkType((yyvsp[-3].cdclval)) )
                {
                    // WARNING
                }

                pScope->addDeclaration(pParam);
            }
        }
    }
#line 2905 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 98: /* parameter: error simple_type_spec  */
#line 1083 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_NoState);
        yyerrok;
    }
#line 2914 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 99: /* direction: IDL_IN  */
#line 1091 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.ulval) = DIR_IN;
    }
#line 2922 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 100: /* direction: IDL_OUT  */
#line 1095 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.ulval) = DIR_OUT;
    }
#line 2930 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 101: /* direction: IDL_INOUT  */
#line 1099 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.ulval) = DIR_INOUT;
    }
#line 2938 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 102: /* opt_rest: IDL_ELLIPSIS  */
#line 1106 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.bval) = true;
    }
#line 2946 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 103: /* opt_rest: %empty  */
#line 1110 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.bval) = false;
    }
#line 2954 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 105: /* opt_raises: %empty  */
#line 1118 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.dclsval) = nullptr;
    }
#line 2962 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 106: /* $@31: %empty  */
#line 1125 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_RaiseSeen);
    }
#line 2970 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 107: /* $@32: %empty  */
#line 1129 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_RaiseSqSeen);
    }
#line 2978 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 108: /* raises: IDL_RAISES $@31 '(' $@32 exception_list ')'  */
#line 1134 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_RaiseQsSeen);
        (yyval.dclsval) = (yyvsp[-1].dclsval);
    }
#line 2987 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 109: /* exception_list: exception_name  */
#line 1142 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.dclsval) = new DeclList;
        (yyval.dclsval)->push_back((yyvsp[0].dclval));
    }
#line 2996 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 110: /* exception_list: exception_list ',' exception_name  */
#line 1147 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyvsp[-2].dclsval)->push_back((yyvsp[0].dclval));
        (yyval.dclsval) = (yyvsp[-2].dclsval);
    }
#line 3005 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 111: /* exception_name: scoped_name  */
#line 1155 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        // The topmost scope is either an AstOperation (for interface methods
        // and service constructors) or an AstAttribute (for interface
        // attributes), so look up exception names in the next-to-topmost scope:
        AstDeclaration * decl = idlc()->scopes()->nextToTop()->lookupByName(
            *(yyvsp[0].sval));
        if (decl == nullptr) {
            ErrorHandler::lookupError(*(yyvsp[0].sval));
        } else if (!ErrorHandler::checkPublished(decl)) {
            decl = nullptr;
        } else if (decl->getNodeType() != NT_exception) {
            ErrorHandler::error1(ErrorCode::IllegalRaises, decl);
            decl = nullptr;
        }
        delete (yyvsp[0].sval);
        (yyval.dclval) = decl;
    }
#line 3027 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 112: /* $@33: %empty  */
#line 1177 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceIFHeadSeen);
    }
#line 3035 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 113: /* interface_inheritance_decl: optional_inherited_interface IDL_INTERFACE $@33 scoped_name  */
#line 1181 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        AstInterface * ifc = static_cast< AstInterface * >(
            idlc()->scopes()->top());
        if (ifc->usesSingleInheritance()) {
            ErrorHandler::error0(ErrorCode::MixedInheritance);
        } else {
            addInheritedInterface(
                ifc, *(yyvsp[0].sval), (yyvsp[-3].bval),
                OStringToOUString(
                    idlc()->getDocumentation(), RTL_TEXTENCODING_UTF8));
        }
        delete (yyvsp[0].sval);
    }
#line 3053 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 114: /* optional_inherited_interface: '[' IDL_OPTIONAL ']'  */
#line 1197 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                         { (yyval.bval) = true; }
#line 3059 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 115: /* optional_inherited_interface: %empty  */
#line 1198 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                  { (yyval.bval) = false; }
#line 3065 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 118: /* $@34: %empty  */
#line 1208 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstSeen);
    }
#line 3073 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 119: /* $@35: %empty  */
#line 1212 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstTypeSeen);
    }
#line 3081 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 120: /* $@36: %empty  */
#line 1216 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstIDSeen);
        checkIdentifier((yyvsp[0].sval));
    }
#line 3090 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 121: /* $@37: %empty  */
#line 1221 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstAssignSeen);
    }
#line 3098 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 122: /* $@38: %empty  */
#line 1225 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstExprSeen);

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstConstant*    pConstant = nullptr;

        if ( (yyvsp[0].exval) && pScope )
        {
            if ( !(yyvsp[0].exval)->coerce((yyvsp[-6].etval)) )
            {
                ErrorHandler::coercionError((yyvsp[0].exval), (yyvsp[-6].etval));
            } else
            {
                pConstant = new AstConstant((yyvsp[-6].etval), (yyvsp[0].exval), *(yyvsp[-4].sval), pScope);
                pScope->addDeclaration(pConstant);
            }
        }
        delete (yyvsp[-4].sval);

        idlc()->setParseState(PS_ConstantDeclSeen);
    }
#line 3124 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 123: /* constants_export: IDL_CONST $@34 const_type $@35 identifier $@36 '=' $@37 expression $@38 ';'  */
#line 1246 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
        {}
#line 3130 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 124: /* $@39: %empty  */
#line 1251 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstantsSeen);
    }
#line 3138 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 125: /* $@40: %empty  */
#line 1255 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstantsIDSeen);
        checkIdentifier((yyvsp[0].sval));
    }
#line 3147 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 126: /* $@41: %empty  */
#line 1260 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstantsSqSeen);

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstConstants*   pConstants = nullptr;

        if ( pScope )
        {
            pConstants = new AstConstants(*(yyvsp[-2].sval), pScope);
            if( AstDeclaration* pExists = pScope->lookupForAdd(pConstants) )
            {
                pExists->setInMainfile(idlc()->isInMainFile());
                delete(pConstants);
                pConstants = static_cast<AstConstants*>(pExists);
            } else
            {
                pScope->addDeclaration(pConstants);
            }
            idlc()->scopes()->push(pConstants);
        }
        delete (yyvsp[-2].sval);
    }
#line 3174 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 127: /* $@42: %empty  */
#line 1283 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstantsBodySeen);
    }
#line 3182 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 128: /* constants_dcl: IDL_CONSTANTS $@39 identifier $@40 '{' $@41 constants_exports $@42 '}'  */
#line 1287 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ConstantsQsSeen);
        /*
         * Finished with this constants - pop it from the scope stack
         */
        idlc()->scopes()->pop();
    }
#line 3194 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 132: /* or_expr: or_expr '|' xor_expr  */
#line 1303 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::Or, (yyvsp[-2].exval), (yyvsp[0].exval));
    }
#line 3202 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 134: /* xor_expr: xor_expr '^' and_expr  */
#line 1311 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::Xor, (yyvsp[-2].exval), (yyvsp[0].exval));
    }
#line 3210 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 136: /* and_expr: and_expr '&' shift_expr  */
#line 1319 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::And, (yyvsp[-2].exval), (yyvsp[0].exval));
    }
#line 3218 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 138: /* shift_expr: shift_expr IDL_LEFTSHIFT add_expr  */
#line 1327 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::Left, (yyvsp[-2].exval), (yyvsp[0].exval));
    }
#line 3226 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 139: /* shift_expr: shift_expr IDL_RIGHTSHIFT add_expr  */
#line 1331 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::Right, (yyvsp[-2].exval), (yyvsp[0].exval));
    }
#line 3234 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 141: /* add_expr: add_expr '+' mult_expr  */
#line 1339 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::Add, (yyvsp[-2].exval), (yyvsp[0].exval));
    }
#line 3242 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 142: /* add_expr: add_expr '-' mult_expr  */
#line 1343 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::Minus, (yyvsp[-2].exval), (yyvsp[0].exval));
    }
#line 3250 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 144: /* mult_expr: mult_expr '*' unary_expr  */
#line 1351 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::Mul, (yyvsp[-2].exval), (yyvsp[0].exval));
    }
#line 3258 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 145: /* mult_expr: mult_expr '/' unary_expr  */
#line 1355 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::Div, (yyvsp[-2].exval), (yyvsp[0].exval));
    }
#line 3266 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 146: /* mult_expr: mult_expr '%' unary_expr  */
#line 1359 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::Mod, (yyvsp[-2].exval), (yyvsp[0].exval));
    }
#line 3274 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 148: /* unary_expr: '+' primary_expr  */
#line 1367 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::UPlus, (yyvsp[0].exval), nullptr);
    }
#line 3282 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 149: /* unary_expr: '-' primary_expr  */
#line 1371 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(ExprComb::UMinus, (yyvsp[0].exval), nullptr);
    }
#line 3290 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 150: /* unary_expr: '~' primary_expr  */
#line 1375 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
    }
#line 3297 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 151: /* primary_expr: scoped_name  */
#line 1381 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        /*
         * An expression which is a scoped name is not resolved now,
         * but only when it is evaluated (such as when it is assigned
         * as a constant value)
         */
        (yyval.exval) = new AstExpression((yyvsp[0].sval));
    }
#line 3310 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 153: /* primary_expr: '(' const_expr ')'  */
#line 1391 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = (yyvsp[-1].exval);
    }
#line 3318 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 154: /* literal: IDL_INTEGER_LITERAL  */
#line 1398 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression((yyvsp[0].ival));
    }
#line 3326 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 155: /* literal: IDL_INTEGER_ULITERAL  */
#line 1402 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression((yyvsp[0].uval));
    }
#line 3334 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 156: /* literal: IDL_FLOATING_PT_LITERAL  */
#line 1406 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression((yyvsp[0].dval));
    }
#line 3342 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 157: /* literal: IDL_TRUE  */
#line 1410 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(sal_Int32(1), ET_boolean);
    }
#line 3350 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 158: /* literal: IDL_FALSE  */
#line 1414 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.exval) = new AstExpression(sal_Int32(0), ET_boolean);
    }
#line 3358 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 163: /* const_type: scoped_name  */
#line 1425 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstDeclaration const * type = nullptr;

        /*
         * If the constant's type is a scoped name, it must resolve
         * to a scalar constant type
         */
        if ( pScope ) {
            type = pScope->lookupByName(*(yyvsp[0].sval));
            if (type) {
                if (!ErrorHandler::checkPublished(type))
                {
                    type = nullptr;
                    (yyval.etval) = ET_none;
                }
                else
                {
                    type = resolveTypedefs(type);
                    if (type->getNodeType() == NT_predefined)
                    {
                        (yyval.etval) = static_cast< AstBaseType const * >(type)->
                            getExprType();
                    } else
                        (yyval.etval) = ET_any;
                }
            } else
                (yyval.etval) = ET_any;
        } else
            (yyval.etval) = ET_any;
    }
#line 3394 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 164: /* $@43: %empty  */
#line 1460 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ExceptSeen);
    }
#line 3402 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 165: /* $@44: %empty  */
#line 1464 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ExceptIDSeen);
        checkIdentifier((yyvsp[0].sval));
    }
#line 3411 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 166: /* exception_header: IDL_EXCEPTION $@43 identifier $@44 inheritance_spec  */
#line 1469 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InheritSpecSeen);

        (yyval.ihval) = new FeInheritanceHeader(NT_exception, (yyvsp[-2].sval), (yyvsp[0].sval), nullptr);
        delete (yyvsp[0].sval);
    }
#line 3422 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 167: /* $@45: %empty  */
#line 1479 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ExceptHeaderSeen);

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstException*   pExcept = nullptr;

        if ( pScope )
        {
            AstException* pBase = static_cast< AstException* >(
                (yyvsp[0].ihval)->getInherits());
            pExcept = new AstException(*(yyvsp[0].ihval)->getName(), pBase, pScope);
            pScope->addDeclaration(pExcept);
        }
        /*
         * Push the scope of the exception on the scopes stack
         */
        idlc()->scopes()->push(pExcept);
        delete (yyvsp[0].ihval);
    }
#line 3446 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 168: /* $@46: %empty  */
#line 1499 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ExceptSqSeen);
    }
#line 3454 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 169: /* $@47: %empty  */
#line 1503 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ExceptBodySeen);
    }
#line 3462 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 170: /* exception_dcl: exception_header $@45 '{' $@46 members $@47 '}'  */
#line 1507 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ExceptQsSeen);
        /* this exception is finished, pop its scope from the stack */
        idlc()->scopes()->pop();
    }
#line 3472 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 171: /* $@48: %empty  */
#line 1517 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_PropertyTypeSeen);
    }
#line 3480 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 172: /* property: flag_header simple_type_spec $@48 at_least_one_declarator  */
#line 1521 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_PropertyCompleted);

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstAttribute*   pAttr = nullptr;
        FeDeclList*     pList = (yyvsp[0].dlval);
        FeDeclarator*   pDecl = nullptr;
        AstType const * pType = nullptr;

        if ( pScope->getScopeNodeType() == NT_singleton )
        {
            ErrorHandler::error0(ErrorCode::IllegalAdd);
        } else
        {
            if ( ((yyvsp[-3].ulval) & AF_ATTRIBUTE) == AF_ATTRIBUTE )
                ErrorHandler::flagError(ErrorCode::WrongAttributeKeyword, AF_ATTRIBUTE);

            if ( ((yyvsp[-3].ulval) & AF_PROPERTY) != AF_PROPERTY )
                ErrorHandler::flagError(ErrorCode::MissingAttributeKeyword, AF_PROPERTY);

            /*
             * Create nodes representing attributes and add them to the
             * enclosing scope
             */
            if ( pScope && (yyvsp[-2].cdclval) && pList )
            {
                FeDeclList::iterator iter = pList->begin();
                FeDeclList::iterator end = pList->end();

                while (iter != end)
                {
                    pDecl = (*iter);
                    if ( !pDecl )
                    {
                        ++iter;
                        continue;
                    }

                    pType = FeDeclarator::compose((yyvsp[-2].cdclval));

                    if ( !pType )
                    {
                        ++iter;
                        continue;
                    }

                    pAttr = new AstAttribute(NT_property, (yyvsp[-3].ulval), pType, pDecl->getName(), pScope);

                    pScope->addDeclaration(pAttr);
                    ++iter;
                    delete pDecl;
                }
            }
        }

        if ( pList )
            delete pList;
    }
#line 3543 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 173: /* property: error ';'  */
#line 1580 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        yyerror("property");
        yyerrok;
    }
#line 3552 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 176: /* service_export: service_interface_header at_least_one_scoped_name ';'  */
#line 1595 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceMemberSeen);

        AstScope*           pScope = idlc()->scopes()->topNonNull();
        AstDeclaration*     pDecl = nullptr;
        AstInterfaceMember* pIMember = nullptr;

        if ( pScope->getScopeNodeType() == NT_singleton )
        {
            ErrorHandler::error0(ErrorCode::IllegalAdd);
        } else
        {
            /*
             * Create a node representing a class member.
             * Store it in the enclosing scope
             */
            if ( pScope && (yyvsp[-1].slval) )
            {
                for (auto const& elem : *((yyvsp[-1].slval)))
                {
                    pDecl = pScope->lookupByName(elem);
                    if ( pDecl && (pDecl->getNodeType() == NT_interface) )
                    {
                        /* we relax the strict published check and allow to add new
                         * interfaces if they are optional
                         */
                        bool bOptional = (((yyvsp[-2].ulval) & AF_OPTIONAL) == AF_OPTIONAL);
                        if ( ErrorHandler::checkPublished(pDecl, bOptional) )
                        {
                            pIMember = new AstInterfaceMember(
                                (yyvsp[-2].ulval), static_cast<AstInterface*>(pDecl), elem, pScope);
                            pScope->addDeclaration(pIMember);
                        }
                    } else
                    {
                        ErrorHandler::lookupError(ErrorCode::InterfaceMemberLookup, elem, scopeAsDecl(pScope));
                    }
                }
            }
        }
        delete (yyvsp[-1].slval);
    }
#line 3599 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 177: /* service_export: service_service_header at_least_one_scoped_name ';'  */
#line 1640 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceMemberSeen);

        AstScope*         pScope = idlc()->scopes()->topNonNull();
        AstDeclaration*   pDecl = nullptr;
        AstServiceMember* pSMember = nullptr;

        /*
         * Create a node representing a class member.
         * Store it in the enclosing scope
         */
        if ( pScope && (yyvsp[-1].slval) )
        {
            for (auto const& elem : *((yyvsp[-1].slval)))
            {
                pDecl = pScope->lookupByName(elem);
                if ( pDecl && (pDecl->getNodeType() == NT_service) )
                {
                    if ( static_cast< AstService * >(pDecl)->isSingleInterfaceBasedService() || (pScope->getScopeNodeType() == NT_singleton && pScope->nMembers() > 0) )
                        ErrorHandler::error0(ErrorCode::IllegalAdd);
                    else if ( ErrorHandler::checkPublished(pDecl) )
                    {
                        pSMember = new AstServiceMember(
                            (yyvsp[-2].ulval), static_cast<AstService*>(pDecl), elem, pScope);
                        pScope->addDeclaration(pSMember);
                    }
                } else
                {
                    ErrorHandler::lookupError(ErrorCode::ServiceMemberLookup, elem, scopeAsDecl(pScope));
                }
            }
        }
        delete (yyvsp[-1].slval);
    }
#line 3638 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 178: /* service_export: IDL_OBSERVES at_least_one_scoped_name ';'  */
#line 1677 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceMemberSeen);

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstDeclaration* pDecl = nullptr;
        AstObserves*    pObserves = nullptr;

        if ( pScope->getScopeNodeType() == NT_singleton )
        {
            ErrorHandler::error0(ErrorCode::IllegalAdd);
        } else
        {
            /*
             * Create a node representing a class member.
             * Store it in the enclosing scope
             */
            if ( pScope && (yyvsp[-1].slval) )
            {
                for (auto const& elem : *((yyvsp[-1].slval)))
                {
                    pDecl = pScope->lookupByName(elem);
                    if ( pDecl && (pDecl->getNodeType() == NT_interface) )
                    {
                        pObserves = new AstObserves(static_cast<AstInterface*>(pDecl), elem, pScope);
                        pScope->addDeclaration(pObserves);
                    } else
                    {
                        ErrorHandler::lookupError(ErrorCode::InterfaceMemberLookup, elem, scopeAsDecl(pScope));
                    }
                }
            }
        }
        delete (yyvsp[-1].slval);
    }
#line 3677 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 179: /* service_export: IDL_NEEDS at_least_one_scoped_name ';'  */
#line 1714 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceMemberSeen);

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstDeclaration* pDecl = nullptr;
        AstNeeds*       pNeeds = nullptr;

        if ( pScope->getScopeNodeType() == NT_singleton )
        {
            ErrorHandler::error0(ErrorCode::IllegalAdd);
        } else
        {
            /*
             * Create a node representing a class member.
             * Store it in the enclosing scope
             */
            if ( pScope && (yyvsp[-1].slval) )
            {
                for (auto const& elem : *((yyvsp[-1].slval)))
                {
                    pDecl = pScope->lookupByName(elem);
                    if ( pDecl && (pDecl->getNodeType() == NT_service) )
                    {
                        pNeeds = new AstNeeds(static_cast<AstService*>(pDecl), elem, pScope);
                        pScope->addDeclaration(pNeeds);
                    } else
                    {
                        ErrorHandler::lookupError(ErrorCode::ServiceMemberLookup, elem, scopeAsDecl(pScope));
                    }
                }
            }
        }
        delete (yyvsp[-1].slval);
    }
#line 3716 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 180: /* service_export: property ';'  */
#line 1750 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_PropertyDeclSeen);
    }
#line 3724 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 181: /* service_interface_header: IDL_INTERFACE  */
#line 1757 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceIFHeadSeen);
        (yyval.ulval) = AF_INVALID;
    }
#line 3733 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 182: /* service_interface_header: flag_header IDL_INTERFACE  */
#line 1763 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceIFHeadSeen);
        if ( (AF_OPTIONAL != (yyvsp[-1].ulval)) && ( AF_INVALID != (yyvsp[-1].ulval)) )
            ErrorHandler::flagError(ErrorCode::ExpectedOptional, (yyvsp[-1].ulval));
        (yyval.ulval) = (yyvsp[-1].ulval);
    }
#line 3744 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 183: /* service_service_header: IDL_SERVICE  */
#line 1773 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceSHeadSeen);
        (yyval.ulval) = AF_INVALID;
    }
#line 3753 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 184: /* service_service_header: flag_header IDL_SERVICE  */
#line 1779 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceSHeadSeen);
        if ( (AF_OPTIONAL != (yyvsp[-1].ulval)) && ( AF_INVALID != (yyvsp[-1].ulval)) )
            ErrorHandler::flagError(ErrorCode::ExpectedOptional, (yyvsp[-1].ulval));
        (yyval.ulval) = (yyvsp[-1].ulval);
    }
#line 3764 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 185: /* $@49: %empty  */
#line 1789 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceSeen);
    }
#line 3772 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 186: /* $@50: %empty  */
#line 1793 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ServiceIDSeen);
        checkIdentifier((yyvsp[0].sval));

        AstScope*   pScope = idlc()->scopes()->topNonNull();
        AstService* pService = nullptr;

        /*
         * Make a new service and add it to the enclosing scope
         */
        if (pScope != nullptr)
        {
            pService = new AstService(*(yyvsp[0].sval), pScope);
            pScope->addDeclaration(pService);
        }
        delete (yyvsp[0].sval);
        /*
         * Push it on the stack
         */
        idlc()->scopes()->push(pService);
    }
#line 3798 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 187: /* service_dcl: IDL_SERVICE $@49 identifier $@50 service_dfn  */
#line 1815 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        /* this service is finished, pop its scope from the stack */
        idlc()->scopes()->pop();
    }
#line 3807 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 190: /* $@51: %empty  */
#line 1828 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        AstScope * scope = idlc()->scopes()->nextToTop();
            // skip the scope pushed by service_dcl
        AstDeclaration * decl = scope->lookupByName(*(yyvsp[0].sval));
        if (decl != nullptr
            && resolveTypedefs(decl)->getNodeType() == NT_interface)
        {
            if (ErrorHandler::checkPublished(decl)) {
                idlc()->scopes()->top()->addDeclaration(decl);
            }
        } else {
            ErrorHandler::lookupError(
                ErrorCode::InterfaceMemberLookup, *(yyvsp[0].sval), scopeAsDecl(scope));
        }
        delete (yyvsp[0].sval);
    }
#line 3828 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 191: /* service_interface_dfn: ':' scoped_name $@51 opt_service_body  */
#line 1845 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        AstService * s = static_cast< AstService * >(idlc()->scopes()->top());
        if (s != nullptr) {
            s->setSingleInterfaceBasedService();
            s->setDefaultConstructor(!(yyvsp[0].bval));
        }
    }
#line 3840 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 192: /* opt_service_body: service_body  */
#line 1855 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                 { (yyval.bval) = true; }
#line 3846 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 193: /* opt_service_body: %empty  */
#line 1856 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                  { (yyval.bval) = false; }
#line 3852 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 197: /* $@52: %empty  */
#line 1872 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        checkIdentifier((yyvsp[0].sval));
        AstScope * scope = idlc()->scopes()->top();
        AstOperation * ctor = new AstOperation(nullptr, *(yyvsp[0].sval), scope);
        delete (yyvsp[0].sval);
        scope->addDeclaration(ctor);
        idlc()->scopes()->push(ctor);
    }
#line 3865 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 198: /* $@53: %empty  */
#line 1884 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        static_cast< AstOperation * >(idlc()->scopes()->top())->setExceptions(
            (yyvsp[0].dclsval));
        delete (yyvsp[0].dclsval);
        idlc()->scopes()->pop();
        if (static_cast< AstService * >(idlc()->scopes()->top())->
            checkLastConstructor())
        {
            ErrorHandler::error0(ErrorCode::SimilarConstructors);
        }
    }
#line 3881 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 200: /* $@54: %empty  */
#line 1900 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_SingletonSeen);
    }
#line 3889 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 201: /* $@55: %empty  */
#line 1904 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_SingletonIDSeen);
        checkIdentifier((yyvsp[0].sval));

        AstScope*   pScope = idlc()->scopes()->topNonNull();
        AstService* pService = nullptr;

        /*
         * Make a new service and add it to the enclosing scope
         */
        if (pScope != nullptr)
        {
            pService = new AstService(NT_singleton, *(yyvsp[0].sval), pScope);
            pScope->addDeclaration(pService);
        }
        delete (yyvsp[0].sval);
        /*
         * Push it on the stack
         */
        idlc()->scopes()->push(pService);
    }
#line 3915 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 202: /* singleton_dcl: IDL_SINGLETON $@54 identifier $@55 singleton_dfn  */
#line 1926 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        /* this singleton is finished, pop its scope from the stack */
        idlc()->scopes()->pop();
    }
#line 3924 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 205: /* singleton_interface_dfn: ':' scoped_name  */
#line 1939 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        AstScope * scope = idlc()->scopes()->nextToTop();
            // skip the scope (needlessly) pushed by singleton_dcl
        AstDeclaration * decl = scope->lookupByName(*(yyvsp[0].sval));
        if (decl != nullptr
            && resolveTypedefs(decl)->getNodeType() == NT_interface)
        {
            if (ErrorHandler::checkPublished(decl)) {
                idlc()->scopes()->top()->addDeclaration(decl);
            }
        } else {
            ErrorHandler::lookupError(
                ErrorCode::InterfaceMemberLookup, *(yyvsp[0].sval), scopeAsDecl(scope));
        }
        delete (yyvsp[0].sval);
    }
#line 3945 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 206: /* $@56: %empty  */
#line 1959 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(
            idlc()->scopes()->top()->getScopeNodeType() == NT_service
            ? PS_ServiceSqSeen : PS_SingletonSqSeen);
    }
#line 3955 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 207: /* $@57: %empty  */
#line 1965 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(
            idlc()->scopes()->top()->getScopeNodeType() == NT_service
            ? PS_ServiceBodySeen : PS_SingletonBodySeen);
    }
#line 3965 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 208: /* service_obsolete_dfn: '{' $@56 service_exports $@57 '}'  */
#line 1971 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(
            idlc()->scopes()->top()->getScopeNodeType() == NT_service
            ? PS_ServiceQsSeen : PS_SingletonQsSeen);
    }
#line 3975 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 209: /* $@58: %empty  */
#line 1980 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_TypedefSeen);
    }
#line 3983 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 210: /* type_dcl: IDL_TYPEDEF $@58 type_declarator  */
#line 1983 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                    {}
#line 3989 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 211: /* type_dcl: struct_type  */
#line 1984 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                  {}
#line 3995 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 212: /* type_dcl: enum_type  */
#line 1985 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                {}
#line 4001 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 213: /* $@59: %empty  */
#line 1990 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_TypeSpecSeen);
        if ((yyvsp[0].cdclval) != nullptr && (yyvsp[0].cdclval)->getNodeType() == NT_instantiated_struct) {
            ErrorHandler::error0(ErrorCode::InstantiatedStructTypeTypedef);
        }
    }
#line 4012 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 214: /* type_declarator: type_spec $@59 at_least_one_declarator  */
#line 1997 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_DeclaratorsSeen);

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstTypeDef*     pTypeDef = nullptr;
        FeDeclList*     pList = (yyvsp[0].dlval);
        FeDeclarator*   pDecl = nullptr;
        AstType const * pType = nullptr;

        /*
         * Create nodes representing typedefs and add them to the
         * enclosing scope
         */
        if ( pScope && (yyvsp[-2].cdclval) && pList )
        {
            FeDeclList::iterator iter = pList->begin();
            FeDeclList::iterator end = pList->end();

            while (iter != end)
            {
                pDecl = (*iter);
                if ( !pDecl )
                {
                    ++iter;
                    continue;
                }

                pType = FeDeclarator::compose((yyvsp[-2].cdclval));

                if ( !pType )
                {
                    ++iter;
                    continue;
                }

                pTypeDef = new AstTypeDef(pType, pDecl->getName(), pScope);

                pScope->addDeclaration(pTypeDef);
                ++iter;
                delete pDecl;
            }
            delete pList;
        }
    }
#line 4061 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 215: /* at_least_one_declarator: declarator declarators  */
#line 2045 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        if ( (yyvsp[0].dlval) )
        {
            (yyvsp[0].dlval)->push_back((yyvsp[-1].fdval));
            (yyval.dlval) = (yyvsp[0].dlval);
        } else
        {
            FeDeclList* pList = new FeDeclList;
            pList->push_back((yyvsp[-1].fdval));
            (yyval.dlval) = pList;
        }
    }
#line 4078 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 216: /* $@60: %empty  */
#line 2062 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_DeclsCommaSeen);
    }
#line 4086 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 217: /* declarators: declarators ',' $@60 declarator  */
#line 2066 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_DeclsDeclSeen);
        if ( (yyvsp[-3].dlval) )
        {
            (yyvsp[-3].dlval)->push_back((yyvsp[0].fdval));
            (yyval.dlval) = (yyvsp[-3].dlval);
        } else
        {
            FeDeclList* pList = new FeDeclList;
            pList->push_back((yyvsp[0].fdval));
            (yyval.dlval) = pList;
        }
    }
#line 4104 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 218: /* declarators: %empty  */
#line 2080 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.dlval) = nullptr;
    }
#line 4112 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 219: /* declarator: identifier  */
#line 2087 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        // For historic reasons, the struct com.sun.star.uno.Uik contains
        // members with illegal names (of the form "m_DataN"); avoid useless
        // warnings about them:
        AstScope * scope = idlc()->scopes()->top();
        if (scope == nullptr || scope->getScopeNodeType() != NT_struct
            || (scopeAsDecl(scope)->getScopedName()
                != "com::sun::star::uno::Uik"))
        {
            checkIdentifier((yyvsp[0].sval));
        }

        (yyval.fdval) = new FeDeclarator(*(yyvsp[0].sval));
        delete (yyvsp[0].sval);
    }
#line 4132 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 220: /* at_least_one_scoped_name: scoped_name scoped_names  */
#line 2106 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        if ((yyvsp[0].slval))
        {
            (yyvsp[0].slval)->push_front(*(yyvsp[-1].sval));
            (yyval.slval) = (yyvsp[0].slval);
        } else
        {
            std::list< OString >* pScopedNames = new std::list< OString >;
            // coverity[copy_paste_error : FALSE] - this is not a cut and paste
            pScopedNames->push_back(*(yyvsp[-1].sval));
            (yyval.slval) = pScopedNames;
        }
        delete (yyvsp[-1].sval);
    }
#line 4151 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 221: /* $@61: %empty  */
#line 2125 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_SNListCommaSeen);
    }
#line 4159 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 222: /* scoped_names: scoped_names ',' $@61 scoped_name  */
#line 2129 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ScopedNameSeen);
        if ((yyvsp[-3].slval))
        {
            (yyvsp[-3].slval)->push_back(*(yyvsp[0].sval));
            (yyval.slval) = (yyvsp[-3].slval);
        } else
        {
            std::list< OString >* pNames = new std::list< OString >;
            pNames->push_back(*(yyvsp[0].sval));
            (yyval.slval) = pNames;
        }
        delete (yyvsp[0].sval);
    }
#line 4178 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 223: /* scoped_names: %empty  */
#line 2144 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.slval) = nullptr;
    }
#line 4186 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 224: /* scoped_name: identifier  */
#line 2151 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_SN_IDSeen);
        checkIdentifier((yyvsp[0].sval));
        (yyval.sval) = (yyvsp[0].sval);
    }
#line 4196 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 225: /* $@62: %empty  */
#line 2157 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_ScopeDelimSeen);
    }
#line 4204 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 226: /* scoped_name: IDL_SCOPESEPARATOR $@62 identifier  */
#line 2161 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        checkIdentifier((yyvsp[0].sval));
        OString* pName = new OString("::");
        *pName += *(yyvsp[0].sval);
        delete (yyvsp[0].sval);
        (yyval.sval) = pName;
    }
#line 4216 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 227: /* $@63: %empty  */
#line 2170 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
    }
#line 4223 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 228: /* scoped_name: scoped_name IDL_SCOPESEPARATOR $@63 identifier  */
#line 2173 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        checkIdentifier((yyvsp[0].sval));
        *(yyvsp[-3].sval) += OString("::");
        *(yyvsp[-3].sval) += *(yyvsp[0].sval);
        delete (yyvsp[0].sval);
        (yyval.sval) = (yyvsp[-3].sval);
    }
#line 4235 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 232: /* simple_type_spec: scoped_name opt_type_args  */
#line 2190 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.cdclval) = createNamedType((yyvsp[-1].sval), (yyvsp[0].dclsval));
    }
#line 4243 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 233: /* fundamental_type: base_type_spec  */
#line 2197 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.cdclval) = idlc()->scopes()->bottom()->lookupPrimitiveType((yyvsp[0].etval));
    }
#line 4251 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 235: /* opt_type_args: '<' type_args '>'  */
#line 2204 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                      { (yyval.dclsval) = (yyvsp[-1].dclsval); }
#line 4257 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 236: /* opt_type_args: %empty  */
#line 2205 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                  { (yyval.dclsval) = nullptr; }
#line 4263 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 237: /* type_args: type_arg  */
#line 2210 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.dclsval) = new DeclList;
        (yyval.dclsval)->push_back(const_cast< AstDeclaration * >((yyvsp[0].cdclval))); //TODO: const_cast
    }
#line 4272 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 238: /* type_args: type_args ',' type_arg  */
#line 2215 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyvsp[-2].dclsval)->push_back(const_cast< AstDeclaration * >((yyvsp[0].cdclval))); //TODO: const_cast
        (yyval.dclsval) = (yyvsp[-2].dclsval);
    }
#line 4281 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 239: /* type_arg: simple_type_spec  */
#line 2223 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        if ((yyvsp[0].cdclval) != nullptr && static_cast< AstType const * >((yyvsp[0].cdclval))->isUnsigned()) {
            ErrorHandler::error0(ErrorCode::UnsignedTypeArgument);
        }
        (yyval.cdclval) = (yyvsp[0].cdclval);
    }
#line 4292 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 250: /* signed_int: IDL_LONG  */
#line 2249 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_long;
    }
#line 4300 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 251: /* signed_int: IDL_HYPER  */
#line 2253 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_hyper;
    }
#line 4308 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 252: /* signed_int: IDL_SHORT  */
#line 2257 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_short;
    }
#line 4316 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 253: /* unsigned_int: IDL_UNSIGNED IDL_LONG  */
#line 2264 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_ulong;
    }
#line 4324 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 254: /* unsigned_int: IDL_UNSIGNED IDL_HYPER  */
#line 2268 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_uhyper;
    }
#line 4332 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 255: /* unsigned_int: IDL_UNSIGNED IDL_SHORT  */
#line 2272 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_ushort;
    }
#line 4340 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 256: /* floating_pt_type: IDL_DOUBLE  */
#line 2279 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_double;
    }
#line 4348 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 257: /* floating_pt_type: IDL_FLOAT  */
#line 2283 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_float;
    }
#line 4356 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 258: /* char_type: IDL_CHAR  */
#line 2290 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_char;
    }
#line 4364 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 259: /* byte_type: IDL_BYTE  */
#line 2297 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_byte;
    }
#line 4372 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 260: /* boolean_type: IDL_BOOLEAN  */
#line 2304 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_boolean;
    }
#line 4380 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 261: /* any_type: IDL_ANY  */
#line 2311 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_any;
    }
#line 4388 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 262: /* type_type: IDL_TYPE  */
#line 2318 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_type;
    }
#line 4396 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 263: /* string_type: IDL_STRING  */
#line 2325 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.etval) = ET_string;
    }
#line 4404 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 266: /* $@64: %empty  */
#line 2337 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_SequenceSeen);
        /*
         * Push a sequence marker on scopes stack
         */
        idlc()->scopes()->push(nullptr);
    }
#line 4416 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 267: /* $@65: %empty  */
#line 2345 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_SequenceSqSeen);
    }
#line 4424 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 268: /* $@66: %empty  */
#line 2349 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_SequenceTypeSeen);
    }
#line 4432 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 269: /* sequence_type_spec: IDL_SEQUENCE $@64 '<' $@65 simple_type_spec $@66 '>'  */
#line 2353 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_SequenceQsSeen);
        /*
         * Remove sequence marker from scopes stack
         */
        if (idlc()->scopes()->top() == nullptr)
            idlc()->scopes()->pop();
        /*
         * Create a node representing a sequence
         */
        AstScope* pScope = idlc()->scopes()->bottom();
        AstDeclaration* pDecl = nullptr;
        AstDeclaration* pSeq = nullptr;

        if ( (yyvsp[-2].cdclval) )
        {
            AstType const *pType = static_cast<AstType const *>((yyvsp[-2].cdclval));
            if ( pType )
            {
                pSeq = new AstSequence(pType, pScope);
                /*
                 * Add this AstSequence to the types defined in the global scope
                 */
                pDecl = pScope->addDeclaration(pSeq);
                if ( pSeq != pDecl )
                {
                    // if sequence type already defined then use it
                    delete pSeq;
                    pSeq = pDecl;
                }
            }
        }
        (yyval.cdclval) = pSeq;
    }
#line 4471 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 270: /* sequence_type_spec: error '>'  */
#line 2388 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        yyerror("sequence declaration");
        yyerrok;
        (yyval.cdclval) = nullptr;
    }
#line 4481 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 271: /* $@67: %empty  */
#line 2397 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_StructHeaderSeen);

        AstScope*   pScope = idlc()->scopes()->topNonNull();
        AstStruct*  pStruct = nullptr;

        if ( pScope )
        {
            AstStruct const* pBase= static_cast< AstStruct const* >(resolveTypedefs((yyvsp[0].ihval)->getInherits()));
            pStruct = new AstStruct(
                *(yyvsp[0].ihval)->getName(), (yyvsp[0].ihval)->getTypeParameters(), pBase, pScope);
            pScope->addDeclaration(pStruct);
        }
        /*
         * Push the scope of the struct on the scopes stack
         */
        idlc()->scopes()->push(pStruct);
        delete (yyvsp[0].ihval);
    }
#line 4505 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 272: /* $@68: %empty  */
#line 2417 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_StructSqSeen);
    }
#line 4513 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 273: /* $@69: %empty  */
#line 2421 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_StructBodySeen);
    }
#line 4521 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 274: /* struct_type: structure_header $@67 '{' $@68 at_least_one_member $@69 '}'  */
#line 2425 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_StructQsSeen);
        /* this exception is finished, pop its scope from the stack */
        idlc()->scopes()->pop();
    }
#line 4531 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 275: /* $@70: %empty  */
#line 2434 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_StructSeen);
    }
#line 4539 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 276: /* $@71: %empty  */
#line 2438 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_StructIDSeen);
        checkIdentifier((yyvsp[0].sval));
    }
#line 4548 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 277: /* structure_header: IDL_STRUCT $@70 identifier $@71 opt_type_params inheritance_spec  */
#line 2444 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_InheritSpecSeen);

        // Polymorphic struct type templates with base types would cause various
        // problems in language bindings, so forbid them here.  For example,
        // GCC prior to version 3.4 fails with code like
        //
        //  struct Base { ... };
        //  template< typename typeparam_T > struct Derived: public Base {
        //      int member1 CPPU_GCC3_ALIGN(Base);
        //      ... };
        //
        // (Note that plain struct types with instantiated polymorphic struct
        // type bases, which might also cause problems in language bindings, are
        // already rejected on a syntactic level.)
        if ((yyvsp[-1].svals) != nullptr && (yyvsp[0].sval) != nullptr) {
            ErrorHandler::error0(ErrorCode::StructTypeTemplateWithBase);
        }

        (yyval.ihval) = new FeInheritanceHeader(NT_struct, (yyvsp[-3].sval), (yyvsp[0].sval), (yyvsp[-1].svals));
        delete (yyvsp[-1].svals);
        delete (yyvsp[0].sval);
    }
#line 4576 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 278: /* opt_type_params: '<' type_params '>'  */
#line 2470 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                        { (yyval.svals) = (yyvsp[-1].svals); }
#line 4582 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 279: /* opt_type_params: %empty  */
#line 2471 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                  { (yyval.svals) = nullptr; }
#line 4588 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 280: /* type_params: identifier  */
#line 2476 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        (yyval.svals) = new std::vector< OString >;
        (yyval.svals)->push_back(*(yyvsp[0].sval));
        delete (yyvsp[0].sval);
    }
#line 4598 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 281: /* type_params: type_params ',' identifier  */
#line 2482 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        if (std::find((yyvsp[-2].svals)->begin(), (yyvsp[-2].svals)->end(), *(yyvsp[0].sval)) != (yyvsp[-2].svals)->end()) {
            ErrorHandler::error0(ErrorCode::IdenticalTypeParameters);
        }
        (yyvsp[-2].svals)->push_back(*(yyvsp[0].sval));
        delete (yyvsp[0].sval);
        (yyval.svals) = (yyvsp[-2].svals);
    }
#line 4611 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 285: /* $@72: %empty  */
#line 2501 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_MemberTypeSeen);
    }
#line 4619 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 286: /* $@73: %empty  */
#line 2505 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_MemberDeclsSeen);
    }
#line 4627 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 287: /* member: type_or_parameter $@72 at_least_one_declarator $@73 ';'  */
#line 2509 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_MemberDeclsCompleted);

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstMember*      pMember = nullptr;
        FeDeclList*     pList = (yyvsp[-2].dlval);
        FeDeclarator*   pDecl = nullptr;
        AstType const * pType = nullptr;

        // !!! check recursive type

        if ( pScope && pList && (yyvsp[-4].cdclval) )
        {
            FeDeclList::iterator iter = pList->begin();
            FeDeclList::iterator end = pList->end();
            while (iter != end)
            {
                pDecl = (*iter);
                if ( !pDecl )
                {
                    ++iter;
                    continue;
                }

                pType = FeDeclarator::compose((yyvsp[-4].cdclval));

                if ( !pType )
                {
                    ++iter;
                    continue;
                }

                pMember = new AstMember(pType, pDecl->getName(), pScope);

                if ( !pDecl->checkType((yyvsp[-4].cdclval)) )
                {
                    // WARNING
                }

                pScope->addDeclaration(pMember);
                ++iter;
                delete pDecl;
            }
            delete pList;
        }
    }
#line 4678 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 288: /* member: error ';'  */
#line 2556 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        yyerror("member definition");
        yyerrok;
    }
#line 4687 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 290: /* type_or_parameter: scoped_name opt_type_args  */
#line 2565 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        AstDeclaration const * decl = nullptr;
        AstStruct * scope = static_cast< AstStruct * >(idlc()->scopes()->top());
        if (scope != nullptr && (yyvsp[0].dclsval) == nullptr) {
            decl = scope->findTypeParameter(*(yyvsp[-1].sval));
        }
        if (decl != nullptr) {
            delete (yyvsp[-1].sval);
            delete (yyvsp[0].dclsval);
        } else {
            decl = createNamedType((yyvsp[-1].sval), (yyvsp[0].dclsval));
            if (scope != nullptr && includes(decl, scopeAsDecl(scope))) {
                ErrorHandler::error1(
                    ErrorCode::RecursiveType, scopeAsDecl(scope));
                decl = nullptr;
            }
        }
        (yyval.cdclval) = decl;
    }
#line 4711 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 291: /* $@74: %empty  */
#line 2588 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_EnumSeen);
    }
#line 4719 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 292: /* $@75: %empty  */
#line 2592 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_EnumIDSeen);
        checkIdentifier((yyvsp[0].sval));

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstEnum*        pEnum = nullptr;

        /*
         * Create a node representing an enum and add it to its
         * enclosing scope
         */
        if (pScope != nullptr)
        {
            pEnum = new AstEnum(*(yyvsp[0].sval), pScope);
            /*
             * Add it to its defining scope
             */
            pScope->addDeclaration(pEnum);
        }
        delete (yyvsp[0].sval);
        /*
         * Push the enum scope on the scopes stack
         */
        idlc()->scopes()->push(pEnum);

    }
#line 4750 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 293: /* $@76: %empty  */
#line 2619 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_EnumSqSeen);
    }
#line 4758 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 294: /* $@77: %empty  */
#line 2623 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_EnumBodySeen);
    }
#line 4766 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 295: /* enum_type: IDL_ENUM $@74 identifier $@75 '{' $@76 at_least_one_enumerator $@77 '}'  */
#line 2627 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_EnumQsSeen);
        /*
         * Done with this enum. Pop its scope from the scopes stack
         */
        if (idlc()->scopes()->top() == nullptr)
            (yyval.cdclval) = nullptr;
        else
        {
            (yyval.cdclval) = static_cast<AstEnum*>(idlc()->scopes()->topNonNull());
            idlc()->scopes()->pop();
        }
    }
#line 4784 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 297: /* $@78: %empty  */
#line 2647 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        idlc()->setParseState(PS_EnumCommaSeen);
    }
#line 4792 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 300: /* enumerators: error ','  */
#line 2653 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        yyerror("enumerator definition");
        yyerrok;
    }
#line 4801 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 301: /* enumerator: identifier  */
#line 2661 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        checkIdentifier((yyvsp[0].sval));

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstEnum*        pEnum = nullptr;
        AstConstant*    pEnumVal = nullptr;

        if ( pScope && pScope->getScopeNodeType() == NT_enum)
        {
            pEnum = static_cast<AstEnum*>(pScope);
            if (pEnum && (yyvsp[0].sval))
            {
                AstExpression* pExpr = new AstExpression(pEnum->getEnumValueCount());
                pEnumVal = new AstConstant(ET_long , NT_enum_val,
                                           pExpr, *(yyvsp[0].sval), pScope);
            }
            if ( pEnum->checkValue(pEnumVal->getConstValue()) )
                ErrorHandler::error1(ErrorCode::Eval, pEnum);

            pScope->addDeclaration(pEnumVal);
        }
        delete (yyvsp[0].sval);
    }
#line 4829 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 302: /* enumerator: identifier '=' const_expr  */
#line 2687 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
    {
        checkIdentifier((yyvsp[-2].sval));

        AstScope*       pScope = idlc()->scopes()->topNonNull();
        AstEnum*        pEnum = nullptr;
        AstConstant*    pEnumVal = nullptr;

        if ( (yyvsp[0].exval) && pScope && pScope->getScopeNodeType() == NT_enum)
        {
            (yyvsp[0].exval)->evaluate();
            if ( (yyvsp[0].exval)->coerce(ET_long) )
            {
                pEnum = static_cast<AstEnum*>(pScope);
                if (pEnum)
                {
                    pEnumVal = new AstConstant(ET_long , NT_enum_val,
                                               (yyvsp[0].exval), *(yyvsp[-2].sval), pScope);
                }
                if ( pEnum->checkValue(pEnumVal->getConstValue()) )
                    ErrorHandler::error1(ErrorCode::Eval, pEnum);

                pScope->addDeclaration(pEnumVal);
            } else
            {
                ErrorHandler::coercionError((yyvsp[0].exval), ET_long);
                delete (yyvsp[0].exval);
            }
        }
        delete (yyvsp[-2].sval);
    }
#line 4864 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 304: /* identifier: IDL_GET  */
#line 2721 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
              { (yyval.sval) = new OString("get"); }
#line 4870 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 305: /* identifier: IDL_SET  */
#line 2722 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
              { (yyval.sval) = new OString("set"); }
#line 4876 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;

  case 306: /* identifier: IDL_PUBLISHED  */
#line 2723 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"
                    { (yyval.sval) = new OString("published"); }
#line 4882 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"
    break;


#line 4886 "/builddir/build/BUILD/libreoffice-7.1.8.1/workdir/YaccTarget/idlc/source/parser.cxx"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 2726 "/builddir/build/BUILD/libreoffice-7.1.8.1/idlc/source/parser.y"


/*
 * Report an error situation discovered in a production
 */
void yyerror(char const *errmsg)
{
    ErrorHandler::syntaxError(idlc()->getParseState(), idlc()->getLineNumber(), errmsg);
    idlc()->setParseState(PS_NoState);
}

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
